MPlayer(1)

NAZWA
mplayer - odtwarzacz filmów
mencoder - enkoder (koder) filmów

SKŁADNIA
mplayer [opcje] [ zbiór | URL | lista odtwarzania | - ]
mplayer
[opcje globalne] zbiór [opcje specyficzne] [zbiór2] [opcje specyficzne]
mplayer
[opcje globalne] {grupa zbiorów i opcji} [opcje specyficzne dla grupy]
mplayer
dvd://[tytuł | [tytuł_początkowy]-tytuł_końcowy ] [opcje]
mplayer
vcd://ścieżka[/urządzenie]
mplayer
tv://[kanał] [opcje]
mplayer
dvb://[numer_karty@]kanał [opcje]
mplayer
mf://maskazbiorów [opcje]
mplayer
[cdda|cddb]://ścieżka[:szybkość][/urządzenie] [opcje]
mplayer
cue://zbiór[:ścieżka] [opcje]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [użytkownik:hasło@]URL[:port] [opcje]
mplayer
sdp://plik [opcje]
mplayer
mpst://host[:port]/URL [opcje]
gmplayer [opcje] [-skin skórka]
mencoder [opcje] [ zbiór | URL | - ] [-o zbiór]

OPIS
mplayer to odtwarzacz filmów dla Linuksa (działa na wielu innych platformach i architekturach procesora, patrz dokumentacja). Odtwarza większość zbiorów MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, MKV, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM i RoQ, obsługiwanych przez wiele natywnych i binarnych kodeków. Możesz odtwarzać VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5, a nawet filmy WMV.

MPlayer obsługuje wiele sterowników wyjścia video i audio. Pracuje z X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, libcaca, DirectFB, Quartz, ale możesz używać GGI, SDL (i w ten sposób wszystkich ich sterowników), VESA (we wszystkich kartach kompatybilnych z VESA, nawet bez X11), niektórych niskopoziomowych, specyficznych dla kart sterowników (dla Matrox, 3Dfx i ATI) i niektórych sprzętowych dekoderów MPEG, takich jak Siemens DVB, DXR2 i DXR3/Hollywood+. Większość z nich obsługuje programowe lub sprzętowe skalowanie, więc będziesz mógł oglądać filmy na pełnym ekranie.

MPlayer obsługuje OSD do pokazywania stanu, wizualne sprzężenie ze sterowaniem przy pomocy klawiatury i wyświetla ładne, duże, antyaliasowane i cieniowane napisy. Obsługiwane są czcionki europejskie/ISO 8859-1,2 (polskie, czeskie, angielskie itp.), koreańskie i cyrylica oraz 12 formatów napisów (MicroDVD, SubRip, OGM, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS i nasz własny: MPsub) i napisów DVD (strumienie SPU, VOBSub i Closed Captions).

mencoder (Koder Filmów MPlayera) jest to prosty koder (kompresor) filmów, zaprojektowany do kodowania filmów otwieralnych MPlayerem (patrz wyżej) do innych obsługiwanych formatów (patrz niżej). Potrafi kodować do MPEG-4 (DivX4/XviD), kodeków libavcodec, a dźwięk do PCM/MP3/VBRMP3 w 1, 2 lub 3-przebiegach. Potrafi również kopiować strumieniowo, posiada potężny system filtrów (kadrowanie, powiększanie, odwracanie, postprocesing, obracanie, skalowanie, szum, konwersja rgb/yuv) i inne.

gmplayer to MPlayer z graficznym interfejsem użytkownika. Ma te same opcje co MPlayer.

Przykłady jak korzystać z programu znajdziesz na końcu tej strony podręcznika man.

Sprawdź również dokumentację w formacie HTML!

STEROWANIE KLAWIATURĄ
MPlayer ma w pełni konfiguralną, sterowaną komendami, warstwę kontroli, która pozwala Ci na sterowanie przy pomocy klawiatury, myszy, joystika lub zdalnego sterowania (korzysta z LIRC). Opcja -input podpowie Ci jakie są sposoby dopasowania jej do swoich potrzeb.

kontrola podstawowa
    Skacze w tył/w przód o 10 sekund. Skacze w tył/w przód o 1 minutę. Skacze w tył/w przód o 10 minut. Zmniejsza/zwiększa prędkość odtwarzania o 10%. Dwukrotnie zmniejsza/zwiększa prędkość odtwarzania. Przywraca normalną prędkość odtwarzania. Skacze w przód/w tył na liście odtwarzania. następna/poprzednia pozycja drzewa odtwarzania z listy wyższego poziomu. następne/poprzednie alternatywne źródło (tylko lista odtwarzania ASX) Zatrzymuje odtwarzanie (naciśnięcie jeszcze raz wznawia). Krok do przodu. Jednokrotne naciśnięcie zatrzyma odtwarzane, każde następne przesunie o jedną klatkę do przodu i znów zatrzyma (dowolny inny klawisz wznawia odtwarzanie). Zatrzymuje odtwarzanie i wychodzi. Zmienia opóźnienia audio o +/- 0.1 sekund. Zmniejsza/zwiększa głośność. Zmniejsza/zwiększa głośność. Wycisza dźwięk. Przełącza tryb pełnoekranowy (patrz też -fs). Przełącza tryb zostań-na-wierzchu (sprawdź również -ontop). Zmniejsza/zwiększa zakres trybu panoramicznego. Przełącza tryby OSD: żaden / przewijanie / przewijanie + czas / przewijanie + czas + czas całkowity Przełącza tryby gubienia klatek: żaden / omiń wyświetlanie / omiń dekodowanie (zobacz -framedrop i -hardframedrop). Przełącza wyświetlanie napisów. Przełącza dostępne napisy.
F   Przełącza wyświetlanie tylko wymuszonych napisów Przełącza pozycję napisów: góra/środek/dół. Zmienia opóźnienie napisów o +/- 0.1 sekund. Przesuwa napisy w górę/w dół. Ustawia znak EDL.

(Następujące klawisze działają tylko, jeżeli używasz wyjścia video ze sprzętową akceleracją (xv, (x)vidix, (x)mga, etc) lub programowego filtru korekcji (-vf eq lub -vf eq2).

Modyfikuje kontrast. Modyfikuje jasność. Modyfikuje barwę (kolorów). Modyfikuje nasycenie.

(Następujące klawisze działają tylko ze sterownikiem wyjścia video quartz).

Przeskalowuje okno filmu do połowy oryginalnej wielkości. Przeskalowuje okno filmu do oryginalnej wielkości. Przeskalowuje okno filmu do dwukrotnej oryginalnej wielkości. Przełącza tryb pełnoekranowy (patrz też -fs). Ustawia przezroczystość okna filmu. Przełącza warstwę video: na wierzchu/pod spodem/normalnie (patrz też -ontop).

Kontrola GUI klawiaturą
    Zaczyna odtwarzanie. Zatrzymuje odtwarzanie. Wczytuje zbiór. Przeglądarka skórek. Przełącza listę odtwarzania.

Kontrola wejścia TV
    Wybiera poprzedni/następny kanał. Zmienia normę. Zmienia listę kanałów.

SPOSÓB UŻYCIA
Każda "flaga" opcji ma "przeciwflagę" do pary, np. dla -fs przeciwną jest opcja -nofs.

Jeżeli opcja jest oznaczona jako (tylko XXX), będzie działała tylko w parze z opcją XXX, albo jeżeli obsługa XXX została wkompilowana.

Możesz umieścić wszystkie opcje w zbiorze konfiguracyjnym, z którego MPlayer będzie czytał przy każdym uruchomieniu. Główny zbiór konfiguracyjny "mplayer.conf" jest w katalogu konfiguracyjnym (np. /etc/mplayer lub /usr/local/etc/mplayer), a specyficzny dla użytkownika to "~/.mplayer/config". Opcje określone przez użytkownika unieważniają opcje z głównego zbioru, a opcje podawane z wiersza poleceń unieważniają obie. Składnia zbioru konfiguracyjnego to "opcja=<wartość>", wszystko po "#" uważane jest za komentarz. Opcje działające bez wartości mogą być włączone przez ustawienie "yes", "1" lub "true" i wyłączone przez przypisanie im "no", "0", lub "false". Również podopcje mogą być określane w ten sposób.

PRZYKŁAD:
# Używa sterownika Matrox jako domyślnego.
vo=xmga
# Uwielbiam stać na rękach gdy oglądam filmy.
flip=yes
# Dekoduje/koduje wielokrotne zbiory png,
# zaczynaj od mf://maskazbiorów
mf=type=png:fps=25
# Dziwne negatywy są fajne
vf=eq2=1.0:-0.8

Możesz też napisać zbiór konfiguracyjny dla konkretnego pliku. Jeśli zamierzasz mieć zbiór konfiguracyjny dla pliku o nazwie "film.avi", utwórz "film.avi.conf" z zawartymi w nim opcjami i umieść go w ~/.mplayer lub w tym samym katalogu, co film.

OPCJE OGÓLNE

-codecs-file <plik> (zobacz również opcje -afm, -ac, -vfm i -vc)
    Używa podanego pliku zamiast dostępnego w systemie lub wbudowanego codecs.conf.

-include <plik konfiguracyjny>
    Określa plik z ustawieniami, który będzie parsowany po tych domyślnych.

-quiet
    Sprawia, że wyjście na konsolę jest mniej gadatliwe; w szczególności zapobiegnie to wyświetleniu wiersza stanu (tzn. A: 0.7 V: 0.6 A-V: 0.068 ...). Szczególnie przydatne na wolnych terminalach lub na takich, które nie obsługują poprawnie znaku powrotu karetki (tzn. \r).

-v, -verbose
    Zwiększa poziom gadatliwości (raportowania) (więcej -v oznacza większy poziom). wiadomości czysto informacyjne (domyślne) podstawowe informacje do debugu, nagłówku avi, wartości funckji (debug inicjalizacji) drukuje indeksy avi, kawałki danych wejściowych, więcej informacji do debugu (debug odtwarzacza) drukuje wszystko związane z parserami danych wejściowych (debug parsera)

OPCJE ODTWARZACZA (TYLKO MPLAYER)

-autoq <jakość> (używaj z -vf [s]pp)
    Dynamicznie zmiania poziom postprocesingu w zależności od dostępnego wolnego czasu procesora. Numer, który wyszczególnisz, będzie najwyższym poziomem. Najczęściej możesz używać dużych liczb. Musisz użyć -vf [s]pp bez parametrów, aby ta opcja działała.

-autosync <czynnik>
    Stopniowo dostosowuje synchronizację A/V bazując na pomiarze opóźnień audio. Podanie -autosync 0, domyślnie, spowoduje, że "czas" klatki będzie bazował wyłącznie na pomiarze opóźnienia audio. Podanie -autosync 1 zrobi to samo, ale nieznacznie zmieni algorytm korekcji A/V. Nierówna prędkość odtwarzania filmów, które odtwarzane są dobrze z -nosound często może być poprawiona przez podanie liczby większej niż 1. Im wyższa wartość tym rezultaty będą bliższe zastosowaniu -nosound. Spróbuj użyć -autosync 30, żeby stłumić problemy spowodowanie przez sterowniki dźwięku, które nie mają dokładnego pomiaru opóźnień audio. Z tą wartością, jeżeli zdarzy się duże przesunięcie synchronizacji A/V, wyregulowanie potrwa tylko około 1 lub 2 sekund. Opóźnienie reakcji na nagłe przesunięcie A/V powinno być jedynym ubocznym efektem włączanie tej opcji, dla wszystkich sterowników dźwięku.

-benchmark
    Pokazuje na końcu odtwarzania statystyki użycia procesora i zgubionych klatek. Używaj w kombinacji z -nosound i -vo null dla testowania szybkości kodeka video.
    UWAGA: Z tą opcją MPlayer ignoruje czas trwania klatki, jeśli odtwarza tylko video (można to uznać za nielimitowane fps).

-colorkey <numer>
    Zmienia kolor kluczowy (colorkey) na wybraną wartość RGB. 0x000000 to czarny a 0xffffff to biały. Obsługiwane tylko przez sterowniki wyjścia video cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix, xover i directx.

-nocolorkey
    Wyłącza kolor kluczowy. Obsługiwane tylko przez sterowniki wyjścia video cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix i xover.

-crash-debug (kod do debugowania)
    Automatycznie podłącza gdb przy błedzie lub SIGTRAP. Obsługa musi zostać wkompilowana poprzez podanie --enable-crash-debug lub posiadanie zbioru .developer w katalogu przy konfiguracji.

-edl <nazwa pliku>
    Włącza decyzyjną listę edycji (ang. edit decision list (EDL)) podczas odtwarzania. Video będzie pomijane, audio będzie wyciszane i włączane zgodnie z wpisami w podanym zbiorze. Szczegółowe informacje zawarte są w DOCS/HTML/pl/edl.html.

-edlout <nazwa zbioru>
    Tworzy nowy zbiór i zapisuje decyzyjną listę edycji (EDL) do tego zbioru. Podczas odtwarzania, kiedy użytkownik wciśnie "i", wpis o pominięciu dwóch ostatnich sekund zostanie zapisany do zbioru. Daje to punkt wyjścia, który użytkownik może później dopasować do swoich potrzeb. Szczegółowe informacje zawarte są w DOCS/HTML/pl/edl.html.

-enqueue (tylko GUI)
    Dodaje zbiory podane w wierszu poleceń do listy odtwarzania, zamiast odtwarzać je od razu.

-fixed-vo (KOD BETA!)
    Wymusza ustawienie jednego systemu video dla wszystkich zbiorów (jedna (de)inicjalizacja dla wszystkich zbiorów). Dlatego też tylko jedno okno zostanie otwarte dla wszystkich zbiorów. Obecnie działa z następującymi sterownikami: gl, gl2, mga, svga, x11, xmga, xv, xvidix i dfbmga.

-framedrop (zobacz także -hardframedrop)
    Nie wyświetla niektórych klatek, by utrzymać synchronizacje A/V na wolnych komputerach. Filtry video nie będą stosowane do tych klatek. Dla klatek B nawet dekodowanie jest całkowicie pominięte.

-h, -help, --help
    Pokazuje krótkie podsumowanie opcji.

-hardframedrop
    Większa intensywność opuszczania klatek (przerywa dekodowanie). Prowadzi do zniekształceń obrazu!

-identify
    Pokazuje parametry zbioru w łatwo przeglądalnym formacie. Wyświetla też dokładniejsze informacje o językach i identyfikatorach napisów i ścieżek audio. Skrypt TOOLS/midentify wycina inne napisy MPlayera i (mamy nadzieję) zabezpiecza specjalne znaki przed interpretacją przez powłokę.

-input <komendy>
    Ta opcja może być używana do konfiguracji pewnych części systemu wejściowego. Ścieżki są względem ~/.mplayer/.
    INFORMACJA: Autopowtarzanie jest obecnie obsługiwane tylko przez joysticki.

    Dostępne są polecenia:

    Określa plik konfiguracyjny warstwy kontroli, inny niż domyślny ~/.mplayer/input.conf. Jeżeli nie podano pełnej ścieżki, pod uwagę brany jest ~/.mplayer/<plik>. Opóźnienie w msek przed rozpoczęciem automatyczniego powtarzania klawisza (0 żeby wyłączyć). Ilość generowanych przyciśnięć klawisza na sekundę przy autopowtarzaniu. Lista wszystkich klawiszy, które mogą być przypisane do komend. Lista wszystkich komend, które mogą być przypisane do klawiszy. Wybiera używany joystick (domyślnie: /dev/input/js0). Czyta polecenia z podanego zbioru. Opcja głównie przydatna przy kolejce FIFO.
    INFORMACJA: Jeśli podany zbiór jest kolejką, MPlayer otwiera oba końce, więc można kilkukrotnie napisać "echo "seek 10" > mp_pipe" i kolejka będzie działać.

-key-fifo-size <2-65000>
    Ustala wielkość kolejki buforującej naciśnięcia klawiszy (domyślnie: 10). Kolejka wielkości n może zbuforować (n-1) zdarzeń. Jeśli jest zbyt małe niektóre zdarzenia mogą zaginąć (co prowadzi do "zaciętego przycisku myszy" i podobnych efektów). Jeśli jest zbyt duże może wyglądać że MPlayer zawiesił się gdy przetwarza zbuforowane zdarzenia. Żeby utrzymać takie samo zachowanie jak przed wprowadzeniem tej opcji, ustaw 2 dla Linuksa i 1024 dla Windows.

-lircconf <plik> (tylko z LIRC)
    Wskazuje plik konfiguracyjny dla LIRC (domyślne ~/.lircrc).

-list-options
    Wyświetla wszystkie dostępne opcje.

-loop <ilość>
    Powtarza film <ilość> razy. 0 oznacza zawsze.

-menu (tylko z menu OSD)
    Włącza menu OSD.

-menu-cfg <plik> (tylko z menu OSD)
    Wskazuje alternatywny plik konfiguracyjny menu.conf.

-menu-root <wartość> (tylko z menu OSD)
    Wybiera menu główne.

-menu-startup (tylko z menu OSD)
    Wyświetla główne menu zaraz po uruchomieniu MPlayera.

-noconsolecontrols
    Powstrzymuje MPlayera przed czytaniem zdarzeń klawiszy ze standardowego wejścia. Użyteczne, jeżeli dane są z niego pobierane. Jest to automatycznie włączane, jeśli w wierszu poleceń zostanie odnaleziony -. Są jednak sytuacje, w których sam musisz to aktywować, np. jeżeli otwierasz /dev/stdin (albo odpowiednik w Twoim systemie), używasz stdin na liście odtwarzania albo zamierzasz czytać z stdin później poprzez polecenia trybu slave loadlist i loadfile.

-nojoystick
    Wyłącza obsługę joysticka.

-nolirc
    Wyłącza obsługę LIRC.

-nomouseinput (tylko z X11)
    Wyłącza obsługę zdarzeń wciśnięcia/puszczenia przycisku myszki (menu kontekstowe mozplayerxp korzysta z tej opcji).

-nortc (tylko z RTC)
    Wyłącza używanie Linux RTC (real-time clock - /dev/rtc) jako mechanizmu mierzenia czasu.

-playlist <nazwa pliku>
    Odtwarza zbiory według pliku listy odtwarzania (w formatach ASX, Winamp, SMIL lub jeden zbiór w każdym wierszu).
    INFORMACJA: Opcja ta jest uważana za pozycję wyjściową, więc opcje następujące po niej odnoszą się tylko do zbiorów na tej liście.
    FIXME: Musi to być bardziej przejrzyste i dokładnie udokumentowane.

-really-quiet (zobacz również opcję -quiet)
    Wyświetla jeszcze mniej komunikatów wyjściowych i stanu niż z opcją -quiet.

-rtc-device <urządzenie>
    Korzysta z określonego urządzenia do synchronizacji przez RTC.

-shuffle
    Odtwarza zbiory w losowej kolejności.

-skin <nazwa> (tylko z GUI)
    Załaduje skórkę z podanego jako parametr katalogu znajdującego się pod domyślnymi katalogami skórek, /usr/local/share/mplayer/Skin/ i ~/.mplayer/Skin.

    PRZYKŁAD: Próbuje załadować /usr/local/share/mplayer/Skin/fittyfene, później ~/.mplayer/Skin/fittyfene.

-slave (zobacz również opcję -input)
    Ta opcja przełącza MPlayera w tryb slave, w którym można go używać jako końcówki (backend) dla innych programów. Zamiast przechwytywania wciśniętych klawiszy, MPlayer będzie czytał proste polecenia ze standardowego wejścia.
    INFORMACJA: Listę poleceń otrzymasz z -input cmdlist, a ich opis znajdziesz w DOCS/tech/slave.txt.

-softsleep
    Używa wysokiej jakości zegarów programowych. Tak dokładne jak RTC, ale nie wymaga specjalnych uprawnień. Skutkuje większym obiążeniem procesora.

-speed <0.01-100>
    Zwalnia lub przyspiesza odtwarzanie o współczynnik podany jako parametr.

-sstep <sek>
    Wyświetla jedną klatkę co <sek> sekund. Użyteczny w pokazie slajdów. Jako że MPlayer potrafi przeszukiwać tylko do najbliższej klatki kluczowej, może to być niedokładne. Więszkość formatów ma klatkę kluczową mięczy <sek> a <sek>+20 sekund.

OPCJE DEMUXERA/STRUMIENI

-a52drc <poziom>
    Wybiera poziom Kompresji Dynamiki (Dynamic Range Compression) dla strumieni dźwiękowych AC3. <poziom> jest liczbą rzeczywistą od 0 do 1, gdzie 0 oznacza brak kompresji, a 1 (wartość domyślna) oznacza pełną kompresję (głośne kawałki są przyciszane wyciszone i vice versa). Opcja ta jest skuteczna tylko wtedy, kiedy strumień AC3 zawiera informacje o wymaganym zasięgu kompresji.

-aid <ID> (przeczytaj też -alang)
    Wybiera kanał audio (MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127, VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS 17-8190). MPlayer wyświetli dostępne identyfikatory, jeśli jest uruchomiony w trybie gadatliwym (-v). Kiedy odtwarzany jest strumień MPEG-TS, MPlayer/MEncoder użyje pierwszego programu (jeżeli jest dostępny) z wybranym strumieniem.

-alang <kod języka> (sprawdź też -aid)
    Odtwarza ścieżkę dźwiękową, która odpowiada podanemu kodowi języka. Różne formaty używają różnych kodów. DVD korzysta z dwuliterowych w standardzie ISO 639-1, Matroska i NUT operują na trzyliterowych ISO 639-2, a OGM korzysta z dowolnego identyfikatora. MPlayer wyświetli listę dostępnych języków, jeśli jest uruchomiony w trybie gatatliwym (-v).

    PRZYKŁAD: Wybiera z DVD ścieżkę w języku polskim, a jeżeli jej nie ma, korzysta z angielskiej. Odtwarza film w formacie Matroska w języku japońskim.

-audio-demuxer <numer> (tylko z opcją -audiofile)
    Wymusza typ demuxera audio dla -audiofile. Podaj ID demuxera, są one zdefiniowane w zbiorze libmpdemux/demuxer.h. -audio-demuxer 17 wymusza MP3.

-audiofile <nazwa zbioru>
    Otwórz audio z zewnętrznego zbioru (WAV, MP3 lub Ogg Vorbis) podczas odtwarzania filmu.

-audiofile-cache <kBajty>
    Włącza cache dla strumienia używanego przez -audiofile, używając określonej ilości pamięci.

-bandwidth <wartość> (tylko z siecią)
    Określa maksymalną szerokość pasma (bitrate) strumienia sieciowego (dla serwerów potrafiących przesyłać z różnymi szerokościami pasma). Przydatne jeśli chcesz oglądać na żywo media ze strumieni przy wolnym połączeniu.

-cdrom-device <ścieżka do urządzenia>
    Ustawia ścieżkę do urządzenia CD-ROM (domyślnie: /dev/cdrom).

-cache <kBajty>
    Ta opcja określa ile pamięci (w kBajtach) ma być użyte do wstępnego buforowania zbioru lub URL. Szczególnie przydatne przy powolnych nośnikach.

-cache-min <procent>
    Odtwarzanie rozpocznie się gdy bufor zostanie wypełniony w podanym stopniu.

-cache-prefil <procent> (jeszcze nie zaimplementowane)
    Jeśli bufor zostanie opróżniony MPlayer zatrzyma się i wznowi odtwarzanie gdy bufor osiągnie zadany poziom wypełnienia.

-cdda <opcja1:opcja2> <tylko z CDDA)
    Dostosowuje możliwość czytania CD Audio MPlayera.

    Dostępne są opcje: Ustala prędkość obrotów CD. Ustala poziom paranoi. 0: wyłącza sprawdzanie
    1: sprawdza tylko overlap (domyślnie)
    2: pełna korekcja i weryfikacja danych Używa podanego ogólnego urządzenia SCSI. Rozmiar bloku jednorazowego czytania. Wymusza minimalne przeszukiwanie overlap podczas weryfikacji do <wartość> sektorów. Zakłada że adres początku pierwszej ścieżki zapisany w TOC będzie adresowany jako LBA 0. Niektóre sterowniki Toshiba potrzebują tego by poprawnie określić granice ścieżek. Dodaje <wartość> sektorów do odczytanych wartości podczas adresowania ścieżek. Wartość może być ujemna. (Nie)akceptuje niedoskonałe rekonstrukcje danych.

-channels <numer>
    Wybiera liczbę kanałów do odtwarzania (domyślnie: 2). Jeżeli liczba kanałów wyjścia jest większa niż liczba kanałów wejścia, zostaną wstawione puste kanały (poza miksowaniem mono na stereo, wtedy w obydwóch kanałach wyjścia zostanie powielony kanał mono). Jeżeli liczba kanałów wyjścia jest mniejsza od liczby kanałów wejścia, wynik zależy od dekodera audio (-afm). MPlayer prosi dekoder by dekodował audio do wybranej ilości kanałów. Od dekodera zależy jak (i czy) sobie z tym poradzi. Jeżeli dekoder wygeneruje więcej kanałów niż potrzeba wówczas nadmiarowe zostaną wycięte. Opcja ta jest zazwyczaj potrzebna tylko przy odtwarzaniu filmów z dźwiękiem w formacie AC3 (jak DVD). W tym wypadku liba52 dekoduje i prawidłowo przerabia dźwięk na wymaganą liczbę kanałów.
    INFORMACJA: Opcja ta jest honorowana przez kodeki (tylko AC3), filtry (surround) i sterowniki ao (przynajmniej OSS).

    Dostępne są opcje:

    stereo surround pełne 5.1

-chapter <ID rozdziału[-<ID końcowego rozdziału>] (tylko DVD)
    Określa numer rozdziału od którego należy zacząć odtwarzanie. Może też określić numer rozdziału na którym należy skończyć odtwarzanie (domyślnie: 1).

-cookies (tylko z siecią)
    Wysyła cookies przy żądaniach HTTP.

-cookies-file <nazwa zbioru> (tylko z siecią)
    Czyta HTTP cookies z <nazwa zbioru> (domyślnie ~/.mozilla/ i ~/.netscape/) i nie czytaj z miejsc standardowych. Zakłada że zbiór jest w formacie Netscape.

-demuxer <numer>
    Wymusza typ demuxera. Podaj ID demuxera zdefiniowane w libmpdemux/demuxer.h. -demuxer 17 wymusza MP3.

-dumpaudio (tylko MPlayer)
    Zrzuca surowy, skompresowany strumień audio do ./stream.dump (przydatne z MPEG/AC3).

-dumpfile <nazwa zbioru> (tylko MPlayer)
    Podaje nazwę zbioru wynikowego dla opcji -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (tylko MPlayer)
    Zrzuca surowy strumień do ./stream.dump. Przydatny gdy rippujesz z DVD lub sieci.

-dumpvideo (tylko MPlayer)
    Zrzuca surowy, skompresowany strumień video do ./stream.dump (niezbyt przydatne).

-dvbin <options>
    Przekazuje zamiast domyślnych następujące opcje modułowi wejścia DVB:

    Użyje karty numer 1-4 (domyślnie: 1). Czyta listę kanałów z <nazwa pliku>. Domyślnym jest ~/.mplayer/channels.conf.{sat,ter,cbl} (w zależności od Twojej karty) lub w ostateczności ~/.mplayer/channels.conf.

-dvd-device <ścieżka do urządzenia> (tylko DVD)
    Podaje ścieżkę do urządzenia DVD (domyślnie: /dev/dvd). Możesz również określić katalog z plikami uprzednio skopiowanymi prosto z DVD (np. przez vobcopy). Zauważ, że -dumpstream jest zazwyczaj lepszym sposobem na kopiowanie tytułów DVD (zobacz przykłady).

-dvdangle <ID ujęcia> (tylko DVD)
    Niektóre dyski DVD zawierają sceny, które mogą być oglądane z różnych ujęć. Opcja ta informuje MPlayera, którego ujęcia ma używać (domyślnie: 1).

-forceidx
    Wymusza przebudowanie indeksu. Użyteczny dla zbiorów z uszkodzonym indeksem (desynchornizacje A/V itp.). Umożliwia wyszukiwanie w pliku. Trwałe naprawienie indeksu możliwe jest przy pomocy MEncodera (patrz dokumentacja)
    INFORMACJA: Opcji tej można używać tylko jeśli dany nośnik obsługuje wyszukiwanie (czyli nie stdin, kolejka itp.).

-fps <liczba rzeczywista>
    Zmienia prędkość odtwarzania klatek video (framerate) Przydatne jeśli wartość w nagłówku jest zła/nie istnieje.

-frames <ilość>
    Odtwarza/konwertuje tylko pierwsze <ilość> klatek, potem wychodzi.

-hr-mp3-seek (tylko z MP3)
    Dokładne przeszukiwanie MP3. Włączone gdy odtwarzamy z zewnętrznego zbioru MP3, gdyż potrzebujemy znaleźć bardzo dokładną pozycję do utrzymania synchronizacji A/V. Potrafi być wolne, szczególnie gdy szukamy do tyłu, ponieważ trzeba przewinąć do samego początku by znaleźć dokładnie tę klatkę.

-idx (patrz też opcja -forceidx)
    Przebuduje indeks AVI, jeżeli nie zostanie on znaleziony, umożliwiając przeszukiwanie zbioru. Przydatne przy uszkodzonych/niekopletnych zbiorach lub źle stworzonych plikach.
    INFORMACJA: Opcji tej można używać tylko jeśli dany nośnik obsługuje wyszukiwanie (czyli nie stdin, kolejka itp.).

-ipv4-only-proxy (tylko z siecią)
    Ignoruje proxy dla adresów IPv6. Będzie on nadal używany dla adresów IPv4.

-loadidx <zbiór indeksowy>
    Czyta dane indeksu video z <nazwa zbioru>, zapisane przez -saveidx. MPlayer będzie czytał indeks z podanego zbioru i używał tych danych do przeszukiwania zamiast jakiegokolwiek indeksu bezpośrednio w zbiorze AVI. Dodatkowo, MPlayer nie przeszkodzi w załadowaniu zbioru indeksowego wygenerowanego z innego AVI, ale to z pewnością wywoła niemiłe rezultaty.
    INFORMACJA: Ta opcja jest przestarzała, ponieważ MPlayer obsługuje już OpenDML.

-mc <sekundy/klatkę>
    maksymalna korekcja synchronizacji A-V na klatkę (w sekundach)

-mf <opcja1:opcja2:...>
    Używane przy dekodowaniu z wielu zbiorów PNG lub JPEG.

    Dostępne są opcje:

    szerokość danych wyjściowych (domyślnie: autodetekcja) wysokość danych wyjściowych (domyślnie: autodetekcja) ilość klatek na sekundę (fps) w danych wyjściowych (domyślnie: 25) typ zbiorów wejściowych (dostępne: jpeg, png, tga i sgi)

-ni (tylko AVI)
    Wymusza użycie parsera do AVI bez przeplotu (pozwala odtworzyć niektóre uszkodzone zbiory AVI).

-nobps (tylko AVI)
    Nie używa średniej ilości bajtów/sekundę do synchronizacji A-V. Pomaga przy niektórych zbiorach AVI z uszkodzonym nagłówkiem.

-noextbased
    Wyłącza wybór demuxera oparty na rozszerzeniu zbioru. Domyślnie, kiedy typ zbioru (demuxer) nie może być bezsprzecznie wykryty (zbiór nie posiada nagłówka lub jest on niewystarczająco pewny), rozszerzenie zbioru jest użyte do wybrania demuxera. Zawsze wraca do wyboru demuxera w oparciu o zawartość.

-passwd <hasło> (zobacz też opcję -user) (tylko z siecią)
    Podaje hasło dla autoryzacji HTTP.

-prefer-ipv4
    Używa IPv4 do połączeń sieciowych. Jeśli się nie da, automatycznie przestawia na IPv6.

-prefer-ipv6
    Używa IPv6 do połączeń sieciowych. Jeśli się nie da, automatycznie przestawia na IPv4.

-rawaudio <opcja1:opcja2:...>
    Pozwala na odtwarzanie surowych zbiorów audio. Może też być użyta żeby odtworzyć CD z dźwiękiem innym niż 44KHz 16-bit stereo. Do odtwarzania surowych strumieni AC3 użyj -rawaudio on:format=0x2000.

    Dostępne są opcje:

    Używa demuxera surowego dźwięku. ilość kanałów częstotliwość próbkowania rozmiar próbki w bajtach bitrate dla surowych danych audio kod fourcc szesnastkowo

-rawvideo <opcja1:opcja2:...>
    Ta opcja pozwala na odtwarzanie surowych zbiorów video.

    Dostępne są opcje:

    Używa demuxera surowego video. ilość klatek na sekundę (domyślnie: 25.0) ustawia jedną ze standardowych wielkości obrazu szerokość obrazu w pikselach wysokość obrazu w pikselach ustaw przestrzeń kolorów przestrzeń kolorów (fourcc) w hex rozmiar ramki w bajtach

-rtsp-stream-over-tcp (tylko z live.com)
    Używane z URLami "rtsp://" dla określenia, że nadchodzące pakiety RTP i RTCP mają być przesyłane przez TCP (używając tego samego połączenia co RTSP). Przydatne przy uszkodzonym połączeniu internetowym, które nie przepuszcza pakietów UDP (zobacz http://www.live.com/mplayer).

-saveidx <nazwa zbioru>
    Wymusza przebudowanie indeksu i zapisuje go w zbiorze <nazwa zbioru>. Aktualnie działa to tylko ze zbiorami AVI.
    INFORMACJA: Ta opcja jest przestarzała, ponieważ MPlayer obsługuje już OpenDML.

-sb <pozycja w bajtach> (patrz też opcja -ss)
    Przewija do pozycji określonej w bajtach. Przydatne do odtwarzania z obrazów CD-ROM lub zbiorów VOB ze śmieciami na początku.

-srate <Hz>
    Wybiera podaną częstotliwość próbkowania wyjścia, przepróbkowywując jeśli jest to niezbędne. Opcja -af-adv steruje typem przepróbkowywania. Domyślne jest szybkie przepróbkowywanie, które może zniekształcić dźwięk. MEncoder przekazuje tę wartość do LAME przy przepróbkowywaniu.

-ss <czas> (patrz też opcja -sb)
    Przeskakuje do podanego czasu.

    PRZYKŁAD: Przeskakuje do 56 sekundy. Przeskakuje do 1 godziny i 10 minut.

-tskeepbroken
    Informuje MPlayera by nie odrzucał pakietów TS zgłoszonych w strumieniu jako błędne. Czasami potrzebne do odtworzenia uszkodzonych zbiorów MPEG-TS.

-tsprobe <ilość bajtów>
    Przy odtwarzaniu strumienia MPEG-TS, opcja ta pozawala podać jak wiele bajtów w strumieniu MPlayer ma przeglądać w poszukiwaniu żądanych pidów audio i video.

-tsprog <1-65534>
    Przy odtwarzaniu strumienia MPEG-TS pozwala podać który program (jeśli jest kilka) należy odtwarzać. Może być użyta z -vid i -aid.

-tv <opcja1:opcja2:...> (tylko z TV)
    Ta opcja dostosowuje rozmaite właściwości modułu przechwytywania TV. Żeby oglądać telewizję MPlayerem podaj "tv://" lub "tv://<numer_kanału>" albo nawet "tv://<nazwa_kanału>" (jak ustawić <nazwę_kanału> podaje opcja channels poniżej) jako URL filmu.

    Dostępne są opcje: bez dźwięku dostępne sterowniki: dummy, v4l, v4l2, bsdbt848 Podaje urządzenie TV (domyślnie: /dev/video0). Wybiera wejście (domyślnie: 0 (TV) (lista jest wypisywana na konsoli). Podaje częstotliwość na którą należy ustawić tuner (np. 511.250). Nie działa z parametrem channels. Podaje format wyjściowy tunera jako nazwę obsługiwaną przez sterownik V4L (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) lub dowolny format określony wartością szesnastkową. Jeśli chcesz poznać wszystkie dostępne formaty podaj outfmt=help. szerokość okna wyjściowego wysokość okna wyjściowego częstotliwość przechwytywania video (ile klatek na sekundę przechwytywać) maksymalny rozmiar bufora przechwytywania w megabajtach (domyślnie: dynamiczny) bsdbt848 i v4l dopuszczają PAL, SECAM i NTSC. Lista dostępnych standardów dla v4l2 jest wyświetlana na konsoli. Przeczytaj też poniższą opcję normid. Ustawia standard TV z podanym numerycznym ID. Zależy on od karty przechwytywania. Lista standardów TV jest wypisywana przez MPlayera na konsoli. Ustawia tuner na kanał <wartość>. dostępne: europe-east, europe-west, us-bcast, us-cable, itp. Ustawia nazwy dla kanałów. Używaj _ zamiast spacji w nazwach (albo pobaw się cudzysłowami ;-). Nazwy kanałów będą wtedy wypisywane przez OSD, a polecenia tv_step_channel, tv_set_channel i tv_last_channel będą dostępne z pilota (zobacz LIRC). Nie działa z parametrem frequency.
    INFORMACJA: Numer kanału będzie pozycją na liście kanałów, licząc od 1.
    PRZYKŁAD: tv://1, tv://TV1, tv_set_channel 1, tv_set_channel TV1 Ustawia korekcję obrazu na karcie. Ustawia tempo bitowe przechwytywania audio. Przechwytuje audio nawet gdy v4l nie zgłasza żadnych źródeł audio. Przechwytuje z ALSA. Wybiera tryb audio: 0: mono
    1: stereo
    2: język 1
    3: język 2 Domyślnie, liczba zapisanych kanałów audio jest automatycznie ustawiana zgodnie z ustawieniami audio karty TV. Ta opcja wymusza nagrywanie stereo/mono bez względu na opcję amode i wartości zwracane przez v4l. Przydatne jeśli karta TV nie jest w stanie zgłosić prawidłowego trybu audio. ustawia urządzenie audio <wartość> powinna być /dev/... dla OSS i ID sprzętu dla ALSA. Opis podawania ID sprzętu jest w dokumentacji -ao alsa. Wybiera wyjście audio karty, jeżeli karta ma więcej niż jedno. Te opcje ustawiają parametry miksera karty video. Nie przyniesie to żadnych efektów, jeżeli Twoja karta go nie posiada. Dla v4l2 50 oznacza domyślną wartość przekazaną przez sterownik karty. Wartość 0 oznacza przechwytywanie i buforowanie audio i video razem (domyślna dla MEncodera). Wartość 1 (domyślna dla MPlayera) oznacza przechwytywanie tylko video i pozwolenie na przesyłanie dźwięku z karty TV do karty dźwiękowej poprzez kabel je łączący. Używa sprzętowej kompresji MJPEG (jeżeli karta ma taką możliwość). Gdy używasz tej opcji, nie musisz podawać szerokości i wysokości okna wyjściowego, ponieważ MPlayer ustali je automatycznie z wartości decimation (patrz poniżej). wybierz rozmiar obrazu, który będzie skompresowany przez sprzętową kompresję MJPEG: 1: pełny rozmiar
        704x576 PAL
        704x480 NTSC
    2: średni rozmiar
        352x288 PAL
        352x240 NTSC
    4: mały rozmiar
        176x144 PAL
        176x120 NTSC Wybiera jakość kompresji JPEG (dla pełnego rozmiaru zalecane jest < 60).

-user <nazwa użytkownika> (zobacz także opcję -passwd) (tylko sieć)
    Podaje nazwę użytkownika do uwierzytelnienia HTTP.

-user-agent <ciąg>
    Zgłasza <ciąg> jako program użytkownika (user agent) w strumieniowaniu HTTP.

-vid <ID>
    Wybiera kanał video (MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190). Przy odtwarzaniu strumienia MPEG-TS MPlayer/MEncoder użyje pierwszego (dostępnego) programu z wybranym strumieniem video.

-vivo <sub-opcje> (KOD DEBUGOWANY)
    Wymusza parametry audio dla demuxera VIVO (do usuwania błędów).

OPCJE OSD/NAPISÓW
INFORMACJA: Zobacz także opis -vf expand.

-dumpjacosub (tylko MPlayer)
    Konwertuje podane (przy pomocy opcji -sub) napisy na oparty na czasie format JACOsub. Tworzy w bieżącym katalogu zbiór dumpsub.js.

-dumpmicrodvdsub (tylko MPlayer)
    Konwertuje podane (przy pomocy opcji -sub) napisy na format MicroDVD. Tworzy w bieżącym katalogu zbiór dumpsub.sub.

-dumpmpsub (tylko MPlayer)
    Konwertuje podane (przy pomocy opcji -sub) napisy na format MPlayera - MPsub. Tworzy w bieżącym katalogu zbiór dumpsub.mpsub.

-dumpsami (tylko MPlayer)
    Konwertuje podane (przy pomocy opcji -sub) napisy na oparty na czasie format SAMI. Tworzy w bieżącym katalogu zbiór dumpsub.smi

-dumpsrtsub (tylko MPlayer)
    Konwertuje podane (przy pomocy opcji -sub) napisy na oparty na czasie format SubViewer (SRT). Tworzy w bieżącym katalogu zbiór dumpsub.srt.

-dumpsub (tylko MPlayer) (KOD BETA)
    Zrzuca podstrumień napisów ze strumieni VOB Zobacz także opcje -dump*sub i -vobsubout*.

-ffactor <numer> (tylko OSD)
    Zmienia alphamap czcionki. Może być: zwykła biała czcionka bardzo wąski czarny zarys (domyślnie) wąski czarny zarys pogrubiony czarny zarys

-flip-hebrew (tylko z FriBiDi)
    Włącza obracanie napisów przy użyciu FriBiDi

-noflip-hebrew-commas
    Zmienia przypuszczenia FriBiDi na temat umiejscowiania przecinków w napisach. Używaj, jeśli przecinki są umieszczane na początku zdania zamiast na końcu.

-font <ścieżka do zbioru font.desc> (tylko OSD)
    Szuka czcionek OSD/SUB w innym katalogu (domyślny dla zwykłych czcionek: ~/.mplayer/font/font.desc, dla czcionek FreeType: ~/.mplayer/subfont.ttf).
    INFORMACJA: Z FreeType, ta opcja ustala ścieżkę do zbioru czcionki tekstowej. Z fontconfig, ta opcja podaje nazwę czcionki wg fontconfig.

    PRZYKŁAD: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font "Bitstream Vera Sans"

-fontconfig (tylko z fontconfig)
    Włącza stosowanie czcionek zarządzanych przez fontconfig.

-forcedsubsonly
    Wyświetla tylko wymuszone napisy ze strumienia napisów DVD wybranego przez np. -slang.

-fribidi-charset <nazwa zestawu> (tylko z FriBiDi)
    Ustala zestaw znaków który zostanie przekazany do FriBiDi przy dekodowaniu napisów w innym formacie niż UTF-8 (domyślnie ISO8859-8).

-ifo <zbior ifo VOBsub>
    Wskazuje zbiór używany do załadowania palety i wielkości ramki napisów VOBsub.

-noautosub
    Wyłącza automatyczne ładowanie napisów.

-osdlevel <0-3> (tylko MPlayer)
    wskazuje tryb, w którym powinien włączyć się OSD tylko napisy głośność + szukanie (domyślnie) głośność + szukanie + zegar + procent głośność + szukanie + zegar + procent + całkowity czas

-overlapsub
    Pozwala na wyświetlenie następnego napisu gdy poprzedni jest wciąż widoczny (domyślnie włącza tylko dla niektórych formatów).

-sid <ID> (patrz też opcja -slang)
    Włącza wyświetlanie napisów DVD w języku podanym przez <ID> (0-31). MPlayer wyświetli dostępne języki, jeśli jest uruchomiony w trybie gadatliwym (-v).

-slang <kod kraju[,kod kraju,...]> (sprawdź teź opcję -sid)
    Określa priorytetową listę języków napisów DVD do użycia. Języki muszą być podane jako dwuliterowe kody krajów. MPlayer wyświetli dostępne języki, jeśli jest uruchomiony w trybie gadatliwym (-v).

    PRZYKŁAD: Wybiera polskie napisy, a jeśli nie są dostępne to angielskie.

-spuaa <tryb> (tylko z OSD)
    Ustala tryb wygładzania/skalowania dla DVD/VOBsub. Dodanie do trybu wartości 16 wymusza skalowanie nawet gdy wielkości oryginalnego i przeskalowanego okna są takie same. Mozna to wykorzystać by np. wygładzić napisy rozmyciem gaussa. Dostępne są tryby: brak (najszybszy, bardzo brzydki) przybliżony (zepsuty?) pełny (wolny) dwuliniowy (domyślny, szybki i nienajgorszy) rozmycie Gaussa (bardzo ładne)

-spualign <-1-2> (tylko OSD)
    Ustala jak powinny być wyrównane napisy SPU (DVD/VOBsub). oryginalna pozycja Wyrównaj na górze (oryginalne/domyślne zachowanie). Wyrównaj na środku. Wyrównaj na dole.

-spugauss <0.0-3.0> (tylko OSD)
    Ustawia poziom rozmycia Gaussa przy korzystaniu z -spuaa 4. Wyższy oznacza większe rozmycie (domyślnie: 1.0).

-sub <zbiórnapisów1,zbiórnapisów2,...>
    Używa/wyświetla te zbiory napisów. Tylko jeden zbiór może wyć wyświetlany w danej chwili.

-sub-bg-alpha <0-255>
    Ustawia wartość kanału alfa dla napisów i tła OSD. Większe wartości oznaczają większą przezroczystość. 0 oznacza pełną przezroczystość.

-sub-bg-color <0-255>
    Ustawia kolor tła napisów i OSD. Obecnie napisy są w skali szarości, więc jest to odpowiednik nasycenia koloru. Wartość 255 oznacza biel a 0 czerń.

-sub-demuxer <numer> (tylko -subfile) (KOD BETA)
    Wymusza typ demuxera napisów dla -subfile. ID demuxera takie same jak zdefiniowane w zbiorze subreader.h.

-sub-fuzziness <tryb>
    Dostosowuje niedokładność dopasowywania przy szukaniu napisów: dokładne dopasowanie Wczytaj wszystkie napisy zawierające nazwę filmu. Wczytaj wszystkie napisy z aktualnego katalogu.

-sub-no-text-pp
    Wyłącza wszelkie przetwarzanie tekstu po wczytaniu napisów. Stosowane w celach wyłapywania błędów.

-subalign <0-2> (tylko OSD)
    Ustala jak napisy powinny być wyrównane do -subpos. wyrównywanie górnej krawędzi (początkowe/domyślne zachowanie) wyrównywanie środka wyrównywanie dolnej krawędzi.

-subcc
    Wyświetla napisy DVD Closed Caption (CC). NIE są to napisy VOB, są to specjalne napisy ASCII dla niesłyszących zakodowane w strumieniu danych użytkownika VOB na większości DVD z regionu 1. Jak dotąd niespotykane na DVD z innych regionów.

-subcp <strona kodowa> (tylko iconv)
    Jeśli Twój system obsługuje iconv(3), możesz użyć tej opcji by ustalić stronę kodową napisów.

    PRZYKŁAD: -subcp latin2
    -subcp cp1250

-subcp enca:<język>:<strona powrotna> (tylko ENCA)
    Określa język stosując dwuliterowy kod, by ENCA mogła wykryć stronę kodową automatycznie. Jeżeli nie jesteś pewien, podaj cokolwiek i przejrzyj wyjście mplayer -v pod kątem dostępnych języków. Powrotna strona kodowa określa jaką stronę stosować, jesli autodetekcja zawiedzie.

    PRZYKŁAD: Odgadnij kodowanie, zakładając że napisy są po czesku, jeżeli się nie uda, powróć do latin 2. Odgadnij kodowanie dla polskiego, jeżeli się nie uda, powróć do cp1250.

-subdelay <sek>
    Opóźnienie napisów o <sek> sekund. Może być ujemne.

-subfile <filename> (KOD BETA)
    Aktualnie bezużyteczne. To samo co -audiofile, ale dla strumieni napisów (OggDS?).

-subfont-autoscale <0-3> (tylko z obsługą FreeType)
    Ustawia tryb autoskalowania.
    INFORMACJA: 0 oznacza, że text scale i OSD scale są wysokością czcionki w punktach.

    Może być:

    bez automatycznego skalowania proporcjonalny do wysokości filmu proporcjonalny do szerokości filmu proporcjonalny do przekątnej filmu (domyślnie)

-subfont-blur <0-8> (tylko FreeType)
    Ustawia promień rozmycia czcionki (domyślnie: 2).

-subfont-encoding <wartość> (tylko FreeType)
    Ustawia kodowanie czcionki. Wartość "unicode" oznacza, że będą wyświetlane wszystkie znaki ze zbioru i będzie używany unicode (domyślnie: unicode).

-subfont-osd-scale <0-100> (tylko FreeType)
    Ustawia współczynnik automatycznego skalowania elementów OSD (domyślnie: 6).

-subfont-outline <0-8> (tylko FreeType)
    Ustawia grubość linii zewnętrznej czcionki (domyślnie: 2)

-subfont-text-scale <0-100> (tylko FreeType)
    Ustawia wskaźnik automatycznego skalowania napisów jako procent rozmiaru ekranu (domyślnie: 5).

-subfps <tempo>
    Ustawia prędkość (w klatkach/sek) zbioru napisów (domyślnie: jak w filmie).
    INFORMACJA: Tylko dla zbiorów opartych na klatkach np. format MicroDVD.

-subpos <0-100> (przydatne przy -vf expand) (tylko z OSD)
    Ustawia pozycję napisów na ekranie. Jest to pozioma pozycja napisów w % wysokości ekranu.

-subwidth <10-100> (tylko z OSD)
    Określa maksymalną szerokość napisów na ekranie. Przydatne przy wyjściu TV. Jest to szerokość napisów w % szerokości ekranu.

-unicode
    Informuje MPlayera by przetwarzał zbiór napisów jako unicode.

-utf8
    Informuje MPlayera by przetwarzał zbiór napisów jako UTF-8.

-vobsub <zbiór VOBsub bez rozszerzenia>
    Określa zbiory VOBsub z napisami. Jest to pełna ścieżka do zbioru bez rozszerzenia, tj. bez ".idx", ".ifo" lub ".sub".

-vobsubid <0-31>
    Określa ID napisów VOBsub.

OPCJE WYJŚCIA AUDIO (TYLKO MPLAYER)

-abs <wartość> (tylko -ao oss) (PRZESTARZAŁE)
    Zmienia wykrytą wielkość bufora sterownika audio/karty.

-aofile <nazwa zbioru>
    Zmienia domyślną nazwę zbioru dla -ao pcm.

-aop <list=wtyczka1,wtyczka2...:opcja1=wartość1:opcja2=wartość2...>
    Określ wtyczki audio i ich opcje (sprawdź również rozdział dokumentacji traktujący o wtyczkach audio).

    Dostępne są opcje: oddzielona przecinkami lista wtyczek (resample, surround, format, volume, extrastereo, volnorm, delay) przykładowa wtyczka, nie używaj jej (tylko wtyczka delay) format danych wyjściowych (tylko wtyczka format) częstotliwość danych wyjściowych (tylko wtyczka resample) głośność (tylko wtyczka volume) współczynnik stereo, domyślnie: 2.5 (tylko wtyczka extrastereo) włącza kompresję / "miękkie obcinanie (soft-clipping)" (tylko wtyczka volume)

-delay <sekundy>
    Ustawia opóźnienie dźwięku w sekundach (dodatnia lub ujemna liczba rzeczywista).

-format <0-8192>
    Wybiera format używany przez wyjście warstwy filtrującej (zgodnie z definicjami w libao2/afmt.h): Mu-Law A-Law Ima-ADPCM 8-bit bez znaku 16-bit (little-endian) ze znakiem 16-bit (big-endian) ze znakiem 8-bit ze znakiem 16-bit (little-endian) bez znaku 16-bit (big-endian) bez znaku MPEG (2) Audio AC3 32-bit (little-endian) ze znakiem 32-bit (big-endian) ze znakiem

-mixer <urządzenie>
    Korzysta z miksera innego niż domyślny /dev/mixer. Przy ALSA jest to nazwa miksera.

-mixer-channel <linia miksera>[, indeks miksera] (tylko -ao oss i -ao alsa)
    Ta opcja mówi MPlayerowi, żeby użył innego kanału do sterowania głośnością niż domyślne PCM. Część możliwości dla OSS to vol, pcm, line. Żeby znaleźć pełną listę możliwości poszukaj SOUND_DEVICE_NAMES w /usr/include/linux/soundcard.h. Dla ALSA możesz użyć nazw, które, na przykład, pokazuje alsamixer, jak Master, Line, PCM.
    INFORMACJA: Nazwy kanałów miksera ALSA z dołączonym numerem muszą być zapisane w formacie <nazwa, numer>, np. kanał nazwany 'PCM 1' w alsamixer musi być zamieniony na PCM,1.

-softvol
    Wymusza użycie programowego miksera, zamiast tego w karcie dźwiękowej.

-softvol-max <10.0-10000.0>
    Ustawia maksymalny poziom wzmocnienia w procentach (domyślnie: 110). Wartość 200 pozwoli na podniesienie głośności do maksimum dwukrotności aktualnego poziomu. Przy wartościach poniżej 100 początkowa głośność (wynosząca 100%) będzie powyżej maksimum, czego np. OSD nie potrafi prawidłowo wyświetlić.

-nowaveheader (tylko -ao pcm)
    Nie dołącza nagłówków wave. Używany przy surowym PCM.

-volstep <0-100>
    Ustala wielkość zmiany przy ustawianiu poziomu dźwięku miksera (w procentach całego zakresu) (domyślnie: 3).

STEROWNIKI WYJŚCIOWE DŹWIĘKU (TYLKO MPLAYER)
Sterowniki wyjścia dźwięku to interfejsy do różnych urządzeń wyjściowych audio. Składnia jest następująca:

-ao <sterownik1[:podopcja1[=wartość]:...],sterownik2,...[,]>
    Określa prirytetową listę sterowników wyjścia audio.

Jeżeli lista kończy się przecinkiem, MPlayer powróci do sterowników niezawartych w wierszu poleceń. Podopcje są opcjonalne i przeważnie mogą być pominięte.
INFORMACJA: Opcja -vo help pokaże listę wkompilowanych sterowników wyjścia audio.

PRZYKŁAD: Spróbuje użyć sterownika ALSA, później OSS a potem pozostałych. Ustawia tryb noblock, tryb mmap-mode i nazwę urządzenia jako pierwsza karta, czwarte urządzenie

Dostępne sterowniki wyjściowe audio:

alsa
    Sterownik ALSA 0.9/1.x. Ustawia eksperymentalny tryb mmap (mmap-mode) (nie działa dla więcej niż 2 kanałów). Ustawia tryb noblock (noblock-mode). Ustawia nazwę urządzenia. Zamiast "," w nazwie urządzenia ALSA wstaw ".", a zamiast ":" wstaw "=". Upewnij się że nie ustawiasz tego jeśli chcesz uzyskać wyjście w formacie hwac3 poprzez S/PDIF, chyba że dobrze wiesz jak to prawidłowo ustawić.

alsa5
    sterownik ALSA 0.5

oss Sterownik OSS Ustawia urządzenie wyjściowe dźwięku (domyślnie: /dev/dsp).

sdl Sterownik dla biblioteki wysoce niezależnej od platformy - SDL (Simple Directmedia Layer). Określa, jaki sterownik dźwięku ma zostać użyty przez SDL (domyślnie: SDL wybiera).

arts
    Przekazuje dźwięk przez demona Arts.

esd Przekazuje dźwięk przez demona ESD. Określa jaki serwer ESD ma zostać użyty (domyślnie: localhost).

jack
    Przekazuje dźwięk przez JACK (Jack Audio Connection Kit).

nas Przekazuje dźwięk przez NAS.

macosx (tylko Mac OS X)
    Rdzenny sterownik Mac OS X.

sgi (tylko SGI)
    Rdzenny sterownik SGI.

sun (tylko Sun)
    Rdzenny sterownik Sun. Określa, jakie urządzenie audio ma zostać użyte (domyślnie: /dev/audio).

win32 (tylko Windows)
    Rdzenny sterownik waveout Windows.

dxr2 (patrz też -dxr2) (tylko DXR2)
    Specyficzny sterownik Creative DXR2.

mpegpes (tylko DVB)
    Specyficzny sterownik DVB.

null
    Nie przekazuje dźwięku, ale utrzymuje prędkość odtwarzania video. Do testów wydajnościowych użyj -nosound.

pcm (sprawdź również -aofile)
    Sterownik wyjściowy zapisujący dane w surowych (raw) plikach PCM/wave. Zapisuje dźwięk do ./audiodump.wav.

plugin
    Sterownik wyjściowy wtyczki.

OPCJE WYJŚCIA VIDEO (TYLKO MPLAYER)

-aa* (tylko -vo aa)
    Możesz otrzymać listę oraz wyjaśnienia dostępnych opcji wykonując mplayer -aahelp

-adapter <wartość>
    Ustawia kartę graficzną, która otrzyma obraz. Do poprawnego działania wymaga opcji -vm. Listę dostępnych kart otrzymasz stosując tę opcję z -v. Obecnie działa tylko z -vo directx.

-bpp <głębia>
    Wymusza inną głębię kolorów niż wykryta. Obsługiwane tylko przez sterowniki wyjścia video fbdev, dga, svga i vesa.

-brightness <-100-100>
    Modyfikuje jasność wyjścia video (domyślnie: 0). Nie wszystkie sterowniki wyjścia video to obsługują.

-contrast <-100-100>
    Modyfikuje kontrast wyjścia video (domyślnie: 0). Nie wszystkie sterowniki wyjścia video to obsługują.

-dfbopts <wartość> (tylko -vo directfb2)
    Określa listę parametrów dla sterownika wyjścia video directfb.

-display <nazwa> (tylko X11)
    Podaje nazwę komputera i numer wyświetlacza serwera X, na którym chcesz wyświetlać.

    PRZYKŁAD: -display xtest.localdomain:0

-dr Włącz bezpośrednie renderowanie (obsługiwane nie przez wszystkie kodeki i wyjścia video)
    UWAGA: Może powodować popsucie OSD/SUB!

-dxr2 <opcja1:opcja2:...>
    Ta opcja jest używana do kontroli sterownika wyjścia video dxr2. tryb proporcji (aspect ratio) (0 = normalny, 1 = panoramiczny, 2 = letterbox (domyślnie)) Ustawia tryb wyjścia iec958 na zakodowany. Ustawia tryb wyjścia iec958 na zdekodowany (domyślne). tryb macrovision (0 = wyłączone (domyślnie), 1 = agc, 2 = agc 2 colorstripe 3 = agc 4 colorstripe) wycisza dźwięk wyłącza wyciszenie dźwięku ścieżka do microcode

    wyjście TV
włącza wyjście 7.5 IRE wyłącza wyjście 7.5 IRE (domyślne) czarno/białe wyjście TV kolorowe wyjście TV (domyślne) włącza wyjście TV z przeplotem (domyślne) wyłącza wyjście TV z przeplotem norma TV (ntsc (domyślna), pal, pal60, palm, paln, palnc) ustawia tryb kwadratowy piksela ustawia tryb ccir601 piksela

    nakładka (Overlay)
Ustawia wartość obcinania z lewej (domyślnie: 50). Ustawia wartość obcinania z prawej (domyślnie: 300). Ustawia wartość obcinania z góry (domyślnie: 0). Ustawia wartość obcinania z dołu (domyślnie: 0). Ustawia czerwony (r), zielony (g) lub niebieski (b) kolor klucza nakładki. minimalna wartość odpowiedniego klucza koloru maksymalna wartość odpowiedniego klucza koloru Nie używa zapamiętanych ustawień nakładki. Uaktualnia zapisane ustawienia nakładki. Włącza osd w nakładce. Wyłącza osd w nakładce (domyślne). Modyfikuje rozmiar (h,w) i pozycję (x,y) nakładki w przypadku gdy nie pasuje ona do okna (domyślnie: 0). Włącza nakładkę (domyślne) Włącza TVout. Dostosowuje nakładkę (domyślnie 1000).

-fb <urządzenie> (tylko fbdev lub DirectFB) (PRZESTARZAŁE)
    Określa urządzenie bufora ramek (framebuffer). Domyślnie używany jest /dev/fb0.

-fbmode <nazwa trybu> (tylko fbdev)
    Zmienia tryb video na opisany etykietą <nazwa trybu> w /etc/fb.modes.
    INFORMACJA: Bufor ramek VESA nie obsługuje zmieniania trybu.

-fbmodeconfig <nazwa zbioru> (tylko -vo fbdev)
    Używa podanego zbioru konfiguracyjnego (domyślnie: /etc/fb.modes).

-forcexv (tylko -vo sdl)
    Wymusza używanie XVideo poprzez sterownik wyjścia video sdl.

-fs (patrz też -zoom)
    Odtwarzanie pełnoekranowe (film w centrum i czarne obramowanie wokół niego). Nie wszystkie sterowniki wyjścia video to obsługują.

-fsmode-dontuse <0-31> (PRZESTARZAŁE, używaj opcji -fs)
    Wypróbuj tę opcję, jeżeli masz problemy z trybem pełnoekranowym.

-fstype <typ1,typ2,...>
    Określa priorytetową listę trybów ustawień używanej warstwy pełnoekranowej. Możesz wyłączyć tryb poprzedzając go "-". Jeśli masz kłopoty typu okno pełnoekranowe jest przykryte przez inne okna wypróbuj inną kolejność.
    INFORMACJA: -fstype help wyświetla pełną listę dostępnych trybów.

    Dostępne są typy:

    Używa zalecenia _NETWM_STATE_ABOVE jeśli jest to możliwe. Używa zalecenia _NETWM_STATE_BELOW jeśli jest to możliwe. Używa zalecenia _NETWM_STATE_FULLSCREEN jeśli jest to możliwe. Używa zalecenia _WIN_LAYER z domyślną warstwą. Używa zalecenia _WIN_LAYER z numerem warstwy. Wymusza styl NETWM. Nie używa warstwy pełnoekranowej. Używa zalecenia _NETWM_STATE_STAYS_ON_TOP jeśli jest to możliwe.

    PRZYKŁAD:
Domyślna kolejność, będzie użyta w przypadku podania nieprawidłowych lub nieobsługiwanych typów. Naprawia przełączanie pełnego ekrany na OpenBox 1.x.

-geometry x[%][:y[%]] lub [WxH][+x+y]
    Ustawia gdzie na ekranie ma się początkowo znajdować wyjście. Wielkości x i y mierzone są w pikselach od lewego górnego rogu ekranu do lewego górnego rogu wyświetlanego obrazu, jeżeli jednak po argumencie podany jest procent, to jest on traktowany jak procent wielkości ekranu w danym kierunku. Obsługuje to także standardowy format opcji -geometry z X11. Jeśli przy pomocy opcji -wid podano zewnętrzne okno to współrzędne x i y są liczone względem lewego górnego rogu tego okna a nie ekranu.
    INFORMACJA: Ta opcja jest obsługiwana tylko przez sterowniki wyjścia video x11, xmga, xv, xvmc, xvidix, directx i tdfxfb.

    PRZYKŁAD: Umieszcza okno w x=50, y=40 Umieszcza okno na środku ekranu Umieszcza okno w śroku prawej krawędzi ekranu Umieszcza okno w prawym dolnym rogu ekranu

-guiwid <ID okna> (patrz też -wid) (tylko z GUI)
    Przekazuje do GUI, że ma ono również używać okna X11 i przykleić je na dole ekranu video, co jest przydatne by osadzić mini-GUI w przeglądarce (używającej na przykład wtyczki MPlayer).

-hue <-100-100>
    Modyfikuje barwę sygnału video (domyślnie 0). Dzięki tej opcji możesz otrzymać kolorowy negatyw obrazu. Nie wszystkie sterowniki wyjścia video to obsługują.

-monitor-dotclock <zakres[,zakres,...]> (tylko -vo fbdev i vesa)
    Określa zakres dotclock lub pixelclock monitora.

-monitor-hfreq <zakres[,zakres,...]> (tylko -vo fbdev i vesa)
    Określa zakres częstotliwości poziomej monitora.

-monitor-vfreq <zakres[,zakres,...]> (tylko -vo fbdev i vesa)
    Określa zakres częstotliwości pionowej monitora.

-monitoraspect <stosunek> (patrz też -aspect)
    Ustawia proporcje Twojego monitora lub ekranu TV.

    PRZYKŁAD: -monitoraspect 4:3 lub 1.3333
    -monitoraspect 16:9 lub 1.7777

-nodouble
    Wyłącza podwójne buforowanie, głównie do celów debugowania. Podwójne buforowanie eliminuje migotanie dzięki przechowywaniu dwóch ramek w pamięci i wyświetlaniu jednej, podczas gdy druga jest dekodowana. Może mieć to negatywny wpływ na OSD, ale często usuwa jego migotanie.

-nograbpointer
    Nie przechwytuje kursora muszki po zmianie trybu video (-vm). Przydatne przy ustawieniach wieloekranowych.

-nokeepaspect
    Nie utrzymuje proporcji, gdy zmieniany jest rozmiar okna. Działa obecnie tylko ze sterownikami wyjścia video x11, xv, xmga, xvidix oraz directx. Dodatkowo, pod X11 Twój manager okien musi rozumieć zalecenia proporcji okna.

-noxv (tylko -vo sdl)
    Wyłącza używanie XVideo poprzez sterownik wyjścia video sdl.

-ontop
    Sprawia, że okno zostaje nad innymi oknami. Obsługiwane przez sterowniki wyjścia video używające X11, poza SDL oraz directx i gl2 pod Windows.

-panscan <0.0-1.0>
    Włącza tryb panoramiczny (obcina boki filmu np. 16:9 tak, by pasował na ekran 4:3 bez czarnych pasków). Zasięg kontroluje jak duża część obrazu będzie przycięta. Działa tylko ze sterownikami wyjścia video xv, xmga, mga, gl, quartz i xvidix.

-refreshrate <Hz>
    Ustawia częstotliwość odświeżania monitora. Obecnie opcja ta jest obsługiwana tylko przez -vo directx razem z -vm.

-rootwin
    Odtwarza film w głównym oknie (tło pulpitu). Jednak obrazki tła na pulpicie mogą przesłaniać okno filmu. Działa tylko ze sterownikami wyjścia video x11, xv, xmga, xvidix, quartz i directx.

-saturation <-100-100>
    Modyfikuje nasycenie sygnału wyjścia video (domyślnie: 0). Dzięki tej opcji można uzyskać obraz w skali szarości. Nie wszystkie sterowniki wyjścia video to obsługują.

-screenh <piksele>
    Podaje pionową rozdzielczość ekranu dla sterowników wyjścia video które nie znają rozdzielczości ekranu, jak fbdev, x11 i TVout.

-screenw <piksele>
    Podaje poziomą rozdzielczość ekranu dla sterowników wyjścia video które nie znają rozdzielczości ekranu, jak fbdev, x11 i TVout.

-stop-xscreensaver (tylko X11)
    Wyłącza wygaszacz ekranu przy starcie i włącza go ponownie podczas wychodzenia.

-vm Próbuje zmienić na inny tryb video. Obsługiwane przez sterowniki wyjścia video dga, x11, xv, sdl i directx. Jeżeli jest ona użyta ze sterownikiem wyjścia video directx, opcje -screenw, -screenh, -bpp i -refreshrate mogą ustawić nowy tryb wyświetlania.

-vsync
    Włącza VBI dla sterowników wyjścia video vesa, dfbmga i svga.

-wid <ID okna>] (tylko X11 i DirectX)
    Przekazuje MPlayerowi, by dołączył się do instniejącego okna. Przydatne, by osadzić MPlayera w przeglądarce (na przykład za pomocą wtyczki).

-xineramascreen <0-...>
    W konfiguracjach Xinerama (tj. pojedynczy pulpit obejmujący wiele ekranów) opcja ta przekaże MPlayerowi na którym ekranie ma wyświetlać film.

-z <0-9> (tylko -vo png)
    Podaje poziom kompresji dla sterownika wyjścia video png. 0 to brak kompresji, 9 to maksymalna kompresja.

-zrbw (tylko -vo zr)
    Wyświetla czarno-biały obraz. Dla optymalnego działania opcja ta może być łączona z "-lavdopts gray".

-zrcrop <[szerokość]x[wyskokość]+[x offset]+[y offset]> (tylko -vo zr)
    Wybiera partie obrazu wejściowego do odtwarzania, wielokrotne wystąpienie tej opcji włącza tryb cinerama. W trybie cinerama film jest rozdzielany na więcej niż jeden TV (lub rzutnik) by stworzyć duży ekran. Opcje pojawiające się po zastosowaniu n-tego -zrcrop dotyczą n-tej karty MJPEG, z których każda powinna mieć co najmniej -zrdev poza -zrcrop. Przykłady są w sekcji Zr dokumentacji oraz są pokazywane przez opcję -zrhelp.

-zrdev <urządzenie> (tylko -vo zr)
    Określa zbiór urządzenia należący do Twojej karty MJPEG, domyślnie sterownik ten bierze pierwsze urządzenie v4l które znajdzie.

-zrfd (tylko -vo zr)
    Wymusza dziesiątkowanie (decimation): Dziesiątkowanie, określone przez -zrhdec i -zrvdec, następuje tylko, gdy sprzęt skalujący potrafi rozciągnąć obraz do jego oryginalnych rozmiarów. Ta opcja wymusza dziesiątkowania.

-zrhdec <1,2,4> (tylko -vo zr)
    Poziome dziesiątkowanie (decimation): Informuje sterownik by przekazywał tylko co 2-gą lub 4-tą linię/piksel obrazu do karty MJPEG i użył urządzenia skalującego karty do rozciągnięcia obrazu do jego oryginalnych rozmiarów.

-zrhelp (tylko -vo zr)
    Wyświetla listę wszystkich opcji -zr*, ich domyślną wartość oraz przykład trybu cinerama.

-zrnorm <norma> (tylko -vo zr)
    Wybiera normę TV PAL lub NTSC (domyślnie: nie zmieniać).

-zrquality <1-20> (tylko -vo zr)
    Liczba od 1 (najlepsza) do 20 (najgorsza) określająca jakość kodowania JPEG.

-zrvdec <1,2,4> (tylko -vo zr)
    Pionowe dziesiątkowanie (decimation): Informuje sterownik by przekazywał tylko co 2-gą lub 4-tą linię/piksel obrazu do karty MJPEG i użył urządzenia skalującego karty do rozciągnięcia obrazu do jego oryginalnych rozmiarów.

-zrxdoff <przesunięcie w osi x> (tylko -vo zr)
    Jeśli film jest mniejszy niż ekran opcja ta określa przesunięcie w poziomie od lewego górnego rogu ekranu (domyślnie: obraz wycentrowany).

-zrydoff <przesunięcie w osi y> (tylko -vo zr)
    Jeśli film jest mniejszy niż ekran opcja ta określa przesunięcie w pionie od lewego górnego rogu ekranu (domyślnie: obraz wycentrowany).

STEROWNIKI WYJŚCIA VIDEO (TYLKO MPLAYER)
Sterowniki wyjścia video to interfejsy do różnych urządzeń wyjściowych video. Składnia jest następująca:

-vo <sterownik1[:podopcja1[=wartość]:...],sterownik2,...[,]>
    Określa priorytetową listę sterowników wyjścia video.

Jeżeli lista zakończona jest przecinkiem, MPlayer powróci do sterowników niewymienionych w wierszu poleceń. Podopcje są dodatkowe i przeważnie mogą być pominięte.
INFORMACJA: Opcja -vo help pokaże listę wkompilowanych sterowników wyjścia video.

PRZYKŁAD: Najpierw spróbuj wykorzystać sterownik Matrox X11, później Xv i na końcu resztę. Wykoszysta sterownik DirectX z wyłączonymi funkcjami przyspieszającymi.

Dostępne sterowniki wyjściowe:

xv (tylko X11)
    Wykorzystuje rozszerzenie XVideo oferowane przez XFree86 4.x, aby włączyć sprzętową akcelerację odtwarzania. Jeżeli nie możesz skorzystać ze sterownika napisanego specjalnie dla Twojego sprzętu, to prawdopodobnie jest najlepsza opcja. Określa port XVideo.

x11 (tylko X11)
    Sterownik wyjścia video z pamięcią dzieloną, bez sprzętowej akceleracji, który działa gdziekolwiek, jeżeli tylko obecne jest X11.

xover (tylko X11)
    Dodaje obsługę X11 dla wszystkich sterowników opartych o overlay. Obecnie użyteczne tylko z tdfx_vid. Wybiera sterownik, którego należy użyć jako nakładki na X11.

xvmc (tylko X11 z -vc ffmpeg12mc)
    Sterownik wyjścia video, który korzysta z rozszerzenia XvMC (X Video Motion Compensation) oferowanego przez XFree86 4.x, aby przyspieszyć dekodowanie MPEG-1/2 i VCR2. Nie wyświetla obrazów. Konieczne dla prawidłowego testowania wydajności dla sterowników, które zmieniają bufor obrazu tylko przy przerysowywaniu monitoru (nVidia). Kolejkuje klatki do wyświetlenia, aby umożliwić bardziej równoległą pracę urządzenia video. Może spowodować małą (nie zauważalną) stałą desynchronizację A/V. Wykorzystuje funkcję sleep podczas czekania na zakończenie renderowania (niezalecane na Linuksie). Nie korzysta z funkcji sleep podczas czekania na zakończenie renderowania (domyślne).

dga (tylko X11)
    Odtwarza video korzystając z rozszerzenia XFree86 Direct Graphics Access. Uważany za przeżytek.

sdl (patrz też -forcexc, -noxv) (tylko SDL)
    Sterownik wyjścia oparty na wysoce niezależnej od platformy bibliotece SDL (Simple Directmedia Layer). Ponieważ SDL używa własnej warstwy X11, opcje MPlayera dotyczące X11 nie mają tu żadnego wpływu. Wybiera używany sterownik SDL.

vidix
    VIDIX (VIDeo Interface for *niX - interfejs video dla *niX) to interfejs do możliwości przyspieszających w różnych kartach graficznych. Bardzo szybki sterownik wyjścia video na kartach, które go obsługują. Precyzuje, który sterownik VIDIX ma być wykorzystany. Dostępne są cyberblade_vid, mach64_vid, mga_crtc2_vid, mga_vid, nvidia_vid, pm3_vid, radeon_vid, rage128_vid, sis_vid i unichrome_vid.

xvidix (tylko X11)
    Nakładka X11 dla VIDIX podobnie jak dla vidix

cvidix
    Standardowa i niezależna od platformy nakładka dla VIDIX, może nawet chodzić w konsoli tekstowej z kartami nVidia. podobnie jak dla vidix

winvidix (tylko Windows)
    Nakładka Windows dla VIDIX jak dla vidix

directx (tylko Windows)
    Sterownik wyjścia video korzystający z interfejsu DirectX. Wyłącza sprzętową akcelerację. Wypróbuj tę opcję, jeżeli masz problemy z wyświetlaniem.

quartz (tylko Mac OS X)
    Sterownik wyjścia video Mac OS X Quartz. W pewnych przypadkach, wydajniejsze może się okazać wymuszenie spakowanego formatu wyjściowego YUV, podając np. -vf format=yuy2. Określa jakie urządzenia ma być użyte w trybie pełnoekranowym. Podaje rozdzielczość pełnoekranową (przydatne na wolnych systemach).

fbdev (tylko Linux)
    Używa bufora ramki oferowanego przez jądro do wyświetlania obrazu. Wybiera nazwę używanego urządzenia fbdev (np. /dev/fb0) albo nazwę podurządzenia VIDIX, jeśli zaczyna się od "vidix" (np. "vidixsis_vid" włącza sterownik sis).

fbdev2 (tylko Linux)
    Używa bufora ramki oferowanego przez jądro do wyświetlania obrazu, alternatywna implementacja. Wybiera nazwę używanego urządzenia fbdev (domyślnie: /dev/fb0).

vesa
    Bardzo ogólny sterownik wyjścia video , który powinien działać z wszystkimi kartami obsługującymi standard VESA VBE 2.0. Włącza tryb DGA. Wyłącza tryb DGA. Włącza wyjście TV karty NeoMagic i ustawia je na normę PAL. Włącza wyjście TV karty NeoMagic i ustawia je na normę NTSC. Używa sterownika VIDIX. Włącza Linux Video Overlay na trybie VESA.

svga
    Sterownik wyjścia video korzystający z biblioteki SVGA. Ustawia określony tryb video. Tryb może być podany w formacie <szerokość>x<wysokość>x<kolory>, np. 640x480x16M lub numer trybu graficznego, np. 84. Rysuje OSD w czarnym pasku poniżej filmu (wolniejsze). Wykorzystuje tylko rdzenne funkcje rysujące. Omijane jest bezpośrednie renderowanie (direct rendering), OSD i akceleracja sprzętowa. Wymusza zmianę klatki przy przerysowywaniu pionowym. Użyteczne tylko z -double. Wywołuje ten sam efekt co opcja -vsync. Spróbuje wykorzystać tryb video z kwadratowymi pikselami. Używa svga z VIDIX.

gl  Sterownik wyjścia video OpenGL. Prosta wersja, obraz musi być mniejszy niż maksymalny rozmiar tekstury dostępny w Twojej implementacji OpenGL. Zamiarem było działanie na nawet najprostszych implementacjach OpenGL. Włącza obsługę większej ilości formatów kolorów (RGB i BGR). Wymaga wersji OpenGL >= 1.2. Ilość linii kopiowana do tekstury w jednym kawałku (domyślnie: 4). 0 oznacza cały obraz. Włącza lub wyłącza obsługę wyświetlania OSD przez OpenGL (domyślnie: włączona). Przeznaczone głównie do testów, powinieneś skorzystać z -osdlevel 0, aby wyłączyć OSD. Zmienia sposób zachowania OSD przy zmianie wielkości okna (domyślnie: wyłączone). Jeżeli włączone zachowuje się podobniej do pozostałych wyjść video, co jest lepsze przy czcionkach o stałej szerokości znaków, Wyłączone lepiej wygląda z czcionkami freetype oraz używa ramek w trybie pełnoekranowym. Włącza lub wyłącza przeliczanie proporcji i trybu panoramicznego (domyślnie: włączone). Wyłączenie może zwiększyć prędkość.

gl2 Sterownik wyjścia video OpenGL, druga generacja. Obsługuje OSD i obrazy większe niż maksymalny rozmiar tekstury.

null
    Nie tworzy danych wyjściowych video. Użyteczne dla testowania wydajności.

aa (patrz też -aa*)
    Sterownik wyjścia video ASCII art, który działa na konsoli tekstowej.

caca
    Sterownik wyjścia video Colour AsCii Art, który działa na konsoli tekstowej.

bl  Odtwarzanie video przy użyciu protokołu Blinkenlights UDP. Sterownik jest wysoce zależny od sprzętu. Wybiera używane podurządzenie Blinkenlights. Jest to coś typu arcade:host=localhost:2323 lub hdl:file=nazwa1,file=nazwa2. Musisz podać podurządzenie.

ggi Sterownik wyjścia video dla systemu grafiki GGI. Wybiera używany sterownik GGI.

directfb
    Odtwarza video korzystając z biblioteki DirectFB. Korzysta z kodu klawiszy DirectFB zamiast MPlayera (domyślnie: włączone). Podwójne i potrójne buforowanie dają najlepsze efekty, jeżeli chcesz uniknąć problemów z rozrywaniem. Potrójny bufor jest wydajniejszy niż podwójny, jako że nie blokuje MPlayera w trakcie czekania na przerysowanie w pionie. Nie powinno się korzystać z pojedynczego buforowanie (domyślnie: pojedynczy). Kontroluje kolejność wyjścia dla ramek z przeplotem (domyślnie: wyłączony). Poprawnymi wartościami są top = najpierw górne pola, bottom = najpierw dolne pola. Opcja ta nie ma żadnego wpływu na progresywny materiał filmowy (większość filmów MPEG). Musisz włączyć tę opcję, jeżeli masz problemy z rozrywaniem/brakiem płynności ruchów podczas oglądania materiału z przeplotem. Wymusi wybranie warstwy o ID N do odtwarzania (domyślnie: -1 - auto).

dfbmga
    Sterownik wyjścia video przeznaczony dla kart Matrox G400/G450/G550, wykorzystujący bibliotekę DirectFB. Włącza CRTC2 (drugi monitor), wyświetlając obraz niezależnie od pierwszego. Włącza Matrox BES (backend scaler - końcowy system skalujący) (domyślnie: wyłączony). Daje bardzo dobre rezultaty biorąc pod uwagę zarówno szybkość jak i wyjściową jakość, jako że interpolowana obróbka obrazu jest przeprowadzana sprzętowo. Działa tylko na wyjściu pierwszego monitora. Wykorzystuje warstwę podobrazu (sub picture layer) Matroksa do wyświetlania OSD (domyślnie: włączone). Włącza wyjście TV na drugim wyjściu karty (domyślnie: włączone). Jakość wyjściowa jest zadziwiająca, ponieważ jest to obraz z pełnym przeplotem i prawidłową synchronizacja pól nieparzystych/parzystych. Wykorzystuje kod klawiatury DirectFB zamiast MPlayera (domyślnie: wyłączone). Podwójne i potrójne buforowanie dają najlepsze efekty, jeżeli chcesz uniknąć problemów z rozrywaniem. Potrójny bufor jest wydajniejszy niż podwójny, jako że nie blokuje MPlayera w trakcie czekania na przerysowanie w pionie. Nie powinno się korzystać z pojedynczego buforowanie (domyślnie: potrójny). Kontroluje kolejność wyjścia dla ramek z przeplotem (domyślnie: wyłączony). Poprawnymi wartościami są top = najpierw górne pola, bottom = najpierw dolne pola. Opcja ta nie ma żadnego wpływu na progresywny materiał filmowy (większość filmów MPEG). Musisz włączyć tę opcję, jeżeli masz problemy z rozrywaniem/brakiem płynności ruchów podczas oglądania materiału z przeplotem. Ustawia standard TV karty Matrox bez konieczności zmieniania /etc/directfbrc (domyślnie: wyłączony). Poprawne normy to: pal = PAL, ntsc = NTSC. Specjalną wartością jest auto (automatyczne dostrojenie używając systemów PAL/NTSC), ponieważ decyduje, który standard ma być wykorzystywany zwracając uwagę na ilość klatek na sekundę filmu.

mga (tylko Linux)
    Sterownik wyjścia video przystosowany do kart Matrox, wykorzystujący końcowy system skalujący YUV na kartach z serii Gxxx poprzez moduł jądra. Jeżeli posiadasz taką kartę, jest to wybór oferujący największą szybkość. Wybiera urzywane urządzenie Matrox (domyślnie: /dev/mga_vid).

xmga (tylko Linux, X11)
    Sterownik wyjścia video mga działający w oknie X11. Wybiera urzywane urządzenie Matrox (domyślnie: /dev/mga_vid).

syncfb
    Sterownik wyjścia dla modułu jądra SyncFB, który umożliwia korzystanie z takich możliwości kart Matrox Gxxx jak sprzętowe usuwanie przeplotu, skalowanie i synchronizacja wyjścia do pionowej częstotliwości Twojego monitora.

3dfx (tylko Linux)
    Sterownik wyjścia video specyficzny dla 3Dfx. Sterownik ten używa bezpośrednio sprzętu 3Dfx na X11. Obsługuje tylko 16 bpp. FIXME: Jak jest różnica między 3dfx, tdfxfb i tdfx_vid?

tdfxfb (tylko Linux)
    Sterownik ten wykorzystuje bufor ramki tdfx do wyświetlania filmów z akceleracją YUV na kartach 3Dfx. FIXME: Jak jest różnica między 3dfx, tdfxfb i tdfx_vid? Wybiera używane urządzenie fbdev (domyślnie: /dev/fb0).

tdfx_vid (tylko Linux)
    Sterownik wyjścia video przeznaczony dla 3Dfx. Korzysta bezpośrednio z modułu jądra tdfx_vid. FIXME: Jak jest różnica między 3dfx, tdfxfb i tdfx_vid? Wybiera używane urządzenie fbdev (domyślnie: /dev/fb0).

dxr2 (zobacz też -dxr2) (tylko DXR2)
    Sterownik przeznaczony dla Creative DXR2. Wybiera podsterownik video używany jako nakładka (x11, xv).

dxr3 (tylko DXR3)
    Sterownik wyjścia video przeznaczony dla chipu dekodującego MPEG - Sigma Designs em8300 (Creative DXR3, Sigma Designs Hollywood Plus). Sprawdź również filtr video lavc. Włącza overlay zamiast wyjścia TV. Włącza prebuforowanie. Włączą nowy silnik synchronizujący. Określa normę TV. 0: Nie zmienia obecnego standardu (domyślnie).
    1: Automatycznie dostraja używając PAL/NTSC.
    2: Automatycznie dostraja używając PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Określa numer urządzenia, które ma być użyte, jeżeli masz więcej niż jedną kartę em8300.

mpegpes (tylko DVB)
    Sterownik wyjścia video przeznaczony dla DVB, który zapisuje wyjście do pliku MPEG-PES, jeśli karta nie jest zainstalowana. Określa numer urządzenia, które ma być użyte, jeśli masz więcej niż jedną kartę DVB (tylko API V3, tak jak sterowniki z serii 1.x.y). Określa nazwę pliku, do którego zostanie zapisane wyjście (domyślnie: ./grab.mpg).

zr (patrz też -zr* i -zrhelp)
    Sterownik wyjścia video przeznaczony dla wielu kart przechwytujących/odtwarzających MJPEG.

zr2 (patrz też filtr video zrmjpeg)
    Sterownik wyjścia video drugiej generacji przeznaczony dla wielu kart przechwytujących/odtwarzających MJPEG. Zwróć również uwagę na filtr video zrmjpeg. Wybiera używane urządzenie. Włącza normę video PAL. Włącza normę video SECAM. Włącza normę video NTSC. Włącza prebuforowanie, jeszcze nie obsługiwane.

md5sum
    Oblicza sumy MD5 każdej klatki i zapisuje je do pliku. Obsługuje przestrzenie kolorów RGB24 i YV12. Przydatne przy debugowaniu. Określa nazwę pliku wyjściowego (domyślnie: ./md5sums).

yuv4mpeg
    Zmienia strumień video na nieskompresowaną sekwencję obrazów YUV 4:2:0 i przechowuje ją w pliku (domyślnie: ./stream.yuv). Format jest taki sam jak ten stosowany przez mjpegtools, więc jest to przydatne jeśli chcesz poddać film obróbce przy pomocy tego pakietu. Obsługuje formaty YV12, RGB (24 bpp) i BGR (24bpp). Możesz tego użyć z opcją -fixed-vo żeby połączyć zbiory o tych samych wymiarach i ilości klatek na sekundę. Zapisuje ramki z przeplotem, najpierw górne pole. Zapisuje ramki z przeplotem, najpierw dolne pole. Zapisuje wyjście do zbioru <nazwapliku>, zamiast domyślnego stream.yuv.

    INFORMACJA: Jeśli nie podasz żadnej opcji wyjście jest progresywne (czyli bez przeplotu).

gif89a
    Zapisuje wszystkie klatki do jednego animowanego pliku GIF w bieżącym katalogu. Obsługuje tylko format RGB z 24 bpp, wyjście natomiast jest konwertowane do 256 kolorów. Liczba rzeczywista opisująca ilość klatek na sekundę (domyślnie: 5.0). Nazwa zbioru wyjściowego (domyślnie: ./out.gif).

    INFORMACJA: Musisz podać ilość ramek na sekundę przed nazwą zbioru, albo stanie się ona częścią nazwy.

    PRZYKŁAD:
mplayer video.nut -vo gif89a:15.0:test.gif

jpeg
    Zapisuje każdą klatkę do pliku JPEG w bieżącym katalogu. Każdy plik dostaje jako nazwę numer klatki poprzedzony zerami. Wybiera między standardowym lub progresywnym JPEG (domyślnie: noprogressive). Wybiera, czy ma używać baseline czy nie (domyślnie: baseline). współczynnik optymalizacji (domyślnie: 100) współczynnik wygładzania (domyślnie: 0) współczynnik jakości (domyślnie: 75) Określa katalog, w którym będą zapisywane pliki JPEG (domyślnie: ./). Tworzy ponumerowane podkatalogi z określonym prefiksem, gdzie zachowa pliki zamiast zapisywać je w bieżącym katalogu. Maksymalna liczba plików zapisywanych do każdego podkatalogu. Wartość musi być równa lub większa niż 1 (domyślnie: 1000).

pnm Zapisuje każdą klatkę do pliku PNM w bieżącym katalogu. Każdy plik dostaje jako nazwę numer klatki poprzedzony zerami. Obsługuje pliki PPM, PGM i PGMYUV w trybie surowym (raw) i ASCII. Zobacz również pnm(5), ppm(5) i pgm(5). Zapisuje pliki PPM (domyślnie). Zapisuje pliki PGM. Zapisuje pliki PGMYUV. PGMYUV jest podobny do PGM, ale zawiera również przestrzeń U i V umieszczone na dole obrazu. Zapisuje pliki PNM w trybie surowym (raw) (domyślnie). Zapisuje pliki PNM w trybie ASCII. Określa katalog, w którym będą zachowane pliki PNM (domyślnie: ./). Tworzy ponumerowane podkatalogi z określonym prefiksem, gdzie zachowa pliki zamiast zapisywać je w bieżącym katalogu. Maksymalna liczba plików zapisywanych do każdego podkatalogu. Wartość musi być większa lub równa 1 (domyślnie: 1000).

png (patrz też -z)
    Zapisuje każdą klatkę do pliku PNG w bieżącym katalogu. Każdy plik dostaje jako nazwę numer klatki poprzedzony zerami. Obsługuje formaty RGB i BGR z 24 bpp.

tga Zapisuje każdą klatkę do pliku TARGA w bieżącym katalogu. Każdy plik dostaje jako nazwę numer klatki poprzedzony zerami. Sterownik ten istnieje by dostarczać łatwy sposób bezstratnego zapisywania obrazów bez zewnętrznej biblioteki. Obsługuje format BGR[A], z 15, 24 i 32 bpp. Można wymusić konkretny format filtrem video format.

    PRZYKŁAD:
mplayer video.nut -vf format=bgr15 -vo tga

OPCJE DEKODOWANIA/FILTROWANIA

-ac <[-]kodek1,[-]kodek2,...[,]>
    Ustala priorytetową listę używanych kodeków audio, według ich nazw w codecs.conf. Użyj "-" przed nazwą kodeka aby go pominąć. Jeżeli lista zakończona jest ',', MPlayer będzie brał pod uwagę również niewymienione na niej kodeki.
    INFORMACJA: Możesz pobrać listę dostępnych kodeków poprzez -ac help.

    PRZYKŁAD: Wymusza kodek MP3 l3codeca.acm. Próbuje najpierw libmad, później pozostałe. Włącza sprzętowe AC3, programowy kodek AC3, potem pozostałe. Pomija kodek MP3 FFmpeg.
-af-adv <force=(0-3):list=(filters)> (sprawdź też opcję -af) Podaje zaawansowane opcje filtrów audio: Wymusza jeden z trybów wstawiania filtrów audio: 0: całkowicie automatyczne wstawianie filtrów (domyślnie)
1: Optymalizuje pod względem dokładności.
2: Optymalizuje pod względem szybkości.
3: Wyłącza automatyczne wstawianie filtrów. Tak samo jak -af.

-afm <sterownik1,sterownik2,...>
    Ustala priorytetową listę rodzin kodeków audio, zgodnie z ich nazwami w codecs.conf. Powraca do domyślnego, jeżeli żaden z podanych kodeków nie będzie działał.
    INFORMACJA: Możesz pobrać listę dostępnych rodzin kodeków poprzez -afm help.

    PRZYKŁAD: Używa najpierw kodeków FFmpeg z libavcodec. Próbuje najpierw kodeki Win32.

-aspect <stosunek>
    Zmienia proporcje filmu. Proporcje są automatycznie wykrywane w MPEG, ale nie stosuje się to do większości zbiorów AVI.

    PRZYKŁAD: -aspect 4:3 lub -aspect 1.3333
    -aspect 16:9 lub -aspect 1.7777

-noaspect
    Wyłącza automatyczne wyrównywanie proporcji filmu.

-flip
    Odwraca obraz do góry nogami.

-lavdopts <opcja1:opcja2:...> (KOD DEBUGOWY)
    Określa parametry dekodowania z libavcodec.

    PRZYKŁAD: -lavdopts bug=1

    Dostępne są opcje:
Ręczne obejście błędów kodera. 0: nic
1: automatyczne wykrywanie błędów
2 (msmpeg4v3): stare pliki msmpeg4v3 wygenerowane przez lavc (bez autodetekcji)
4 (mpeg4): błąd przeplotu XviD (automatycznie wykrywany, jeśli fourcc==XVIX)
8 (mpeg4): UMP4 (automatycznie wykrywanany, jeśli fourcc==UMP4)
16 (mpeg4): błąd wypełnienia (padding) (automatycznie wykrywany)
32 (mpeg4): błąd niedozwolonego vlc (automatycznie wykrywany przez fourcc)
64 (mpeg4): błąd qpel w XviD i DivX (automatycznie wykrywany przez fourcc/wersję)
128 (mpeg4): qpel w starym standardzie (automatycznie wykrywany przez fourcc/wersję)
256 (mpeg4): kolejny błąd qpel (automatycznie wykrywany przez fourcc/wersję)
512 (mpeg4): błąd rozmiaru bloku bezpośredniego qpel (automatycznie wykrywany przez fourcc/wersję)
1024 (mpeg4): błąd wypełnienia krawędzi (automatycznie wykrywany przez fourcc/wersję) Wyświetla informacje debugowania.
0: wyłączone
1: informacje o obrazie
2: kontrola tempa
4: bitstream
8: typ makrobloku (MB)
16: parametr kwantyzacji (QP)
32: wektor ruchu
0x0040: wizualizacja wektora ruchu (użyj -noslices)
0x0080: przeskakiwanie makrobloku (MB)
0x0100: kod startowy
0x0200: PTS
0x0400: odporność na błędy
0x0800: operacje kontrolne zarządzania pamięcią (H.264)
0x1000: błędy Ustawia strategię ukrywania błędów. 1: Używa silnego filtru odblokowywującego (deblock) dla uszkodzonych makrobloków (MB).
2: iteracyjne szukanie wektorów ruchu (MV) (wolne)
3: wszystko (domyslnie) Ustawia strategię elastycznej obsługi błędów.
0: wyłączone
1: ostrożne (Powinna działać z zepsutymi koderami.)
2: normalne (domyślnie) (Działa ze zgodnymi koderami.)
3: agresywne (Więcej testów, może jednak sprawić problemy nawet z poprawnymi strumieniami bitowymi.)
4: bardzo agresywne Korzysta z optymalizacji niestosujących się do specyfikacji i tym samym mogących sprawić problemy (takie jak prostsza dekwantyzacja, stosowanie domyślnej matrycy kwantyzacji, stosowanie YUV 4:2:0 i pomijanie kilku testów na wykrycie uszkodzonych strumieni bitowych). dekodowanie tylko w skali szarości (trochę szybsze niż w kolorze) Żeby osiągnąć najlepszą jakość dekodowania, używaj tego samego algorytmu IDCT do kodowania i dekodowania. Może to jednak zmniejszyć dokładność. Dekoduje w niskiej rozdzielczości. Nie wszystkie kodeki obsługują dekodowanie w niskiej rozdzielczości i często powoduje to pojawienie się okropnych zniekształceń. Nie jest to żaden błąd, a jedynie efekt uboczny nie dekodowania w pełnej rozdzielczości.
0: wyłączone
1: 1/2 rozdzielczości
2: 1/4 rozdzielczości
3: 1/8 rozdzielczości
    Jeśli podano <s> dekodowanie w niskiej rozdzielczości będzie zastosowane tylko jeśli szerokość filmu jest więsza lub równa <s>.
Przeskakuje podaną ilość wierszy makrobloków na dole. Przeskakuje podaną ilość wierszy makrobloków na górze. Wizualizuje wektory ruchu.
0: wyłączona
1: Wizualizuje przewidziane w przód wektory ruchu (MV) ramek P.
2: Wizualizuje przewidziane w przód wektory ruchu (MV) ramek B.
4: Wizualizuje przewidziane w tył wektory ruchu (MV) ramek B. Wyświetla pewne statystyki i zapisuje je w zbiorze ./vstats_*.log.

-noslices
    Wyłącza rysowanie obrazu przez paski/kawałki o wysokości 16 pikseli, zamiast tego rysuje wszystko za jednym razem. Może być szybsze albo wolniejsze, zależy to od karty/cache'u. Działa tylko z kodekami z rodziny libmpeg2 i libavcodec.

-nosound
    Nie koduje/odtwarza dźwięku. Użyteczne do testów wydajności.

-novideo
    Nie koduje/odtwarza video.

-oldpp <jakość> (tylko OpenDivX) (PRZESTARZAŁE)
    Używa kodu postprocessingu z opendivx zamiast wbudowanego. Zastąpiony przez -pp, wewnętrzny postprocessing daje lepszą jakość i jest szybszy. Prawidłowy zakres wartości -oldpp zależy od kodeka, najczęściej jest to 0-6, gdzie 0=wyłączony, 6=powolny/najlepszy.

-pp <jakość> (sprawdź także opcję -vf pp)
    Ustawia poziom postprocessingu DLL. Ta opcja nie wpływa już na -vf pp. Działa tylko z Win32 DirectShow DLL, które mają wewnętrzny postprocessing. Poprawny zakres dla wartości -pp zależy od kodeka, najczęściej jest to 0-6, gdzie 0=wyłączony, 6=powolny/najlepszy.

-pphelp (sprawdź także opcję -vf pp)
    Pokazuje streszczenie dostępnych filtrów postprocesu i sposób ich użycia.

-ssf <tryb>
    Określa parametry dla skalowania programowego.

    PRZYKŁAD: -vf scale -ssf lgb=3.0
filtr rozmycia gaussowego (jasność) filtr rozmycia gaussowego (kolor) filtr wyostrzający (jasność) filtr wyostrzający (kolor) poziome przesunięcie koloru pionowe przesunięcie koloru

-stereo <tryb>
    Wybiera typ wyjścia stereo MP2/MP3. stereo lewy kanał prawy kanał

-sws <typ programowego skalowania> (zobacz także -vf scale i -zoom)
    Określa algorytm skalowania programowego dla opcji -zoom. Ma to wpływ na sterowniki wyjściowe video bez sprzętowej akceleracji, np. x11.

    Dostępne są typy:

    szybki, dwuliniowy dwuliniowy dwukubiczny (dobra jakość) (domyślnie) eksperymentalny najbliższy sąsiad (zła jakość) area jasność dwukubicznie / kolor dwuliniowo gauss sincR lanczos naturalna dwusześcienna krzywa sklejana

    INFORMACJA: Dla -sws 2 i 7 ostrość może być ustawiona parametrem skalowania przez -vf scale (0 (miękko) - 100 (ostro)), dla -sws 9, określa on długość filtru (1 - 10).

-vc <[-]kodek1,[-]kodek2,...[,]>
    Ustala priorytetową listę używanych kodeków video, według ich nazw w codecs.conf. Użyj "-" przed nazwą kodeka aby go pominąć. Jeżeli lista zakończona jest ',', MPlayer będzie brał pod uwagę również niewymienione na niej kodeki.
    INFORMACJA: Możesz pobrać listę dostępnych kodeków poprzez -vc help.

    PRZYKŁAD: Wymusza kodek Win32/VFW DivX. Próbuj najpierw kodek divx4linux, później pozostałe. Pomija kodeki Win32 DivX. Próbuj kodeki libavcodec MPEG-1/2, później libmpeg2, potem inne.

-vfm <sterownik1,sterownik2,...>
    Ustala priorytetową listę używanych rodzin kodeków video, zgodnie z ich nazwami w codecs.conf. Powraca do domyślnych, jeśli żadna z podanych rodzin kodeków nie działa.
    INFORMACJA: Możesz pobrać listę dostępnych rodzin kodeków poprzez -vfm help.

    PRZYKŁAD: Najpierw próbuje libavcodec, potem Directshow, potem kodeki VFW i, jeśli nadal nic nie nie działa, pozostałe. Najpierw próbuje kodek XAnim.

-x <x> (tylko MPlayer)
    Skaluje obraz do szerokości <x> (jeśli jest dostępne skalowanie sprzętowe lub programowe). Wyłącza przeliczania proporcji.

-xvidopts <opcja1:opcja2:...>
    Podaje dodatkowe parametry przy dekodowaniu XviD.
    INFORMACJA: Jako że dekodowanie przy pomocy libavcodec jest szybsze niż XviD możesz chcieć używać postprocesingu z libavcodec (-vf pp) i jej dekodera (-vfm ffmpeg).

    Wewnętrzne filtry postprocesingu XviD: filtr odblokowywania barwy filtr odblokowywania jasności filtr usuwania dzwonienia barwy filtr usuwania dzwonienia jasności Dodaje sztuczną ziarnistość filmu do video. Może zwiększyć postrzegalną jakość, jednocześnie obniżając prawdziwą jakość.

    metody wyświetlania
Włącza bezpośrednie wyświetlanie metodą 2 (direct rendering method 2). Wyłącza bezpośrednie wyświetlanie metodą 2.

-xy <wartość>
    Skaluje obraz o współczynnik <wartość>. Ustawia szerokość na <wartość> i oblicza wysokość tak, by utrzymać prawidłowe proporcje.

-y <y> (tylko MPlayer)
    Skaluje obraz do wysokości <y> (jeśli jest dostępne skalowanie sprzętowe lub programowe) Wyłącza przeliczenia proporcji.

-zoom
    Umożliwia skalowanie programowe, jeśli jest dostępne. Może być użyte do wymuszenia skalowania z -vf scale.
    INFORMACJA: -vf scale zignoruje -x / -y / -xy / -fs / -aspect bez -zoom.

FILTRY AUDIO
Filtry audio umożliwiają modyfikację strumienia audio i jego własności. Składnia jest następująca:

-af <filtr1[=parametr1:parametr2:...],filtr2,...>
    Ustawia łańcuch filtrów audio.

INFORMACJA: Aby uzyskać pełną listę dostępnych filtrów audio, skorzystaj z -af help.

Dostępne są filtry:

resample[=czprób[:sloppy][:type]]
    Zmienia częstotliwość próbkowania strumienia audio na podaną w Hz liczbę. Obsługuje tylko format 16-bit little-endian. Z MEncoderem musisz też użyć opcji -srate <czprób>.

lavcresample[=czprób[:dług[:lin[:liczba[:obcinanie]]]]]
    Zmienia częstotliwość próbkowania strumienia audio na podaną w Hz liczbę. Obsługuje tylko format 16-bit little-endian. Z MEncoderem musisz też użyć opcji -srate <czprób>. wyjściowa częstotliwość próbkowania długość filtru ze względu na niższą częstotliwość próbkowania (domyślnie: 16) jeśli 1 to filtry będą liniowo interpolowane pomiędzy wielofazowymi pozycjami log2 z liczby wielofazowych pozycji (..., 10->1024, 11->2048, 12->4096, ...) (domyślnie: 10->1024) częstotliwość obcinania (0.0-1.0), domyślne ustawienie zależy od długości filtru

sweep[=prędkość]
    przemiatanie sinusoidalne

hrtf
    Head-related transfer function (funkcja transferowa związana z głową): Konwertuje wielokanałowe audio do dwóch kanałów przeznaczonych dla słuchawek, zachowując przestrzenność dźwięku.

channels[=il]
    Zmienia ilość kanałów wyjścia na il. Jeśli liczba kanałów wyjściowych jest większa niż liczba kanałów wejściowych, wstawiane są puste kanały (poza miksowaniem z mono na stereo, wtedy kanał mono jest powtarzany w obu kanałach wyjściowych). Jeśli liczba kanałów wyjściowych jest mniejsza niż liczba kanałów wejściowych to dodatkowe kanały są obcinane.

format[=bps:f]
    Ustawia ilość bajtów na próbkę i format używane przy wyjściu z warstwy filtrującej. Opcja bps to liczba całkowita oznaczająca Bytes per sample (bajtów na próbkę). Format f to ciąg składający się z:
    alaw, mulaw lub imaadpcm
    float lub int
    unsigned lub signed
    le be (little- lub big-endian)

volume[=v:sc]
    Wybiera głośność wyjścia. Ten filtr może być włączony tylko raz na każdy strumień audio. Ustawia wzmocnienie w dB dla wszystkich kanałów w strumieniu od wartości -200dB do +60dB (gdzie -200dB oznacza całkowite wyciszenie a +60dB 1000-krotne wzmocnienie). Włącza miękkie obcinanie (soft-clipping).

pan[=n:l01:l02:...l10:l11:l12:...ln0:ln1:ln2:...]
    Dowolnie miksuje kanały, szczegóły w DOCS/HTML/pl/audio.html liczba kanałów wejściowych (1-6) Jak dużo z kanału wejściowego j jest miksowane w kanał wyjściowy i.

sub[=fc:ch]
    Dodaje kanał subwoofera. Częstotliwość graniczna filtra dolnoprzepustowego (20Hz do 300Hz) (domyślnie: 60Hz). numer kanału subwoofera

surround[=d]
    Dekoder macierzowo zakodowanego dźwięku przestrzennego, działa na większości zbiorów 2 kanałowych. opóźnienie w ms dla tylnych głośników (0ms do 1000ms) (domyślnie: 15ms).

delay[=ch1:ch2:...]
    Opóźnia wyjście audio. Podaje opóźnienia osobno dla każdego kanału w milisekundach (liczba rzeczywista między 0 a 1000).

export[=mmapowany_zbiór[:npróbek]]
    Eksportuje przychodzący sygnał do innych procesów używając mapowania pamięci (mmap()). Zbiór, na który należy mapować dane (domyślnie: ~/.mplayer/mplayer-af_export). ilość próbek na kanał (domyślnie 512)

extrastereo[=mul]
    Zwiększa różnicę między lewym a prawym kanałem, aby dodać efekt "przekazu na żywo" do odtwarzania. współczynnik różnicy (domyślnie: 2.5)

volnorm
    Maksymalnie zwiększa głośność, nie zniekształcając przy tym dźwięku.

FILTRY VIDEO
Filtry video umożliwiają Ci modyfikację strumienia video i jego własności. Składnia jest następująca:

-vf <filtr1[=parametr1:parametr2:...],filtr2,...>
    Ustawia listę filtrów video i ich opcji.

-vop <...,filtr3[=parametr1:parametr2:...],filtr2,filtr1> (PRZESTARZAŁE)
    Ustawia listę filtrów video do zastosowania w odwrotnej kolejności. Odradzane na rzecz -vf.

Wiele parametrów jest opcjonalnych i jeżeli zostaną pominięte, ich wartości ustawiane są na domyślne. Użyj "-1", aby wyraźnie nakazać ustawiania wartości domyślnej. Parametry w:h oznaczają szerokość x wysokość w pikselach, x:y oznacza pozycję od lewego górnego rogu większego obrazu.
INFORMACJA: Możesz pobrać listę dostępnych filtrów video poprzez -vf help.

Filtry są zorganizowane w listy. Jest kilka poleceń zarządzających listą filtrów.

-vf-add <filtr1[,filtr2,...]>
    Dodaje podane jako parametry filtry do listy filtrów.

-vf-pre <filtr1[,filtr2,...]>
    Poprzedza listę filtrów podanymi filtrami.

-vf-del <poz1[,poz2,...]>
    Usuwa filtry na podanych pozycjach. Pozycje rozpoczynają się od 0, ujemne liczby odnoszą się do końca listy (-1 to ostani).

-vf-clr
    Usuwa wszystkie filtry.

Jeśli filtr to obsługuje możesz odnosić się do parametrów podając ich nazwy.

-vf <filtr>=help
    Wyświetla nazwy parametrów i zakresy wartości dla podanego filtru.

-vf <filtr=nazwany_parametr1=wartość1[:nazwany_parametr2=wartość2:...]>
    Ustawia nazwany parametr na podaną wartość. Użyj on/off albo yes/no żeby ustawić parametry typu przełącznik.

Dostępne są filtry:

crop[=w:h:x:y]
    Kadruje daną część partii obrazu i wyrzuca resztę. Przydatne do usuwania czarnych obramowań z szerokoekranowych filmów. Szerokość i wysokość obcięcia, domyślnie oryginalna szerokość i wysokość. Pozycja wycinanego obrazu, domyślnie środek.

cropdetect[=limit:round]
    Oblicza niezbędne parametry przycinania i wyświetla propozycje na standardowe wyjście. Próg, który może być opcjonalnie podany od niczego (0) do wszystkiego (255) (domyślnie: 24).
    Wartość, przez którą szerokość/wysokość powinny być podzielne (domyślnie: 16). Offset jest automatycznie dopasowywany tak, aby wycentrować film. Użyj 2, aby otrzymać równe wymiary (wymagane przez film 4:2:2). 16 to najlepsza wartość przy kodowaniu do większości kodeków.

rectangle[=w:h:x:y]
    Reaguje na przyjmującą dwa parametry dyrektywę "change_rectangle" w zbiorze input.conf. szerokość i wysokość (domyślnie: -1, maksymalny możliwy rozmiar przy którym granice wciąż są widoczne.) pozycja lewego górnego rogu (domyślnie: -1, najwyżej i najbardziej w lewo jak to tylko możliwe)

expand[=w:h:x:y:o]
    Zwiększa rozdzielczość (nie skaluje) filmu do podanej wartości i umieszcza nieprzeskalowany obraz pod współrzędnymi x, y. Może być użyty do umieszczenia napisów/OSD w otrzymanym czarnym pasku. Szerokość i wysokość po poszerzeniu (domyślnie: oryginalna szerokość, wysokość). Ujemne wartości traktowane są jak zmiany oryginalnej wielkości

    PRZYKŁAD:
expand=0:-50:0:0
    Dodaje 50 pixeli ramki na dole obrazka.
pozycja oryginalnego obrazu na rozszerzonym obrazie (domyślnie: na środku) wyświetlanie OSD/napisów 0: wyłączone (domyślnie)
1: włączone

flip (zobacz również opcję -flip)
    Odwraca obraz do góry nogami.

mirror
    Tworzy lustrzane odbicie względem osi Y.

rotate[=<0-7>]
    Obraca obraz o 90 stopni i ewentualnie go odbija. Dla wartości pomiędzy 4-7 obracanie wykona się tylko jeżeli obraz jest wyższy niż szerszy. Obraca o 90 stopni w prawo i odbija. Obraca o 90 stopni w prawo. Obraca o 90 stopni w lewo. Obraca o 90 stopni w lewo i odbija.

scale[=w:h[:przeplot[:pom_kol[:parametr[:parametr2[:presize]]]]]]
    Skaluje obraz (wolnym) programowym skalatorem i wykonuje konwersję kolorów YUV<->RGB (zobacz też -sws). Przeskalowana szerokość/wysokość (domyślnie: oryginalna szerokość/wysokość)
    INFORMACJA: Jeżeli podano -zoom, a podane filtry (włączając w to libvo) nie potrafią skalować, domyślnie jest d_width/d_height!
     0: skalowana d_width/d_height
    -1: oryginalna wysokość/szerokość
    -2: oblicza w/h używając tej drugiej wartości i preskalowanych proporcji.
    -3: oblicza w/h używając tej drugiej wartości i oryginalnych proporcji. Przełącza skalowanie z przeplotem. 0: wyłączone (domyślnie)
    1: włączone opuszcza informację o kolorach 0: Użyje wszystkich dostępnych linii wejścia koloru.
    1: Użyje tylko co 2gą linię wejścia koloru.
    2: Użyje tylko co 4tą linię wejścia koloru.
    3: Użyje tylko co 8mą linię wejścia koloru. Ustawia parametry skalowania zależnie od tego jaki skalator został wybrany przez -sws. -sws 2 (dwusześciennie): B (rozmazywanie) i C (dzwonienie)
    0.00:0.60 domyślnie
    0.00:0.75 "precyzyjna dwusześcienna" VirtualDuba
    0.00:0.50 krzywa sklejana Catmull-Rom
    0.33: 0.33 krzywa sklejana Mitchell-Netravali
    1.00:0.00 sześcienna krzywa B-sklejana
    -sws 7 (gaussian): ostrość (0 (gładkie) - 100 (wyostrzone))
    -sws 9 (lanczos): długość filtra (1-10) Skaluje do standardowych wielkości. qntsc: 352x240 (ćwierć ekranu NTSC)
    qpal: 352x288 (ćwierć ekranu PAL)
    ntsc: 720x480 (standardowe NTSC)
    pal: 720x576 (standardowe PAL)
    sntsc: 640x480 (NTSC z kwadratowymi pikselami)
    spal: 768x576 (PAL z kwadratowymi pikselami)

dsize=[proporcja|w:h]
    Zmienia pożądaną wielkość obrazu/proporcję w wybranym miejscu łańcucha filtrów. Proporcja może być podana jako ułamek (4/3) lub liczba rzeczywista (1.33). Zamiast tego można podać dokładne wymiary wyjścia. Proszę zauważyć, że filtr ten NIE przeskalowywuje nic samemu; on tylko ustawia co następne skalowania (sprzętowe lub programowe) zrobią przy dostosowywaniu do prawidłowych proporcji.

yuy2
    Wymusza konwersję programową YV12/I420/422P na YUY2. Przydatne przy kartach/sterownikach video, które mają wolną obsługę YV12, ale szybką YUY2.

yvu9
    Wymusza programową konwersję przestrzeni kolorów YVU9 na YV12. Odradzany na rzecz skalowania programowego.

yuvcsp
    Obcina wartości kolorów YUV do zakresu CCIR 601 bez przeprowadzania prawdziwej konwersji.

rgb2bgr[=swap]
    Konwersja kolorów RGB 24/32 <-> BGR 24/32 Dodatkowo zamienia R <-> B.

palette
    Konwersja przestrzeni kolorów RGB/BGR 8 -> 15/16/24/32bpp przy użyciu palety.

format[=fourcc]
    Ograniczenie przestrzeni kolorów dla następnego filtru bez robienia żadnej konwersji. Stosować razem z filtrem skalującym do prawdziwej konwersji.
    INFORMACJA: Listę dostępnych formatów można uzskać wywołując format=fmt=help. nazwa formatu taka jak rgb15, bgr24, yv12, itp (domyślnie: yuy2)

noformat[=fourcc]
    Ograniczenie przestrzeni kolorów dla następnego filtru bez robienia żadnej konwersji. Przeciwnie niż filtr formatu, pozwala na użycie dowolnej przestrzeni kolorów z wyjątkiem tej, którą określiłeś.
    INFORMACJA: Listę dostępnych formatów można uzyskać wywołując format=fmt=help. nazwa formatu taka jak rgb15, bgr24, yv12, itp (domyślnie: yv12)

pp[=filtr1[:opcja1[:opcja2...]]/[-]filtr2...] (zobacz także -pphelp)
    Ta opcja uruchamia określony łańcuch podfiltrów postprocessingu. Podfiltry muszą być oddzielone znakiem "/" i mogą być wyłączone przez poprzedzenie ich znakiem "-". Zakres podfiltru może zostać określony przez dodanie ":" i "a", "c" lub "y" (domyślnie: c): Automatycznie wyłącza filtr, jeśli procesor jest zbyt wolny. Filtruje też kolory. Wykonuje tylko filtrowanie jasności (nie filtruje barw).

    INFORMACJA: -pphelp pokaże wszystkie dostępne podfiltry.

    PRZYKŁAD:
odblokowywanie poziome i pionowe, usuwanie efektu dzwonienia i automatyczna korekcja jasności/kontrastu odblokowywanie poziome i pionowe, usuwanie efektu dzwonienia, automatyczna korekcja jasności/kontrastu i usuwanie przeplotu liniowym rozmyciem domyślne filtry bez korekty jasności/kontrastu domyślne filtry i tymczasowy odszumiacz Odblokowywanie poziome tylko na jasności i automatyczne włączenie lub wyłączenie odblokowywania pionowego w zależności od dostępnego czasu procesora.

spp[=jakość[qp:[:tryb]]
    prosty filtr postprocessingu 0-6 (domyślnie: 3) Wymusza parametr kwantyzacji (domyślnie: 0, parametr QP z video). 0: twardy próg (domyślne)
    1: miękki próg (lepiej usuwa efekt dzwonienia, większe rozmycie)

qp=równanie
    filtr zmiany parametru kwantyzacji (QP) jakieś równanie postaci "2+2*sin(PI*qp)"

test
    Tworzy różne wzorce testowe.

rgbtest
    Tworzy wzorzec testowy RGB przydatny do wykrywania pomyłek RGB/BGR. Powinieneś widzieć czerwony, zielony i niebieski pasek od góry do dołu.

lavc[=jakość:fps]
    Szybka programowa konwersja z YV12 na MPEG-1 przy pomocy libavcodec do stosowania z DVB/DXR3. Szybsza i lepsza jakość niż -vf fame. 1-31: ustalone qscale
    32-: ustalone tempo bitowe w kbps wymusza fps wyjścia (liczba rzeczywista) (domyślnie: 0, wykrywanie wg wysokości)

fame
    Szybka programowa konwersja z YV12 na MPEG-1 przy pomocy libfame do stosowania z DVB/DXR3.

dvbscale[=aspekt]
    Ustawia optymalne skalowanie dla kart DVB, czyli sprzętowe skalowanie osi x i programowe wyliczanie skalowania osi y tak, by zachować proporcje. Użyteczne tylko w połączeniu z expand i scale. Kontroluje proporcje, wyliczane przez wzór DVB_HEIGHT*ASPECTRATIO (domyślnie: 576*4/3=768), ustaw na 576*(16/9)=1024 dla TV 16:9.

    PRZYKŁAD:
FIXME: Wytłumaczyć co to robi.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Dodaje zakłócenia. zakłócenie jasności zakłócenia koloru jednolite zakłócenia (w przeciwnym wypadku gaussowskie) zmienne zakłócenie (wzorzec zakłóceń zmienia się między klatkami) uśrednione zmienne zakłócenia (gładsze, ale o wiele wolniejsze) wysoka jakość (odrobinę lepiej wygląda, odrobinę wolniejsze) miesza według przypadkowego zakłócenia z (pół)regularnym wzorem

denoise3d[=luma:chroma:time]
    Ten filtr redukuje zakłócenia obrazu wygładzając obraz, a nieruchome obrazy stają się naprawdę nieruchome (Powinno to poprawić możliwości kompresji.). wpływ przestrzeni jasności (domyślnie: 4) wpływ przestrzeni kolorów (domyślnie: 3) czas wpływu (domyślnie: 6)

hqdn3d[=luma:chroma:czas]
    Wersja filtra denoise3d z wysoką precyzją/jakością. Parametry i sposób użycia są takie same.

eq[=jasność:kontrast] (PRZESTARZAŁE)
    Programowy korektor z interaktywnym sterowaniem, zupełnie jak korektor sprzętowy, dla kart/sterowników które nie obsługują sprzętowego sterowania jasnością i kontrastem. Początkowe wartości z przedziału -100-100 mogą być podane w wierszu poleceń. Może być także użyteczny z MEncoderem, w celu poprawy kiepsko przechwyconych filmów, lub też w celu lekkiego zmniejszenia kontrastu, by ukryć artefakty powstałe z winy niskiego tempa bitowego.

eq2[=gamma:kontrast:jasność:nasycenie:rg:gg:bg:waga]
    Alternatywny korektor programowy używający tabel podglądu (lookup tables, bardzo wolne), pozwala na korekcję gamma poza zwykłą zmianą jasności i kontrastu. Wykorzystuje to ten sam kod optymalizowany dla MMX co -vf eq jeśli wszystkie wartości gamma są 1.0. Parametry są podane jako liczby rzeczywiste. wartość gamma dla czerwonej składowej wartość gamma dla zielonej składowej wartość gamma dla niebieskiej składowej
    Parametry rg, gg, bg są niezależne wartościami gamma dla czerwonej (rg), zielonej (gg) i niebieskiej (bg) składowej obrazu. Parametr wagi może być użyty do zmniejszenia efektu wysokiej wartości gamma na jasnych obszarach obrazu, np. żeby nie zostały wzmocnione aż do czystej bieli. Wartość 0.0 całkowicie wyłącza korektę gamma a 1.0 zostawia ją z pełną mocą. Domyślnie kontrast=1.0, jasność=0.0, gamma=1.0, nasycenie=1.0, waga=1.0 Zakresy wartości dla gammy to 0.1-10, -2-2 dla kontrastu (ujemne wartości dają negatyw obrazu), -1-1 dla jasności, 0-3 dla nasycenia i 0-1 dla wagi.

hue[=barwa:nasycenie]
    Domyślne wartości to barwa=0.0, nasycenie 1.0. Zakresy wartości to -180-180 dla barwy, -2-2 dla nasycenia (ujemne wartości dają negatyw obrazu).

halfpack[=f]
    Konwerteruje płaskie YUV 4:2:0 do upakowanego 4:2:2 o połowie wysokości, zmniejszając próbkowanie jasności, ale zostawiając wszystkie próbki barwy. Użyteczne przy wyświetlaniu na urządzeniach o niskiej rozdzielczości, gdy sprzętowe skalowanie jest kiepskiej jakości lub nie jest dostępne. Może być także użyte jako prymitywne usuwanie przeplotu jasności przy bardzo niskim zużyciu procesora. Domyślnie, halfpack pobiera średnie z pary linii, kiedy zmniejsza próbkowanie. Wartość 0 opcjonalnego parametru f wymusza używanie tylko parzystych linii, zaś wartość 1 tylko nieparzystych. Inne wartości f dają domyślne (uśredniające) zachowanie.

ilpack[=tryb]
    Przy zachowywaniu video w formatach YUV 4:2:0 przeplot barw nie jest ustawiany prawidłowo z powodu zmniejszenia ilości kanałów barw w pionie. Filtr ten pakuje płaskie 4:2:0 w format YUY2 (4:2:2) z liniami barwy na właściwych miejscach, żeby w każdej linii skanowania dane barwy i jasności pochodziły z tego samego pola. Opcjonalny argument podaje tryb próbkowania. Domyślnie używana jest interpolacja liniowa (tryb 1). Tryb 0 używa trybu najbliższego sąsiada (nearest-neighbor), który jest szybki, ale niepoprawny.

harddup
    Użyteczne tylko z MEncoderem. Jeżeli harddup jest używany przy kodowaniu, wymusza umieszczenie zduplikowanych ramek w wyjściu. Wymaga to trochę więcej miejsca, ale jest konieczne przy tworzeniu plików MPEG lub jeśli planujesz dalsze demuksowanie i remuksowanie strumienia video. Parametr powinien być umieszczony na końcu łańcucha filtrów lub blisko niego, chyba że masz dobry powód aby zrobić inaczej.

softskip
    Użyteczne tylko z MEncoderem. Softskip przesuwa moment omijania/opuszczania klatek sprzed początku łańcucha filtrów, do miejsca zawierającego się gdzieś w nim. Pozwala to działać poprawnie filtrom, które muszą mieć dostępne wszystkie klatki (odwrócone telecine, tymczasowy odszumiacz, itp.). Parametr powinien być umieszczony po wyżej wymienionych filtrach i po kolejnych filtrach, które wymagają dużej mocy obliczeniowej.

decimate[=max:hi:lo:uł]
    Usuwa ramki, które niewiele różnią się od poprzednich w celu zmniejszenia framerate. Argument max (jeśli dodatni) ustawia maksymalną ilość kolejnych ramek, które mogą zostać usunięte, albo (gdy ujemny) minimalną odległość między usuniętymi ramkami. Ramka jest kandydatem do usunięcia, jeśli żaden region 8x8 nie różni się o więcej niż hi i jeśli nie więcej niż uł obrazu (1 oznacza cały obraz) różni się o więcej niż lo. Wartości hi i lo odnoszą się do bloków 8x8 i reprezentują faktyczne różnice w wartościach pikseli, więc granica 64 przekłada się na 1 jednostkę różnicy na każdym pikselu lub to samo inaczej rozmieszczone w całym bloku. Główne zastosowanie tego filtra to kodowanie-z-bardzo-niskim-tempem-bitowym (np. strumieniowanie przez modem), ale teoretycznie może on być użyty do naprawy filmów w których nieprawidłowo odwrócono telecine.

dint[=czułość:poziom]
    Wykrywa i usuwa pierwszą z szeregu klatek z przeplotem w strumieniu video. Wartości mogą być z zakresu 0.0 do 1.0 - pierwszy (domyślnie 0.1) jest względną różnicą pomiędzy sąsiadującymi pikselami, drugi (domyślnie 0.15) określa w jakiej części klatki musi być wykryty przeplot, aby ją usunąć.

lavcdeint
    filtr usuwający przeplot z libavcodec

kerndeint[=próg[:mapa[:kolejność[:ostr[:dwustr]]]]]
    Adaptatywny deinterlacer jądra autorstwa Donald'a Graft'a. Usuwa przeplot z części video, jeśli zostanie przekroczony konfigurowalny próg. Wartość progowa (domyślnie 10). Koloruje piksele przekraczające próg na biało (domyślnie: 0). Zamienia pola jeśli 1 (domyślnie: 0). Włącza dodatkowe wyostrzanie (domyślnie: 0). Włącza dwustronne wyostrzanie (domyślnie: 0).

unsharp=l|cWxH:ilość[:l|cWxH:ilość]
    maska zmiękczająca / rozmycie gaussa Stosuje efekty na składowej jasności. Stosuje efekty na składowych koloru. szerokość i wysokość macierzy, nieparzysty rozmiar w obu kierunkach (min = 3x3, max = 13x11 lub 11x13, zazwyczaj coś pomiędzy 3x3 i 7x7) Względny współczynnik wyostrzenia/rozmycia obrazu (rozsądna wartość powinna być w zakresie -1.5-1.5). <0: rozmycie
    >0: wyostrzenie

swapuv
    Zamienia płaszczyzny U i V.

il=[d|i][s][:[d|i][s]]
    Usuwa/wstawia przeplot w obrazie. Celem tego filtra jest dodanie możliwości przetwarzania przeplatanych obrazów pojedynczymi obrazami bez usuwania przeplotu. Możesz filtrować swoje DVD z przeplotem i odtwarzać na telewizorze nie psując przeplotu. Podczas gdy przeplot usuwany jest na stałe (filtrami postprocesingu - wygładzając, uśredniając, itp.), rozdzielanie przeplotu dzieli klatkę na 2 pola (tak zwane półobrazy), można więc je przetwarzać (filtrować) niezależnie, a następnie połączyć z powrotem w jeden obraz. rozdziela obraz (umieszczając jeden nad drugim) łączy obraz zamienia pola (parzyste i nieparzyste linie)

fil=[i|d]
    Rozdziela przeplatane obrazy. Ten filtr jest bardzo podobny do filtru il ale o wiele szybszy, jego główną wadą jest to, że nie zawsze działa. Zwłaszcza w połączeniu z innymi filtrami może utworzyć losowo pomieszane obrazy, więc ciesz się jeśli działa, ale nie skarż się, jeśli nie działa z Twoją kombinacją filtrów. Rozdziela obraz, umieszczając półobrazy obok siebie) Łączy obraz

field[=n]
    Wyciąga pojedyncze pola z przeplatanego obrazu używając arytmetyki krokowej, aby unikać marnowania czasu procesora. Opcjonalny argument n określa, czy wyciągać parzyste, czy nieparzyste pola (zależnie od tego czy n jest parzyste, czy nieparzyste).

detc[=zmienna1=wartość2:zmienna2=wartość2:...]
    Próbuje odwrócić proces "telecine" by uzyskać czysty strumień bez przeplotu przy prędkości klatek filmu. Był to pierwszy i najbardziej prymitywny filtr odwróconego telecine, który został zaimplementowany w MPlayerze/MEncoderze. Działa przez skupienie się na wzorcu telecine 3:2 i podążaniu nim tak długo, jak to tylko możliwe. Dlatego pasuje on doskonale dla perfekcyjnie ztelecinowanego materiału, nawet w przypadku obecności sporej wartości szumu, ale nie zadziała po złożonej edycji po telecinowaniu. Filtr przestał być już rozwijany, jako że ivtc, pullup i filmdint lepiej nadają się do większości zastosowań. Poniższe argumenty (składnia jest opisana wyżej) mogą być użyte by kontrolować jego działanie: Ustawia tryb gubienia klatek. 0 (domyślnie) oznacza, że klatki nie będą porzucane by utrzymać ustaloną wyjściową prędkość klatek. 1 oznacza, że klatki będą zawsze porzucane gdy nie było porzucania lub łączenia telecine w poprzednich 5 klatkach. 2 oznacza, że zawsze będzie utrzymywany dokładny stosunek 5:4 klatek wejściowych do wyjściowych.
    INFORMACJA: Z MEncoderem używaj zawsze trybu 1 lub 2! Tryb analizy. Dostępne wartości to 0 (ustalony wzorzec z numerem klatki inicjalizującej określony przez fr=#) i 1 (agresywne szukanie wzorca telecine). Domyślnie jest 1. Ustawia numer początkowej klatki w sekwencji. 0-2 to trzy następujące po sobie klatki bez przeplotu; 3 i 4 to dwie klatki z przeplotem. Domyślne -1 oznacza "poza sekwencją telecine". Liczba podana tutaj odnosi się do hipotetycznej klatki przed początkiem filmu. Wartości progowe używane w niektórych trybach.

ivtc[=1]
    Eksperymentalny "bezstanowy" filtr odwracający telecine. Zamiast próbować znaleźć wzorzec, jak robi to filtr detc, ivct podejmuje decyzje niezależnie dla każdej klatki. Daje to o wiele lepsze rezultaty na filmach, które przeszły głębokie modyfikacje po zastosowaniu telecine, ale za to nie jest tak odporny na zakłócenia wejściowe, np. podczas przechwytywania z TV. Opcjonalny parametr (ivct=1) ma podobne działanie jak opcja dr=1 dla filtru detc i powinien być używany tylko z MEncoderem. Jak przy detc, musisz podać prawidłową wyjściową ilość klatek na sekundę (-ofps 23.976) przy używaniu MEncodera. Dalszy rozwój ivtc jest wstrzymamy, jako że filtry pullup i filmdint wydają się być dokładniejsze.

pullup[=jl:jr:jt:jb:sb:mp]
    Filtr odwracania telecine trzeciej generacji, zdolny do przetwarzania mieszanki twardego telecine (hard-telecine) oraz progresywnej zawartości 24 i 30 fps. Filtr pullup jest zaprojektowany, aby był skuteczniejszy niż detc czy ivtc, poprzez wykorzystywanie kontekstu przy podejmowaniu decyzji. Podobnie jak ivtc, pullup jest bezstanowy w sensie takim, że nie skupia się na wzorcu i nie podąża za nim, ale zamiast tego sprawdza kolejne pola, aby zidentyfikować podobieństwa i odbudować progresywne ramki. Ciągle jest w fazie rozwojowej, mimo to jest całkiem dokładny. Opcje jl, jr, jt i jb określają ile "śmieci" ma być ignorowane odpowiednio po lewej, prawej, u góry i na dole obrazu. Lewo/prawo są w jednostkach 8 pikseli, natomiast góra/dół są w jednostkach 2 linii. Domyślnie jest to 8 pikseli z każdej strony. Ustawiając opcję sb (strict breaks - stałe przerwy) na 1, zmniejsza się szansa, że pullup stworzy niepasującą klatkę, ale może również prowadzić do ominięcia wielu ramek podczas scen z dużą ilością ruchu. Odwrotnie, jeśli ustawisz na -1, to pullup łatwiej będzie dopasowywał pola. Może to pomóc przy przetwarzaniu filmu, w którym jest delikatne rozmazanie między polami, ale może również sprawić, że w wyjściu znajdą się klatki z przeplotem. Opcja mp (przestrzeń metryczna) może być ustawiona na 1 lub 2, aby użyć przestrzeni barw zamiast przestrzeni jasności dla obliczeń pullup. Może to poprawić dokładność na bardzo czystym materiale źródłowym, ale prawdopodobnie zmniejszy dokładność, jeśli film ma zniekształcone barwy (efekt tęczy) lub jest on w skali szarości. Głównym celem ustawienia mp na przestrzeń barw jest zmniejszenie obciążenia CPU i sprawienie, aby pullup mógł być używany w czasie rzeczywistym na wolnych maszynach.
    INFORMACJA: Zawsze stosuj filtr softskip po pullup przy kodowaniu, aby mieć pewność, że ten drugi będzie miał dostęp do wszystkich klatek. Jeżeli tego nie zrobisz, doprowadzi to do błędów w wyjściu i zakończeniu programu na skutek ograniczeń w warstwie kodeku/filtru.

filmdint[=options]
    Filtr odwracania telecine, podobny do opisanego wyżej filtra pullup. Projektowany do obsłużenia każdego wzorca odwracania, włączając mieszankę miękkiego i twardego telecine oraz ograniczoną obsługę filmów, które zostały przyspieszone lub opóźnione w stosunku do swojej prędkości początkowej. Tylko płaszczyzna jasności jest używana przy szukaniu przerw między klatkami. Jeśli pole nie zostanie dopasowane, jest z niego usuwany przeplot poprzez prostą aproksymację liniową. Jeśli źródłem jest MPEG-2 musi to być pierwszy filtr, tak by miał dostęp do flag pola ustawionych przez dekoder MPEG-2. W zależności od źródłowego MPEG może ujść na sucho zignorowanie tej porady, dopóki nie widzisz licznych ostrzeżeń "Bottom-field first". Bez opcji przeprowadza normalne usuwanie telecine i powinien być używany z mencoder -fps 29.97 -ofps 23.976. Jeśli ten filtr jest używany z mplayerem efektem będzie nierówna prędkość odtwarzania, ale i tak jest to generalnie lepsze niż użycie pp=lb albo całkowity brak usuwania przeplotu. Poszczególne opcje są oddzielane znakiem /. Tak jak filtr crop, ale szybciej i działa na mieszance twardego i miękkiego telecine oraz gdy y nie jest wielokrotnością 4. Jeśli x lub y wymagałyby obcinania ułamków piksela z płaszczyzn barw obszar obcinania jest powiększany. Zazwyczaj oznacza to że x i y muszą być parzyste. Na każde ifps klatek wejściowych filtr wygeneruje ofps klatek wyjściowych. Stosunek ifps/ofps powinien być taki sam jak stosunek -fps/-ofsp. Może to być użyte do filtrowania filmów, które są nadawane w TV z inną częstotliwością niż oryginalna. Jeśli n jest niezerowe, płaszczyzna barwy jest kopiowana bez zmian. Przydatne przy telewizji próbkowanej w YV12, która ignoruje jedno z pól barwy. Na x86 jeśli n=1 używa funkcji optymalizowanych dla MMX2 zaś jeśli n=2 używa funkcji optymalizowanych dla 3DNow!. Gdzie indziej używa czystego C. Jeśli nie podano tej opcji MMX2 i 3DNow! są wykrywane automatycznie, użyj tego by wyłączyć autodetekcję. Duże n przyspieszy filtr kosztem dokładności. Domyślne jest n=3. Jeśli n jest nieparzyste, klatka bezpośrednio po klatce z zaznaczoną flagą MPEG REPEAT_FIRST_FIELD uznawana jest za progresywną, więc filtr nie spędzi ani chwili nad MPEG-2 z miękkim telecine. To jest jedyny efekt tej flagi, jeśli jest dostępne MMX2 albo 3DNow!. Bez MMX2 ani 3DNow! niezależnie czy n=0 czy n=1 to będą użyte te same obliczenia co przy n=2 czy n=3. Jeśli n=2 lub 3 ilość poziomów jasności używana do znalezienia przełomu klatek jest redukowana z 256 do 128, co daje szybszy filtr bez dużej straty dokładności. Jeśli n=4 lub 5 to szybszy, ale o wiele mniej dokładny, algorytm jest używany do szukania przełomu klatek. Jest on bardziej skłonny do wykrycia dużych pionowych detali jako przeplotu. Jeśli n jest niezerowe, wyświetla szczegółowe metryki dla każdej ramki. Przydatne przy debugowaniu. Próg usuwania przeplotu. Używany przy usuwaniu przeplotu niedopasowanych ramek. Duża wartość oznacza mniej usuwania przeplotu, n=256 całkowicie je wyłącza. Domyślnie n=8. Próg do porównywania górnego i dolnego pola. Domyślnie 128. Próg do wykrywania czasowych zmian pola. Domyślnie 128. Suma progów Całkowitej Różnicy (Absolute Difference), domyślnie 64.

softpulldown
    Ten filtr prawidłowo działa tylko z MEncoderem i działa na flagach MPEG-2 używanych do miękkiego telecine 3:2. Jeśli chcesz użyć filtru ivtc lub detc na filmach, które mają częściowe miękkie telecine to wstawienie przed nie tego filtra może sprawić że będą one dokładniejsze.

divtc[=options]
    Odwrócone telecine dla filmu bez przeplotu. Jeżeli video z telecine 3:2 straciło jedno z pól lub usunięto z niego przeplot metodą, która zachowuje jedno pole a interpoluje drugie, to w efekcie otrzymamy beznadziejnej jakości film z co czwartą klatką powtórzoną. Ten filtr szuka i opuszcza zduplikowane klatki, i przywraca oryginalną ilość klatek na sekundę filmu (framerate). Korzystając z tego filtru, musisz podać wartość -ofps, które stanowi 4/5 fps pliku wejściowego (23.976 jeżeli wejście jest 29.97fps). Dostępne opcje: Używa trybu dwuprzebiegowego (two-pass). Efektem jest lepsza jakość. Przejście 1 analizuje film i zapisuje informacje do pliku informacyjnego. Przejście 2 czyta ten plik i wykorzystuje go przy właściwej obróbce. Te przebiegi NIE odpowiadają przebiegom 1 i 2 w procesie kodowania. Aby wykorzystać tryb dwuprzebiegowy divtc z dwuprzebiegowym kodowaniem, musisz wykonać następujące trzy kroki: 1 przebieg divtc i kodera, później 2 przebieg divtc i 1 kodera, na końcu 2 przebieg divtc i kodera. Ustawia nazwę dla pliku informacyjnego kodowania 2-przebiegowego (domyślnie: "framediff.log"). Ustawia minimalną siłę, którą musi mieć wzorzec telecine, aby filtr w niego uwierzył (domyślnie: 0.5). Stosuje się to do rozpoznawania fałszywych wzorców z części filmu, które są bardzo ciemne lub prawie nieruchome. Ustawia ilość poprzednich ramek, które będą przeszukiwane pod kątem odnalezienia wzorca (domyślnie: 30). Większa ilość zapewnia większą wiarygodność w przeszukiwaniu wzorca, jednak krótsza przerwa skraca czas reakcji do zmian w telecine. Ma to tylko wpływ na tryb jednoprzebiegowy. Obecnie tryb dwuprzebiegowy używa ściśle określonej wartości, która obejmuje zarówno poprzednie jak i następne klatki. Ustawia początkową fazę telecine dla trybu jednoprzebiegowego (domyślnie: 0). Tryb dwuprzebiegowy może "wyglądać w przyszłość", dlatego korzysta z właściwej fazy już od samego początku, podczas gdy tryb jednoprzebiegowy musi zgadywać. Kiedy już ją odnajdzie, zaczyna z niej korzystać, ale ta opcja pozwala na pozbycie się szumu na początku. Poza tym, pierwszy przebieg trybu dwuprzebiegowego też korzysta z tej opcji, więc jeżeli zachowasz wyjście to otrzymasz w efekcie stała fazę. Ustawia próg deghostingu (0-255 dla trybu jednoprzebiegowego, -255-255 dla trybu dwuprzebiegowego, domyślnie 0). Jeżeli wartość jest różna od 0, tryb deghostingu jest włączony. Opcja przeznaczona jest dla filmów, z których usunięto przeplot poprzez zmieszanie pól, zamiast opuszczania jednego z nich. Proces deghostingu wzmacnia wszystkie pozostałości po kompresji w zmieszanych klatkach, wtedy parametr wartość określa granicę wyłączenia tych pikseli z deghostingu, które różnią się od poprzedniej klatki o mniej niż wyznaczony kres. Jeżeli używany jest tryb dwuprzebiegowy, może być użyta wartość ujemna, aby zmusić filtr do przeanalizowania całego video na początku drugiego przebiegu w celu określenia czy zastosowanie filtru jest konieczne i wybranie albo 0, albo wartości bezwzględnej parametru. Podaj tę opcję dla trybu dwuprzebiegowego, przy jednoprzebiegowym nie ma to żadnego efektu.

phase=[t|b|p|a|u|T|B|A|U][:v]
    Opóźnia film z przeplotem o jedno pole czasowe, tak że kolejność pól ulega zmianie. Zamierzonym działaniem jest naprawienie filmów w trybie PAL, które były przechwycone z odwrotną kolejnością względem procesu przenoszenia film-video. Przyjmowane parametry: Przechwycona kolejność pól pierwsze-górne, zmień na pierwsze-dolne. Filtr opóźni dolne pole. Przechwytuje pierwsze-dolne, zmienia na pierwsze-górne. Filtr opóźni górne pole. Przechwytuje i przenosi z taką samą kolejnością pól. Ten tryb istnieje tylko po to, aby mogły się do niego odnieść dokumentacje innych opcji, jeśli jednak go wybierzesz, filtr, zaskakujące, nie zrobi nic ;-) Automatycznie wykrywa przechwyconą kolejność pól na podstawie ich flag, zmienia na odwrotną. Filtr wybiera pomiędzy trybem t a b ramka po ramce, wykorzystując flagi pól. Jeżeli żadna informacja odnośnie pól nie jest dostępna, wtedy działa jak u. Przechwytuje nieznaną lub różną kolejność, odwraca na przeciwną. Filtr wybiera pomiędzy trybem t a b ramka po ramce, analizując obrazy i wybierając opcję, która daje najlepsze dopasowanie pól. Przechwytuje pierwsze-górne, zmienia na nieznany lub różny. Filtr wybiera pomiędzy trybem t a b ramka po ramce na podstawie analizy obrazu. Przechwytuje pierwsze-dolne, zmienia na nieznany lub różny. Filtr wybiera pomiędzy trybem t a b ramka po ramce na podstawie analizy obrazu. Przechwytuje zależnie podstawie flag pól, zmienia na nieznany lub różny. Filtr wybiera pomiędzy trybem t a b na podstawie analizy obrazu. Jeżeli żadna informacja odnośnie pól nie jest dostępna, wtedy działa jak U. To jest tryb domyślny. Przechwytuje nieznany lub różny i zmienia na to samo. Filtr wybiera pomiędzy trybem t a b tylko na podstawie analizy obrazu. Tryb gadatliwy. Drukuje wybrany tryb dla każdej klatki i uśrednioną kwadratową różnicę pól między możliwościami t, b i p.

telecine[=start]
    Zastosuje proces 3:2 "telecine" by zwiększyć ilość klatek o 20%. Najprawdopodobniej nie będzie to działało poprawnie z MPlayerem, ale może być użyte z "mencoder -fps 29.97 -ofps 29.97 -vf telecine". Obie opcje fps są niezbędne! (Synchronizacja A/V będzie popsuta, jeżeli będą one źle podane.) Opcjonalny parametr start mówi filtrowi gdzie ma zacząć we wzorcu telecine (0-3).

tinterlace[=tryb]
    Czasowe przeplatanie pól - łączy pary klatek w klatkę z przeplotem, zmniejszając o połowę szybkość klatek. Parzyste klatki są przenoszone w górne pole, nieparzyste w dolne. Filtr może być użyty do całkowitego odwrócenia działania tfields (w trybie 0). Dostępne są tryby: Przesunie nieparzyste klatki w górne pole, parzyste w dolne, tworząc ramkę pełnej wysokości przy połowie prędkości klatek. Opuszcza klatki parzyste, na wyjście przekazuje tylko nieparzyste, wysokość pozostaje niezmieniona. Opuszcza klatki nieparzyste, na wyjście przekazuje tylko parzyste, wysokość pozostaje niezmieniona. Poszerza każdą klatkę do pełnej wysokości i wypełnia co drugą linię na czarno; szybkość klatek pozostaje niezmieniona.

tfields[=tryb]
    Tymczasowy separator pola - dzieli pola na klatki, podwajając szybkość klatek. Podobnie jak filtr telecine, tfields będzie poprawnie działał tylko z MEncoderem i tylko gdy oba -fps i -ofps będą ustawione na pożądaną (podwójną) szybkość klatek! Dostępne tryby: Pozostawia pola niezmienione. (Zaobserwujesz przeskoki/migotanie.) Interpoluje brakujące linie. (Stosowany algorytm może nie być zbyt dobry.) Przesunie pola o 1/4 piksela z wykorzystaniem interpolacji liniowej (bez przeskoków). Przesunie pola o 1/4 piksela z wykorzystaniem filtru 4tap (wysoka jakość).

boxblur=promień:moc[:promień:moc]
    rozmycie pudełkowe siła filtru rozmycia (blur) ilość aplikacji filtru

sab=promień:pf:różnKol[:pro:pf:RożnKol]
    adaptatywne rozmycie figur siła filtru rozmycia (~0.1-4.0) (wolniejsze jeżeli większe) siła prefiltru (~0.1-2.0) maksymalna różnica między pikselami, która będzie jeszcze rozpatrywana (~0.1-100.0)

smartblur=promień:siła:zakres[:promień:siła:zakres]
    eleganckie rozmycie siła filtru rozmycia (~0.1-5.0) (wolniejsze jeżeli większe) rozmycie (0.0-1.0) lub wyostrzenie (-1.0-0.0) filtruj wszystko (0), filtruj płaskie obszary (0-30) lub filtruj krawędzie (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    Popraw perspektywę w filmach, nie kręconych prostopadle do ekranu. współrzędne lewego górnego, prawego górnego i prawego dolnego rogu liniowy (0) lub sześcienny resampling (1)

2xsai
    Przeskaluje i wygładzi obraz przy pomocy podwójnego algorytmu skalowania i interpolacji.

1bpp
    Konwersja bitmapy 1bpp do YUV/BGR 8/15/16/32

down3dright[=linie]
    Przepozycjonowanie i zmiana rozmiaru obrazu stereoskopowego. Wydobywa oba pola stereo i umieszcza je wspólnie, zmieniając im rozmiar tak, by utrzymać proporcje filmu. ilość linii wybierana ze środka obrazu (domyślnie: 12)

bmovl=ukryty:nieprzezroczysty:kolejka
    Filtr overlay bitmapy czyta je z FIFO i wyświetla je w górnej części filmu, pozwalając na tranformacje na obrazie. TOOLS/bmovl-test.c jest małym programem do testowania bmovl. Ustawia domyślną wartość flagi "hidden" (0=widoczny, 1=ukryty). Ustawia domyślną wartość flagi "opaque" (0=przezroczysty, 1=nieprzezroczysty). ścieżka/nazwa pliku FIFO (nazwana kolejka łącząca mplayer -vf bmovl z aplikacją kontrolują)

    Komendy FIFO:
i następnie szerokość*wysokość*4 bajtów danych źródłowych RGBA32. i następnie szerokość*wysokość*4 bajtów danych źródłowych ABGR32. i następnie szerokość*wysokość*3 bajtów danych źródłowych RGB24. i następnie szerokość*wysokość*3 bajtów danych źródłowych BGR24. Zmienia przezroczystość alfa dla danego obszaru. Czyści obszar. Wyłącza całą przezroczystość alfa. Prześlij "ALPHA 0 0 0 0 0", aby włączyć ją z powrotem. Ukrywa bitmapę. Pokazuje bitmapę.

    Argumenty oznaczają:
wymiary obrazu/obszaru Rozpoczyna blitting w punkcie o współrzędnych x/y. Ustawia różnicę alfa. Jeżeli ustawisz na -255, możesz później wysyłać sekwencję komend ALPHA, aby zmienić wartość na -225, -200, -175 itd. - uzyskasz ciekawy efekt przenikania ! ;) 0: tak jak oryginał
255: Zmienia wszystko na nieprzezroczyste.
-255: Zmienia wszystko na przezroczyste. czyści bufor przed blittingiem 0: Obraz będzie po prostu blittowany na wierzchu starego, więc nie będziesz musiał wysyłać 1,8MB danych RGBA32 za każdym razem, kiedy mała część ekranu jest aktualizowana.
1: czyści

framestep=I|[i]krok
    Renderuje tylko każdą n-tą lub każdą Intra (kluczową - key) klatkę.

    Jeżeli wywołasz ten filtr z parametrem I (duża litera), wyświetlane będą tylko klatki kluczowe. Dla DVD oznacza to zwykle co 15/12 ramkę (IBBPBBPBBPBBPBB), a dla AVI każdą zmianę sceny lub każdą wartość keyint (sprawdź wartość -lavcopts keyint= jeżeli korzystasz z MEncodera przy kodowaniu video).

    Kiedy ramka kluczowa zostaje znaleziona, drukowany jest ciąg znaków "I!" i znak końca wiersza, zostawiając aktualną linię wyjścia MPlayera/MEncodera na ekranie, ponieważ zawiera ona czas (w sekundach) i numer ramki kluczowej (Możesz użyć tych informacji do podzielenia zbioru AVI.).

    Jeżeli wywołasz ten filtr ze zwykłym parametrem "krok", to tylko jedna klatka na "krok" klatek będzie wyświetlana.

    Jeżeli umieścisz "i" (mała litera) przed numerem, ciąg I! będzie wydrukowany (podobnie jak przy opcji "I").

    Jeżeli podasz tylko "i", wtedy nic się nie dzieje z klatkami, tylko "I!" będzie drukowane.

tile=xkawalki:ykawalki:wyjście:start:delta
    Łączy szereg obrazów w jeden większy. Jeżeli ominiesz parametr lub podasz wartość mniejszą niż 0, domyślna wartość będzie użyta. Możesz również przestać podawać opcje w każdej chwili (... -vf tile=10:5 ...). Dobrym pomysłem będzie umieszczenie filtru skalowania (scale) przed łączeniem (tile) :-).

    Dostępne parametry:

    ilość kawałków na osi X (domyślnie: 5) ilość kawałków na osi Y (domyślnie: 5) Renderuje kawałek kiedy wyjściowa ("wyjście") ilość klatek jest osiągnięta, gdzie "wyjście" powinno być liczbą mniejszą niż xtile * ytile. Brakujące kawałki są pozostawiane puste. Możesz, na przykład, zapisać kawałek 8 * 7 co każde 50 klatek, aby uzyskiwać obraz co 2 sekundy (przy szybkości 25 fps). grubość zewnętrznego obramowania w pikselach (domyślnie: 2) grubość wewnętrznego obramowania w pikselach (domyślnie: 4)

delogo[=x:y:w:h:t]
    Usuwa logo stacji TV, poprzez prostą interpolację sąsiednich pikseli. Wystarczy, że ustawisz prostokąt przykrywający znak i będziesz świadkiem jak znika (a czasami pojawi się coś o wiele brzydszego - efekty mogą być różne). pozycja lewego, górnego rogu logo szerokość i wysokość czyszczonego prostokąta Grubość niewyraźnej krawędzi (dodana do w i h). Kiedy ustawiona zostanie na -1, zielony prostokąt zostanie narysowany na ekranie, aby uprościć odnalezienie właściwych parametrów x,y,w,h.

zrmjpeg[=opcje]
    Programowy koder YV12 do MJPEG wykorzystywany przy wyjściu video zr2. Te opcje ustawiają maksymalną szerokość i wysokość, którą karta zr może obsłużyć (obecnie wartstwa filtrów MPlayera nie może wykryć prawidłowych wartości). Ustawia automatycznie maks. szerokość i wysokość polegając na znanych wartościach dla duetu karta/tryb. Na przykład, poprawnymi opcjami są: dc10-PAL i buz-NTSC (domyślnie: dc10+PAL) Wybiera kodowanie w kolorze lub czarno-białe. To drugie jest szybsze. Domyślnie używany jest tryb kolorowy. Poziome dziesiątkowanie 1, 2 lub 4. Pionowe dziesiątkowanie 1, 2 lub 4. Ustawia jakość kompresji JPEG [NAJLEPSZA] 1 - 20 [NAJGORSZA]. Domyślnie, dziesiątkowanie jest stosowane, jeżeli sprzęt Zoran może przeskalować wzwyż wynikowe obrazy MJPEG do ich oryginalnego rozmiaru. Parametr fd nakazuje filtrowi zawsze stosować dziesiątkowanie (okropne).

OGÓLNE OPCJE KODOWANIA (TYLKO MENCODER)

-audio-delay <0.0-...>
    Ustawia opóźnienie audio w nagłówku. Domyślnie jest 0.0, ujemne wartości nie działają. Opcja nie opóźnia dźwięku podczas kodowania, ale odtwarzacz, gdy wykryje domyślne opóźnienie audio, wyręcza Cię z użycia opcji -delay.

-audio-density <1-50>
    Liczba kawałków audio na sekundę (domyślnie jest 2 przy kawałkach audio o długości 0.5s).
    INFORMACJA: Tylko dla CBR, VBR ignoruje ją gdyż dokłada kolejny pakiet w nowym kawałku.

-audio-preload <0.0-2.0>
    Ustawia przerwę czasu buforowania audio (domyślnie: 0.5s).

-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (patrz też opcja -ss i -sb)
    Zatrzymuje kodowanie w podanym czasie lub pozycji bajtu.
    INFORMACJA: Pozycja bajtu nie będzie dokładna, ponieważ może się on tylko zatrzymać granicy ramki.

    PRZYKŁAD: Koduje tylko 56 sekund. Koduje tylko 1 godzinę i 10 minut. Koduje tylko 100 MBajtów.

-ffourcc <fourcc>
    Można używać do wymuszenia fourcc video pliku wyjściowego.

    PRZYKŁAD: Da plik wyjściowy zawierający "div3" jako video fourcc.

-force-avi-aspect <0.2-3.0>
    Nadpisuje aspekt zawarty nagłówku vprp AVI OpenDML. Opcja ta może być użyta do zmiany proporcji przy -ovc copy.

-info <opcja1:opcja2:...> (tylko AVI)
    Wybiera informację nagłówka otrzymywanego pliku AVI.

    Dostępne opcje: Pokazuje ten opis. tytuł pliku artysta lub autor pliku oryginalna kategoria pracy treść pliku informacja o prawach autorskich pliku oryginalna forma cyfrowego materiału ogólna uwaga na temat pliku

-noautoexpand
    Nie umieszcza automatycznie filtru expand w łańcuchu filtrów MEncodera. Przydatne do kontrolowania, w którym momencie łańcucha napisy są renderowane podczas włączania napisów na sztywno do filmu.

-noencodedups
    Nie koduje zduplikowanych klatek w duplikacie; w wyjściu umieszcza ramki zero bajtowe do wskazania duplikatów. Klatki zero bajtowe będą, tak czy inaczej, zapisane, chyba że filtr lub koder zdolny do kodowania zduplikowanego jest załadowany. Obecnie nadaje się do tego tylko filtr harddup.

-noodml (tylko -of avi)
    Nie zapisuje indeksu OpenDML dla plików AVI >1GB.

-noskip
    Nie opuszcza klatek.

-o <nazwa pliku>
    Zapisuje wyjście do podanego pliku, zamiast domyślnego "test.avi".

-oac <nazwa kodeka>
    Koduje podanym kodekiem audio (brak wartości domyślnej).
    INFORMACJA: Użyj -oac help, aby otrzymać listę dostępnych kodeków.

    PRZYKŁAD: Nie koduje, tylko kopiuje strumień. Koduje do odkompresowanego PCM. Koduje do MP3 (używa Lame). Koduje kodekiem z libavcodec.

-of <format> (KOD BETA!)
    Koduje do wybranego formatu (domyślnie: AVI).
    INFORMACJA: Użyj -of help, aby otrzymać listę dostępnych formatów.

    PRZYKŁAD: Koduje do AVI (domyślne). Koduje do MPEG. surowy strumień video (bez muksowania - tylko jeden strumień video)

-ofps <fps>
    Ustawia ilość klatek na sekundę (fps) w wyjściowym pliku, wartość może być różna niż w pliku źródłowym. PArametr musi być ustawiony dla zmiennego fps (ASF, niektóre MOV) i plików progresywnych (29.97fps ztelecinowane MPEG).

-ovc <nazwa kodeka>
    Koduje z podanym kodekiem video (brak domyślnej wartości).
    INFORMACJA: Użyj -ovc help, aby otrzymać listę dostępnych kodeków.

    PRZYKŁAD: Nie koduje, tylko kopiuje strumień. Koduje do DivX4/DivX5. Koduje do nieskompesowanego formatu (użyj -vf format, aby wybrać). Koduje z kodekiem libavcodec.

-passlogfile <nazwa pliku>
    W dwuprzebiegowym kodowaniu, zrzuca informacje o pierwszym przebiegu do <nazwa pliku> zamiast domyślnego divx2pass.log.

-skiplimit <wartość>
    Określa maksymalną liczbę pominiętych klatek po zakodowaniu jednej (-noskiplimit daje nieograniczoną liczbę).

-vobsubout <nazwa bazy>
    Określa podstawową nazwę wyjściowych plików .idx i .sub. Wyłączy to renderowanie napisów w kodowanym filmie i przekieruje je do plików napisów VOBsub.

-vobsuboutid <langid>
    Wybiera dwu literowy kod języka napisów. Unieważnia to, co jest czytane z DVD lub pliku .ifo.

-vobsuboutindex <index>
    Określa indeks napisów w pliku wyjściowym (domyślnie: 0).

OPCJE SPECYFICZNE DLA KODEKA (TYLKO MENCODER)
Możesz określić specyficzne parametry kodowania dla kodeka, korzystając z poniższej składni:

-<codec>opts <opcja1[=wartość],opcja2,...>

Gdzie <codec> to: lavc, xvidenc, divx4, lame, toolame lub x264enc

  divx4 (-divx4opts)
DivX4 jest uważany za przestarzały i obsługiwany tylko dla kompletności. Aby uzyskać szczegółowe informacje o opcjach DivX4, przeczytaj źródła, większość opcji nie jest tu opisana.

help
    wyświetla pomoc

br=<wartość>
    Określa bitrate. (w kbit) (w bit)

key=<wartość>
    maksymalna przerwa między ramkami kluczowymi (w ramkach)

deinterlace
    Włącza usuwanie przeplotu (unikaj tej opcji, DivX4 ma pełno błędów).

q=<1-5>
    jakość (1-najszybszy, 5-najlepszy)

min_quant=<1-31>
    minimalny kwantyzator (quantizer)

max_quant=<1-31>
    maksywalny kwantyzator

rc_period=<wartość>
    współczynnik kontroli czasu

rc_reaction_period=<wartość>
    współczynnik kontroli czasu reakcji

rc_reaction_ratio=<wartość>
    współczynnik kontroli proporcji reakacji

crispness=<0-100>
    określa chropowatość/gładkość

pass=<1-2>
    Z tą opcją możesz kodować dwuprzebiegowo pliki DivX4. Najpierw koduj z pass=1, później koduj jeszcze raz z tymi samymi parametrami i pass=2.

vbrpass=<0-2>
    Nadpisuje argument pass i wykorzystuje bibliotekę XviD VBR zamiast DivX4 VBR. Dostępne są następujące opcje: kodowanie jednoprzebiegowe (tak jakby pominąć przebieg w wierszu poleceń) Analityczny (pierwszy) przebieg dwuprzebiegowego kodowania. Wynikowy plik AVI może być przekierowany do /dev/null. Ostateczny (drugi) przebieg dwuprzebiegowego kodowania.

  lame (-lameopts)

help
    wyświetla pomoc

vbr=<0-4>
    metoda zmiennego bitrate cbr mt rh (domyślne) abr mtrh

abr średni bitrate

cbr stały bitrate Wymusza również kodowanie CBR na późniejszych kodowaniach ABR.

br=<0-1024>
    bitrate w kbit (tylko CBR i ABR)

q=<0-9>
    jakość (0-najwyższa, 9-najniższa) (tylko VBR)

aq=<0-9>
    jakość algorytmiczna (0-najlepsza/najwolniejsze, 9-najgorsza/najszybsze)

ratio=<1-100>
    współczynnik kompresji

vol=<0-10>
    wzmocnienie głośności wejścia audio

mode=<0-3>
    (domyślne: auto) stereo joint-stereo dualchannel mono

padding=<0-2>
    żaden pełen dostraja

fast
    przełącza na szybsze kodowanie kolejnych trybów ustawień VBR Skutkuje to nieznacznie niższą jakością i większymi wartościami bitrate.

highpassfreq=<częstotliwość>
    Ustawia częstotliwość w Hz wysokoprzejściowego filtrowania (highpass filtering). Częstotliwości poniżej podanej będą obcinane. Wartość -1 wyłączy filtrowanie, wartość 0 pozwoli LAME wykryć wartości automatycznie.

lowpassfreq=<częstotliwość>
    Ustawia częstotliwość w Hz niskoprzejściowego filtrowania (lowpass filtering). Częstotliwości powyżej podanej będą obcinane. Wartość -1 wyłączy filtrowanie, wartość 0 pozwoli LAME wykryć wartości automatycznie.

preset=<wartość>
    standardowe ustawienia Wyświetla dodatkowe opcje i informacje o standardowych ustawieniach. kodowanie VBR, dobra jakość, wartości bitrate 150-180 kbps kodowanie VBR, wysoka jakość, wartości bitrate 170-210 kbps kodowanie VBR, bardzo wysoka jakość, wartości bitrate 200-240 kbps kodowanie CBR, najwyższa ustawiona jakość, bitrate 320 kbps kodowanie ABR z uśrednioną wartością podanego bitrate

    PRZYKŁAD:
stosowne dla większości ludzi i typów muzyki i już całkiem wysoka jakość Koduje z ustawieniami ABR na wymuszonym, stałym bitrate wynoszącym 192 kbps. Kodowanie z ustawieniami ABR przy średnim bitrate 172 kbps. Dla ludzi z niewiarygodnie dobrym słuchem i podobnym wyposażeniem.

  toolame (-toolameopts)

br=<0-384> (tylko tryb CBR)
    bitrate w kbps

mode=<stereo | jstereo | mono | dual>
    (domyślnie: mono dla dźwięku jednokanałowego, w przeciwnym wypadku stereo)

psy=<0-3>
    model psychoakustyczny (domyślnie: 2)

errprot=<0 | 1>
    Włącza ochronę przed błędami.

debug=<0-10>
    poziom debugowania

  lavc (-lavcopts)
Wiele z opcji libavcodec (w skrócie lavc) jest skąpo udokumentowanych. Szczegółowe informacje znajdziesz w źródłach.

PRZYKŁAD:

acodec=<wartość>
    kodek audio (domyślnie: mp2): MPEG Layer 2 MPEG Layer 3 AC3 IMA Adaptive PCM (4bity na próbkę, kompresja w stosunku 4:1)

abitrate=<wartość>
    bitrate dźwięku w kbit (domyślnie: 224)

atag=<wartość>
    Wykorzystuje określony znacznik formatu dźwięku systemu Windows (np. atag=0x55).

bit_exact
    Wykorzystuje tylko algorytmy bitowo dokładne (poza (I)DCT). Ponadto bit_exact wyłącza kilka funkcji optymalizacyjnych i dlatego też powinien być stosowany tylko do testów regresyjnych, które wymagają plików identycznych binarnie, nawet jeżeli zmienia się wersja kodera. Opcja ta ignoruje również nagłówek user_data w strumieniach MPEG-4. Nie korzystaj z tego parametru, chyba że wiesz co robisz.

threads=<1-8>
    Maksymalna liczba użytych wątków (domyślnie: 1). Może mieć delikatnie negatywny wpływ na przewidywanie ruchu.

vcodec=<wartość>
    Wykorzystuje podany kodek (domyślnie: mpeg4). Motion JPEG Lossless JPEG H.263 H.263 Plus MPEG-4 (DivX 4/5) DivX 3 MS MPEG4v2 Windows Media Video, wersja 1 (AKA WMV7) Windows Media Video, wersja 2 (AKA WMV8) stary kodek RealVideo MPEG-1 video MPEG-2 video HuffYUV ASUS Video v1 ASUS Video v2 bezstratny kodek video FFmpeg

vqmin=<1-31>
    minimalny kwantyzator (quantizer) (przebieg 1/2) Nie zalecane (bardzo duży plik, mała różnica w jakości i dziwne efekty uboczne: msmpeg4, h263 będą słabej jakości, kontrola tempa będzie szwankowała co w rezultacie da wyjście niższej jakości i niektóre dekodery nie będą w stanie sobie z nim poradzić). Zalecane do normalnego kodowania mpeg4/mpeg1video (domyślne). Zalecane dla h263(p)/msmpeg4. Powodem wyboru 3 a nie 2 jest fakt, że ten drugi może prowadzić do przepełnień. (Będzie to naprawione dla h263(p) przez zmianę kwantyzatora o MB w przyszłości, msmpeg4 nie może być poprawiony ponieważ tego nie obsługuje.)

lmin=<0.01-255.0>
    Minimalny mnożnik Lagrange dla kontroli tempa, prawdopodobnie chcesz, żeby był równy lub mniejszy niż vqmin (domyślnie: 2.0).

lmax=<0.01-255.0>
    maksymalny mnożnik Lagrange dla kontroli tempa (domyślnie: 31.0)

vqscale=<1-31>
    Stały kwantyzator / stała jakość kodowania (włącza tryb stałego kwantyzatora). Niższa wartość oznacza lepszą jakość ale większy plik wynikowy (domyślnie: 0 (wyłączony)). 1 nie jest zalecaną wartością (sprawdź vqmin a uzyskasz więcej informacji).

vqmax=<1-31>
    maksymalny kwantyzator (przebieg 1/2), 10-31 jest rozsądnym zakresem (domyślnie: 31)

mbqmin=<1-31>
    przestarzałe, używaj vqmin

mbqmax=<1-31>
    przestarzałe, używaj vqmax

vqdiff=<1-31>
    maksymalna różnica kwantyzatora między sąsiednimi ramkami I a P (przebieg 1/2) (domyślnie: 3)

vmax_b_frames=<0-4>
    maksymalna ilość ramek B między ramkami innymi niż B: brak klatek B (domyślnie) rozsądny zakres dla MPEG-4

vme=<0-5>
    metoda szacowania ruchu Dostępne są metody: żadna (bardzo niska jakość) pełna (powolna, brak opiekuna, metoda wyłączona) log (niska jakość, brak opiekuna, metoda wyłączona) phods (niska jakość, brak opiekuna, metoda wyłączona) EPZS: rozmiar diamentu jest równy 1, może być dopasowany przez opcje *dia (domyślna) X1 (eksperymentalna, obecnie synonim EPZS)

    INFORMACJA: Wartości 0-3 obecnie ignorują ilość zużytych Bitów, więc jakość może być niska.

me_range=<0-9999>
    zakres przeszukiwania przy szacowaniu ruchu (domyślnie: 0 (nieograniczony))

mbd=<0-2>
    Algorytm decyzyjny makrobloku (tryb wysokiej jakości), koduje każdy makroblok we wszystkich trybach i wybiera ten najlepszy. Metoda ta jest powolna, ale jej rezultatem jest lepsza jakość i mniejsza objętość pliku. Korzysta z mbcmp (domyślnie). Wybiera tryb MB, który wymaga najmniejszej ilości bitów (=vhq). Wybiera tryb MB, który powoduje najmniejsze zniekształcenia tempa.

vhq Działa tak samo jak mbd=1, trzymany ze względu na kompatybilność.

v4mv
    Zezwala na 4 wektory ruchu w każdym makrobloku (trochę lepsza jakość). Działa lepiej w parze z mbd>0.

obmc
    kompensacja ruchu nachodzących na siebie bloków (H.263+)

loop
    filtr pętli (H.263+) nie działa

inter_threshold <-1000-1000>
    Na razie nie robi kompletnie nic.

keyint=<0-300>
    maksymalna przerwa między ramkami kluczowymi w ramkach (domyślnie: 250 albo jedna klatka kluczowa co dziesięć sekund w filmie 25fps) Ramki kluczowe są potrzebne przy przeszukiwaniu, jako że przeszukiwane są tylko ramki kluczowe, potrzebują jednak one trochę więcej miejsca niż zwykłe ramki, więc większe wartości dadzą w rezultacie mniejszy plik, ale mniej precyzyjne przeszukiwanie. 0 jest równoważne 1, czyli każda ramka jest ramką kluczową. Wartości >300 nie są zalecane, ponieważ jakość może być zła w zależności od dekodera, kodera i szczęścia. Dla utrzymania pełnej zgodności z MPEG-1/2/4 wartości powinny być <=132.

sc_threshold=<-1000000-1000000>
    Próg do wykrywania zmiany sceny. Libavcodec wstawia klatkę kluczową jeżeli wykryje zmianę sceny. Tą opcją możesz określić czułość tej detekcji. -1000000 oznacza, że zmiana sceny wykrywana jest w każdej klatce, 1000000 oznacza, że żadne zmiany nie będą wykryte (domyślnie 0).

vb_strategy=<0-1>
    strategia wyboru między ramkami I/P/B (przebieg 1): Zawsze używa maksymalnej ilości klatek B (domyślnie). Unika ramek B w scenach z dużą ilością ruchu.

vpass=<1-3>
    Włącza wewnętrzny tryb dwu- lub trójprzebiegowy, podawaj tylko, jeżeli chcesz korzystać z kodowania dwu- lub trójprzebiegowego (domyślnie: wyłączony). pierwszy przebieg (sprawdź też opcję turbo) drugi przebieg n-ty przebieg (drugi i trzeci przebieg kodowania trójprzebiegowego)
    Jak to działa i jak tego używać:
    Pierwszy przebieg (vpass=1) zapisuje plik ze statystykami. Może będziesz chciał wyłączyć niektóre opcje znacznie obciążające procesor, podobnie jak robi to tryb "turbo".
    W trybie dwuprzebiegowym drugi przebieg (vpass=2) czyta plik ze statystykami i opiera decyzje o kontroli tempa na nim.
    W trybie trójprzebiegowym drugi przebieg (vpass=3, to nie błąd) robi obie rzeczy: Najpierw czyta statystyki z pliku, później je nadpisuje. Może będziesz chciał zachować kopię pliku divx2pass.log zanim to się stanie, jeśli istnieje możliwość, że będiesz musiał przerwać działanie MEncodera. Możesz używać wszystkich opcji kodowania, poza tymi obciążającymi procesor w znacznym stopniu (jak "qns").
    Trzeci przebieg (vpass=3) jest taki sam jak drugi, poza tym że korzysta ze statystyk zebranych podczas drugiego przebiegu. Możesz używać wszystkich opcji kodowania, nawet tych bardzo obciążających procesor.

    huffyuv:
Zachowuje statystyki. Koduje z optymalną tablicą Huffmana opartą o wyniki pierwszego przebiegu.

turbo (tylko tryb dwuprzebiegowy)
    Znacznie zwiększa szybkość pierwszego przebiegu używając szybszych algorytmów i wyłączając opcje obciążające w znacznym stopniu procesor. Prawdopodobnie zmniejszy to trochę globalny współczynnik PSNR (o około 0.01dB), zmieni typy pojedynczych klatek i trochę PSNR (do 0.03dB).

aspect=<x/y>
    Przechowuje proporcje wewnętrznie, podobnie jak pliki MPEG. O wiele lepsze rozwiązanie niż ponowne skalowanie, ponieważ nie spada jakość. Tylko MPlayer będzie odtwarzał te pliki poprawnie, inne odtwarzacze wyświetlą je w złych proporcjach. Parametr proporcji może być podany jako stosunek lub liczba rzeczywista.

    Przykład:

autoaspect
    Podobnie jak opcja aspect, ale proporcja wyliczana jest automatycznie, biorąc pod uwagę wszystkie filtry dostrajające (crop/expand/scale/itp) podane w łańcuchu. Nie powoduje spadku wydajności, więc możesz ją mieć spokojnie zawsze włączoną.

vbitrate=<wartość>
    Określa bitrate (przebieg 1/2) (domyślnie: 800).
    UWAGA: 1kBit = 1000 Bitów (w kbit) (w bit)

vratetol=<wartość>
    przybliżona tolerancja rozmiaru pliku w kBit. 1000-100000 jest rozsądnym zakresem. (uwaga: 1kBit = 1000 Bitów) (domyślnie: 8000)
    INFORMACJA: Wartość vratetol nie powinna być zbyt duża podczas drugiego przebiegu, inaczej mogą wystąpić problemy, jeżeli wykorzystane będzie vrc_(min|max)rate.

vrc_maxrate=<wartość>
    maksymalny bitrate w kbit/sek (przebieg 1/2) (domyślnie: 0, nieograniczony)

vrc_minrate=<wartość>
    minimalny bitrate w kbit/sek (przebieg 1/2) (domyślnie: 0, nieograniczony)

vrc_buf_size=<wartość>
    rozmiar bufora w kbit (przebieg 1/2). Dla MPEG-1/2 określa to również rozmiar bufora vbv, użyj 327 dla VCD, 917 dla SVCD i 1835 dla DVD.

vrc_buf_aggressivity
    obecnie bezużyteczne

vrc_strategy
    Zarezerwowane na przyszłość.

vb_qfactor=<-31.0-31.0>
    współczynnik kwantyzatora pomiędzy ramkami B a innymi niż B (przebieg 1/2) (domyślnie: 1.25)

vi_qfactor=<-31.0-31.0>
    współczynnik kwantyzatora pomiędzy ramkami I a innymi niż I (przebieg 1/2) (domyślnie: 0.8)

vb_qoffset=<-31.0-31.0>
    offset kwantyzatora pomiędzy ramkami B a innymi niż B (przebieg 1/2) (domyślnie: 1.25)

vi_qoffset=<-31.0-31.0>
    (przebieg 1/2) (domyślnie: 0.0)
    jeżeli v{b|i}_qfactor > 0
    Kwantyzator klatek I/B = kwantyzator ramki P * v{b|i}_qfactor + v{b|i}_qoffset
    w przeciwnym wypadku
    normalnie kontroluj tempo (nie blokuj kwantyzatora według następnej ramki P) i ustaw q= -q * v{b|i}_qfactor + v{b|i}_qoffset
    WSKAZÓWKA: Aby kodować ze stałym kwantyzatorem, ale różnym dla klatek I/P i B, możesz wykorzystać poniższy wzór: lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>

vqblur=<0.0-1.0> (przebieg 1)
    Rozmycie kwantyzatora (domyślnie: 0.5), większe wartości uśrednią kwantyzator w czasie (wolniejsze zmiany). Wyłączone rozmycie kwantyzatora Uśrednia kwantyzator ze wszystkich poprzednich klatek.

vqblur=<0.0-99.0> (przebieg 2)
    Rozmycie gaussowe kwantyzatora (domyślnie: 0.5), większe wartości uśrednią kwantyzator w czasie (wolniejsze zmiany).

vqcomp=<wartość>
    Kompresja kwantyzatora, zależy od vrc_eq (przebieg 1/2) (domyślnie: 0.5).

vrc_eq=<equation>
    główne równanie kontroli tempa (przebieg 1/2)
stały bitrate stała jakość przybliżone równanie starej kontroli tempa z qcomp 0.5 czy coś takiego (domyślnie)

    operatory:

    zmienne:
złożoność tekstur złożoność tekstur intra, nie-intra średnia złożoność tekstur średnia złożoność tekstur intra w ramkach I średnia złożoność tekstur intra w ramkach P średnia złożoność tekstur nie-intra w ramkach P średnia złożoność tekstur nie-intra w ramkach B ilość bitów użytych w wektorach ruchu maksymalna długość wektorów ruchu w skali log2 ilość makrobloków intra / ilość makrobloków złożoność przestrzenna złożoność czasowa qcomp z wiersza poleceń Wynosi 1 jeżeli typ obrazu to I/P/B w przeciwnym wypadku - 0. Przejrzyj swoją ulubioną książkę do matematyki.

    funkcje:
maksimum / minimum wynosi 1 jeżeli a>b, inaczej 0 wynosi 1 jeżeli a<b, inaczej 0 wynosi 1 jeżeli a==b, inaczej 0

vrc_override=<opcje>
    Określona przez użytkownika jakość poszczególnych części (zakończenie, lista płac, ...) (przebieg 1/2). Opcje to <klatka-początkowa>, <klatka-końcowa>, <jakość>[/<klatka-początkowa>, <klatka-końcowa>, <jakość>[/...]]: kwantyzator korekcja jakości w %

vrc_init_cplx=<0-1000>
    początkowa złożoność (przebieg 1)

vqsquish=<0,1>
    Określa jak ma się zachowywać kwantyzator między qmin a qmax (przebieg 1/2). Używa obcinania. Używa ładnej, różniczkowalnej funkcji (domyślnie).

vlelim=<-1000-1000>
    Ustawia próg eliminowania pojedynczych współczynników jasności. Wartości ujemne będą brały pod uwagę także współczynnik DC (powinny być równe co najmniej -4 lub niżej dla kodowania z quant=1): wyłączony (domyślnie) zalecane przez JVT

vcelim=<-1000-1000>
    Ustawia próg eliminowania pojedynczych współczynników barwy. Wartości ujemne będą brały pod uwagę także współczynnik DC (powinny być równe co najmniej -4 lub niżej dla kodowania z quant=1): wyłączony (domyślnie) zalecane przez JVT

vstrict=<-1,0,1>
    ścisła zgodność ze standardami wyłączona (domyślnie) Zalecane tylko w przypadku, jeżeli chcesz przekazać wyjście do referencyjnego dekodera MPEG-4. Pozwala na niestandardowe kodowanie YV12 HuffYUV (o 20% mniejsze pliki, ale nie mogą być odtwarzane przez oficjalny kodek HuffYUV).

vdpart
    Dzielenie danych. Dodaje 2 Bajty do każdego pakietu video, poprawia odporność na błędy podczas transferu przez niepewne kanały (np. przesyłanie poprzez internet). Każdy pakiet będzie kodowany w 3 oddzielnych częściach: ruch obraz niskiej rozdzielczości szczegóły
    Najważniejsze są MV i DC, ich utrata jest o wiele gorsza niż utrata AC i później 1. i 2. części. MV i DC razem są o wiele mniejsze niż 3ci kawałek (AC), co oznacza, że błędy będą częściej występowały w tym ostatnim niż w dwóch pierwszych. Dlatego, obraz będzie wyglądał o wiele lepiej z podziałem na części niż bez, ponieważ bez dzielenia błędy będą zdarzały się równo w AC/DC/MV.

vpsize=<0-10000> (patrz też vdpart)
    Rozmiar pakietu video, poprawia odporność na błędy. wyłączone (domyślnie) dobry wybór

ss  tryb o strukturze plastrowej dla H.263+

gray
    kodowanie tylko w skali szarości (szybsze)

vfdct=<0-10>
    algorytm DCT Automatycznie wybiera dobry (domyślnie). fast integer accurate integer MMX mlib AltiVec floating point AAN

idct=<0-99>
    algorytm IDCT
    INFORMACJA: Z tego co wiemy te wszystkie IDCT przechodzą testy IEEE1180. Automatycznie wybiera dobry (domyślnie). referencjny dekoder JPEG simple simplemmx libmpeg2mmx (niedokładny, nie używaj do kodowania z keyint >100) ps2 mlib arm AltiVec sh4

lumi_mask=<0.0-1.0>
    Maskowanie jasności jest "psychosensorycznym" parametrem, który wykorzystuje fakt, że ludzkie oko widzi mniej szczegółów na bardzo jasnych polach obrazu. Kompresuje on mocniej jasne obszary niż te o średniej jasności, więc zachowa to kilka bitów, które mogą być wykorzystane przez następne klatki, podnosząc ogólną, subiektywną jakość, przy jednoczesnym możliwym spadku wartości PSNR.
    UWAGA: Bądź ostrożny, zbyt duże wartości mogą spowodować okropne rzeczy.
    UWAGA: Duże wartości mogą wyglądać dobrze na niektórych monitorach, a na innych nie. wyłączone (domyślnie) rozsądny zakres

dark_mask=<0.0-1.0>
    Maskowanie ciemności jest "psychosensorycznym" parametrem, który wykorzystuje fakt, że ludzkie oko widzi mniej szczegółów na bardzo ciemnych polach obrazu. Kompresuje on mocniej ciemne obszary niż te o średniej jasności, więc zachowa to kilka bitów, które mogą być wykorzystane przez następne klatki, podnosząc ogólną, subiektywną jakość, przy jednoczesnym możliwym spadku wartości PSNR.
    UWAGA: Bądź ostrożny, zbyt duże wartości mogą spowodować okropne rzeczy.
    UWAGA: Duże wartości mogą wyglądać dobrze na niektórych monitorach, a na innych / TV / TFT nie. wyłączone (domyślnie) rozsądny zakres

tcplx_mask=<0.0-1.0>
    Maskowanie czasowej złożoności (domyślnie: 0.0 (wyłączone)). Wyobraź sobie ujęcie z ptakiem lecącym przez całą scenę. tcplx_mask zwiększy kwantyzatory jego makrobloków (tym samym zmniejszając ich jakość), ponieważ ludzkie oko zazwyczaj nie ma czasu, żeby zobaczyć wszystkie jego szczegóły. Niestety, jeżeli przedmiot, na którego została nałożona maska, zatrzyma się (np. ptak wyląduje) prawdopodobnie będzie wyglądało to okropnie przez krótką chwilę, dopóki koder nie zauważy tego, że przedmiot już się nie porusza i potrzebuje nowych bloków. Zaoszczędzone bity, będą wykorzystane w innych częściach filmu, co może zwiększyć subiektywną jakość, pod warunkiem, że wartość tcplx_mask jest starannie dobrana.

scplx_mask=<0.0-1.0>
    Maskowanie złożoności przestrzennej. Większe wartości pomagają przy blokowaniu, jeżeli żaden filtr odblokowania nie jest stosowany przy dekodowaniu - nie jest to najlepszy pomysł.
    Wyobraź sobie scenę z trawą (która ma zazwyczaj dużą kompleksowość przestrzenną), niebieskim niebem i domem; scplx_mask zwiększy kwantyzatory makrobloków trawy, tym samym zmniejszając jej jakość, tak żeby wykorzystać więcej bitów na niebo i dom.
    WSKAZÓWKA: Usuń wszystkie czarne krawędzie, jako że zmniejszają one jakość makrobloków (aktualne nawet bez scplx_mask). wyłączone (domyślnie) rozsądny zakres

    INFORMACJA: Ten parametr nie działa tak samo, jak użycie własnej matrycy, która kompresowała by wyższe częstotliwości lepiej, jako że scplx_mask zmniejszy jakość bloków P, nawet jeśli tylko DC się zmienia. scplx_mask nie da tak dobrych wyników.

p_mask=<0.0-1.0> (also see vi_qfactor)
    Zmniejsza jakość inter makrobloków. Jest to jednoznaczne z podniesieniem jakości intra bloków, ponieważ ta sama, przeciętna wartość bitrate, będzie rozprowadzona przez kontroler tempa (rate controller) na całą sekwencję video (domyślnie: 0.0 (wyłączone)). p_mask=1.0 podwoja lość bitów alokowanych do każdego inta bloku.

naq Normalizuje przystosowywalną kwantyzację (eksperymentalne). Podczas korzystania z przystosowywalnej kwantyzacji (*_mask), średni kwantyzatory na MB może już nie odpowiadać żądanemu kwantyzatorowi na poziomie klatki. Naq spróbuje dostroić kwantyzatory na MB by utrzymać prawidłową średnią.

ildct
    Używa DCT z przeplotem.

ilme
    Używa metody przewidywania ruchu z przeplotem (wzajemnie wykluczający się z qpel).

alt Korzysta z alternatywnej scantable.

top=<-1-1>
    automatycznie najpierw dolne pole najpierw górne pole

format=<wartość>
    domyślny dla ffv1 dla HuffYUV, bezstratnego JPEG i ffv1 dla bezstratnego JPEG i ffv1 dla bezstratnego JPEG i ffv1

pred
    (dla HuffYUV) przewidywanie lewej czyste/gradientowe przewidywanie przewidywanie mediany

pred
    (dla bezstratnego JPEG) przewidywanie lewej przewidywanie górnej przewidywanie górnej-lewej płaszczyznowe/gradientowe przewidywanie przewidywanie średniej

coder
    (dla ffv1) kodowanie vlc (Golomb-Rice) kodowanie arytmetyczne (CABAC)

context
    (dla ffv1) model małego kontekstu model dużego kontekstu

qpel
    Używa kompensacji ruchu quarter pel (wzajemnie wykluczający się z ilme).
    WSKAZÓWKA: Przydatne tylko dla kodowanie z wysokim bitrate.

mbcmp=<0-2000>
    Ustawia funkcję porównawczą przy podejmowaniu decyzji dla makrobloku, wykorzystywana tylko, jeżeli mbd=0. suma bezwzględnych różnic, szybka (domyślnie) suma kwadratu błędów suma bezwzględnych różnic poddanych tranformacji Hadamarda suma bezwzględnych różnic poddanych tranformacji DCT suma kwadratów błędów kwantyzacji (unikaj, niska jakość) ilość bitów wymaganych przez blok optymalne pod względem zniekształceń tempa, powolne 0 suma bezwzględnych różnic pionowych suma kwadratów różnic pionowych suma kwadratów różnic zachowująca szumy Wykorzystuje również barwę, obecnie nie działa (prawidłowo) z ramkami typu B.

ildctcmp=<0-2000>
    Ustawia funkcję porównawczą przy podejmowaniu decyzji dla przeplatanego DCT (lista dostępnych funkcji porównawczych jest taka sama jak w opcji mbcmp).

precmp=<0-2000>
    Ustawia funkcję porównawczą dla wstępnego przebiegu przewidywania ruchu (lista dostępnych funkcji porównawczych jest taka sama jak w opcji mbcmp) (domyślnie: 0).

cmp=<0-2000>
    Ustawia funkcję porównawczą dla przewidywania ruchu full pel (lista dostępnych funkcji porównawczych jest taka sama jak w opcji mbcmp) (domyślnie: 0).

subcmp=<0-2000>
    Ustawia funkcję porównawczą dla przewidywania ruchu sub pel (lista dostępnych funkcji porównawczych jest taka sama jak w opcji mbcmp) (domyślnie: 0).

nssew=<0-100>
    Ten parametr kontroluje wagę NSSE, gdzie większe wartości zaowocują większymi szumami. NSSE 0 jest identyczne z SSE. Może Ci się on przydać, jeśli wolisz zachować jakieś szumy w zakodowanym video, niż przefiltrować je przed kodowaniem.

predia=<-99-6>
    typ i rozmiar diamentu dla wstępnego przebiegu przewidywania ruchu

dia=<-99-6>
    Typ i rozmiar diamentu dla przewidywania ruchu Proces wyszukiwania ruchu jest iteracyjny. Korzystanie z małego diamentu nie ogranicza przeszukiwania tylko do małych wektorów ruchu, zwiększa się jednak prawdopodobieństwo zatrzymania przed znalezieniem tego najlepszego, szczególnie gdy obraz zawiera szum. Większe diamenty pozwalają na wyszukiwanie najlepszego w szerszym zakresie, dlatego też są wolniejsze ale dają lepszą jakość.
    Wielkie, normalne diamenty są lepsze niż te przystosowujące kształty.
    Diamenty przystosowujące kształt stanowią kompromis między szybkością a jakością.
    INFORMACJA: Rozmiary normalnych diamentów i tych przystosowujących kształty nie mają takiego samego efektu. diament przystosowujący kształt (szybkie) o rozmiarze 3 diament przystosowujący kształt (szybkie) o rozmiarze 2 trochę wyjątkowy: Może być wolniejszy i/lub lepszy niż dia=-2. normalny diament o rozmiarze=1 (domyślnie) =diament typu EPZS
          0
         000
          0
    normalny diament o rozmiarze=2
          0
         000
        00000
         000
          0

trell
    Kwantyzacja przeszukiwana kratowo. Funkcja ta znajdzie optymalne kodowanie dla każdego bloku 8x8. Kwantyzacja przeszukiwana kratowo jest po prostu dobrą optymalizacją, w sensie PSNR kontra bitrate (Zakładając, że nie będzie żadnych błędów zaokrągleń mogących powstać w skutek działania IDCT, czyli oczywiście nie w tym przypadku.). Po prostu znajduje blok dla minimalnej ilości błędów i bitów*lambda. zmienna uzależniona od parametru kwantyzacji (QP) ilość bitów potrzebna do zakodowania bloku suma kwadratów błędów kwantyzacji

cbp Zakodowany wzór bloku optymalny pod względem zniekształceń tempa. Znajdzie taki wzór, który zminimalizuje zniekształcenia + tempo+lambda. Opcja ta może być używana tylko w połączeniu z kwantyzacja kratową.

mv0 Spróbuje zakodować każdy MB z MV=<0,0> i wybierze lepszy. Nie ma to znaczenia jeżeli mbd=0.

qprd (tylko z mbd=2)
    parametr kwantyzacji (QP) optymalny pod względem zniekształceń tempa dla lambda podanej dla każdego makrobloku

last_pred=<0-99>
    ilość przewidywaczy ruchu z poprzedniej ramki (domyślnie) Wykorzysta makroblokowy kwadrat o wymiarach 2a+1 x 2a+1 wektorów przewidywaczy ruchu z poprzedniej klatki.

preme=<0-2>
    wstępny przebieg przewidywania ruchu wyłączone tylko po ramkach I (domyślnie) zawsze

subq=<1-8>
    jakość udoskonalenia subpel (dla qpel) (domyślnie: 8 (wysoka jakość))
    INFORMACJA: Ma to poważny wpływ na szybkość.

psnr
    Drukuje PSNR (wartość szczytowa proporcji sygnału do szumu) dla całego filmu po kodowaniu i przechowuje PSNR dla każdej klatki w pliku o nazwie typu "psnr_hhmmss.log". Zwracane wartości są w dB (decybelach), im wyższe tym lepsze.

mpeg_quant
    Wykorzystuje kwantyzatory MPEG zamiast H.263.

aic przewidywanie ac (zaawansowane przewidywanie intra dla H.263+)
    INFORMACJA: vqmin powinno być równe 8 lub większe dla H.263+ AIC.

aiv alternatywne inter vlc dla H.263+

umv nieograniczona liczba MV (tylko H.263+) Zezwala na kodowanie z dowolnie długimi MV.

ibias=<-256-256>
    bias kwantyzatora intra (256 odpowiada 1.0, domyślny kwantyzator w stylu MPEG: 96, domyślny kwantyzator w stylu H.263: 0) INFORMACJA: Kwantyzator MMX H.263 nie umie obsłużyć dodatnich wartości bias (ustaw vfdct=1 lub 2), kwantyzator MMX MPEG nie umie obsłużyć ujemnych wartości bias (ustaw vfdct=1 lub 2).

pbias=<-256-256>
    bias kwantyzatora inter (256 odpowiada 1.0, domyślny kwantyzator w stylu MPEG: 0, domyślny kwantyzator w stylu H.263: -64) INFORMACJA: Kwantyzator MMX H.263 nie umie obsłużyć dodatnich wartości bias (ustaw vfdct=1 lub 2), kwantyzator MMX MPEG nie umie obsłużyć ujemnych wartości bias (ustaw vfdct=1 lub 2).
    WSKAZÓWKA: Większa wartość bias (-32 - -16 zamiast -64) wydaje się polepszać PSNR.

nr=<0-100000>
    Redukcja szumów, 0 oznacza wyłączoną.

qns=<0-3>
    Kształtowanie szumu kwantyzatora. Zamiast wybierać kwantyzację jak najbliższą źródłowemu plikowi video (w sensie PSNR), wybiera taką, że szum (zazwyczaj dzwonienie) będzie zamaskowany przez zawartość obrazu o podobnej częstotliwości. Większe wartości są wolniejsze, ale nie koniecznie poprawią jakości. Opcja może i powinna być używana razem z kwantyzacją kratową, w takim przypadku kwantyzacja kratowa (optymalna dla stałej wagi) będzie wykorzystana jako punkt startowy dla przeszukiwania iteracyjnego. wyłączone (domyślnie) Obniża tylko bezwzględną wartość współczynników. Zmienia tylko współczynniki przed ostatnim niezerowym współczynnikiem + 1. Spróbuje wszystkiego.

inter_matrix=<matryca oddzielona przecinkami>
    Wykorzystuje zdefiniowaną przez użytkownika matrycę inter. Wymaga łańcucha oddzielonych przecinkami 64 liczb całkowitych.

intra_matrix=<matryca oddzielona przecinkami>
    Wykorzystuje zdefiniowaną przez użytkownika matrycę intra. Wymaga łańcucha oddzielonych przecinkami 64 liczb całkowitych.

vqmod_amp
    eksperymentalna modulacja kwantyzatora

vqmod_freq
    eksperymentalna modulacja kwantyzatora

dc  Precyzja intra DC podana w bitach (domyślnie: 8). Jeżeli podasz vcodec=mpeg2video, może przyjąć wartości 8, 9, 10 lub 11.

cgop
    Zamyka wszystkie GOPy. Obecnie nie działa.

  nuv (-nuvopts)
Video Nuppel jest oparte na RTJPEG i LZO. Domyślnie najpierw ramki są kodowane przez RTJPEG, potem kompresowane przez LZO, jednak można wyłączyć którykolwiek lub oba przebiegi. W rezultacie możesz stworzyć wyjście w formacie raw i420, spakowane przez LZO i420, RTJPEG, lub domyślne spakowane przez LZO RTJPEG.
INFORMACJA: Dokumentacja nuvrec zawiera kilka porad i przykładów obrazujących użycie różnych ustawień dla najbardziej popularnych kodowań TV.

c=<0-20>
    zakres barw (domyślnie: 1)

l=<0-20>
    zakres jasności (domyślnie: 1)

lzo Włącza kompresję LZO (domyślnie).

nolzo
    Wyłącza kompresję LZO.

q=<3-255>
    poziom jakości (domyślnie: 255)

raw Wyłącza kodowanie RTJPEG.

rtjpeg
    Włącza kodowanie RTJPEG (domyślnie).

  xvidenc (-xvidencopts)
Dostępne są trzy tryby: stały bitrate (CBR), ustalony kwantyzator i dwuprzebiegowy.

pass=<1|2>
    Określa przebieg w trybie dwuprzebiegowym.

bitrate=<wartość>
    Ustawia żądany bitrate w kbit/sekundę jeżeli <16000 lub w bit/sekundę jeżeli >16000. Jeśli <wartość> jest ujemna, XviD użyje jej wartości bezwzględnej jako docelowej wielkości zbioru (w kilobajtach) i automatycznie wyliczy bitrate. (CBR lub tryb dwuprzebiegowy, domyślnie: 687 kbits/s)

fixed_quant=<1-31>
    Przełącza w tryb ustalonego kwantyzatora i określa jego wielkość.

me_quality=<0-6>
    Opcja ta kontroluje podsystem przewidywania ruchu. Im wyższa wartość, tym przewidywanie będzie dokładniejsze (domyślnie: 6). Im lepsze przewidywanie tym lepsza kompresja. Precyzja jest osiągana kosztem mocy obliczeniowej, więc zmniejsz jej wartość, jeżeli masz zamiar kodować w czasie rzeczywistym.

(no)interlacing
    Koduje pola filmu z przeplotem. Jeżeli korzystasz z materiału filmowego z przeplotem, włącz tę opcję.
    INFORMACJA: Jeśli chciałbyś przeskalować film, potrzebowałbyś filtru skalującego, który wiedziałby, że ma do czyniena z materiałem zawierającym przeplot, możesz go uruchomić przez -vf scale=<szerokość>:<wysokość>:1.

4mv Korzysta z 4 wektorów ruchu na makroblok. Może dać lepszą kompresję kosztem wolniejszego kodowania.
    UWAGA: Począwszy od XviD-1.0.x opcja ta nie jest dostępna niezależnie, a jej funkcjonalność jest włączona w opcję me_quality. Kiedy me_quality > 4, 4mv jest uruchamiane.

rc_reaction_delay_factor=<wartość>
    Ten parametr określa ilość ramek, jaką przeczeka kontroler tempa CBR zanim zareaguje na zmianę wartości bitrate i będzie próbował wyrównać zmianę, tak aby uzyskać stały bitrate na uśredniającym zakresie klatek.

rc_averaging_period=<wartość>
    Prawdziwe CBR jest trudne do osiągnięcia. Zależnie od materiału filmowego, bitrate może być zmienny i trudny do przewidzenia. Dlatego XviD wykorzystuje okres uśredniający, dla którego gwarantuje zadaną ilość bitów (minus mała różnica). To ustawienie wyraża "ilość klatek", dla których XviD uśrednia bitrate i próbuje osiągnąć CBR.

rc_buffer=<wartość>
    rozmiar bufora kontroli tempa

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    Tryb CBR: min. i maks. kwantyzator dla wszystkich klatek (domyślnie: 2-31)
    Tryb dwuprzebiegowy: min. i maks. kwantyzator dla klatek typu I/P (domyślnie: 2-31/2-31)
    UWAGA: Począwszy od XviD-1.0.x opcja ta jest zastąpiona przez opcje [min|max]_[i|p|b]quant.

min_key_interval=<wartość>
    minimalna przerwa między klatkami kluczowymi (domyślnie: 0, tylko tryb dwuprzebiegowy)

max_key_interval=<wartość>
    maksymalna przerwa między klatkami kluczowymi (domyślnie: 10*fps)

mpeg_quant
    Używa kwantyzatorów MPEG zamiast H.263. Dla wysokich wartości bitrate, zauważysz, że kwantyzacja MPEG zachowa więcej szczegółów. Dla niskich wartości bitrate, wygładzanie H.263 da w rezultacie mniej szumu blokowego. Kiedy wykorzystywane są określone przez użytkownika matryce, musi być wykorzystywany MPEG.
    UWAGA: Począwszy od XviD-1.0.x opcja ta jest zastąpiona przez opcję quant_type.

mod_quant
    Decyduje czy wykorzystywać kwantyzatory MPEG czy H.263 na podstawia badania klatka po klatce (tylko tryb dwuprzebiegowy).
    UWAGA: Wygeneruje to nieprawidłowy stumień bitów, którego prawdopodobnie nie jest w stanie zdekodować żaden dekoder MPEG-4 poza libavcodec albo XviD. (tylko tryb dwuprzebiegowy)
    UWAGA: Począwszy od XviD-1.0.x opcja ta nie jest dostępna.

keyframe_boost=<0-1000>
    Przesuwa kilka bitów z ramek innego rodzaju do klatek intra, polepszając przez to jakość klatek kluczowych. (domyślnie: 0, tylko tryb dwuprzebiegowy)

kfthreshold=<wartość>
    (domyślnie: 10, tylko tryb dwuprzebiegowy)

kfreduction=<0-100>
    Powyższe dwa parametry mogą być wykorzystane do określenia rozmiaru klatek kluczowych, których położenie uważasz za zbyt bliskie do pierwszej (w rzędzie). kfthreshold ustawia zakres, w którym klatki kluczowe są redukowane, a kfreduction określa ich redukcję bitrate'ową. Ostatnia ramka I jest traktowana normalnie. (domyślnie: 30, tylko tryb dwuprzebiegowy)

divx5bvop
    Wygeneruje kompatybilne z DivX5 ramki B (domyślnie: włączone). Wygląda na to, że jest to obowiązkowe tylko dla starszych wersji dekodera DivX.
    UWAGA: Począwszy od XviD-1.0.x, opcja ta jest zastąpiona przez opcję closed_gop.

(no)greyscale
    Sprawia, że XviD ignoruje przestrzeń kolorów, więc wynikowy film jest w skali szarości. Zauważ, że nie przyspiesza to kodowania, zapobiega to tylko zapisaniu danych kolorów w ostatniej fazie kodowania.

debug
    Zapisuje statystyki każdej ramki w ./xvid.dbg. (To nie jest plik kontroli trybu dwuprzebiegowego).

Poniższe opcje są dostępne tylko w najnowszych stabilnych wersjach XviD 1.0.x (api4).

(no)packed
    Opcja ta jest przeznaczona do rozwiązywania problemów z kolejnością ramek, przy kodowaniu do formatów typu AVI które nie radzą sobie ze złą kolejnością. W praktyce, większość dekoderów (tak sprzętowych jak i programowych) sama radzi sobie z kolejnością ramek i może się zgubić jeśli ta opcja jest włączona. Bezpieczniej jest więc zostawić ją wyłączoną, chyba że na prawdę wiesz co robisz.
    UWAGA: Stworzy to niepoprawny strumień bitów i nie będzie on odtwarzany przez dekodery ISO-MPEG-4 poza DivX/libavcodec/XviD.
    UWAGA: Zapisuje to także fałszywą wersję DivX do pliku, więc autodedetekcja błędów niektórych dekoderów może się gubić.

max_bframes=<0-4>
    maksymalna ilość klatek B umieszczonych pomiędzy ramkami I/P (domyślnie: 0)

bquant_ratio=<0-1000>
    proporcja kwantyzatora między ramkmi typu B i pozostałymi, 150=1.50 (domyślnie: 150)

bquant_offset=<-1000-1000>
    współczynnik offsetu kwantyzatora pomiędzy ramkami B a pozostałymi, 100=1.00 (domyślnie: 100)

bf_threshold=<-255-255>
    Czasami ramki B nie wyglądają dobrze i występują na nich zniekształcenia, kiedy większość klatki jest statyczna a tylko małe strefy zawierają dużo ruchu (w statycznej scenie z gadającym człowiekiem, jego usta będą najprawdopodobniej wyglądały źle, jeśli całe tło jest całkowicie statyczne). Ten parametr umożliwia Ci określenie, jaki ma być priorytet użycia klatek B. Im wyższa wartość, tym większe prawdopodobieństwo użycia klatek B. (domyślnie: 0)

(no)closed_gop
    Ta opcja mówi XviD, żeby zamykał każdy GOP (Group Of Pictures, grupa obrazów ograniczona dwiema ramkami typu I), dzięki czemu GOP'y są niezależne od siebie. To jedynie implikuje że ostatnią ramką GOP'u jest albo ramka typu P albo typu N, ale nie typu B. Zazwyczaj dobrze jest włączyć tę opcję (domyślnie: włączona).

frame_drop_ratio=<0-100> (tylko z ax_bframes=0)
    Ten parametr umożliwia tworzenie strumieni video ze zmienną szybkością klatek. Jeśli różnica między bieżącą a poprzednią klatką jest niższa lub równa od ustawionego przez ten parametr progu, klatka nie będzie kodowana (tzw. n-vop zostanie wstawiany w strumień). Przy odtwarzaniu, natrafienie na n-vop, powoduje wyświetlenie poprzedniej klatki.
    OSTRZEŻENIE: Odtwarzanie z tym parametrem może spowodować, że film będzie poszarpany, więc używaj go na swoją własną odpowiedzialność!

(no)qpel
    MPEG-4 domyślnie używa precyzji co do połowy piksela przy wyszukiwaniu ruchu. Standard proponuje tryb, w którym kodery mogą korzystać z precyzji quarter pixel (co do ćwierć piskela). Opcja to przeważnie sprawia, że obraz jest ostrzejszy. Niestety ma to duży wpływ na wartość bitrate i czasami wykorzystanie wyższej wartości spowoduje otrzymanie gorszego obrazu przy stałym bitrate. Najlepiej jest sprawdzić rezultat z i bez tej opcji, i samemu zdecydować czy jest warta włączenia.

(no)gmc
    Włącza Globalną Kompensację Ruchu, która sprawia, że XviD generuje specjalne ramki (ramki GMC), które są dobrze przystosowane do przesuwania/przybliżonia/obracania obrazów. To, czy włączenie tej opcji zaoszczędzi bity zależy od materiału filmowego.

(no)trellis
    Kwantyzacja kratowa (Trellis Quantization) jest rodzajem metody kwantyzacji adaptatywnej, która zachowuje bity poprzez modyfikację skwantyzowanych współczynników, tak aby lepiej ulagały kompresji przez koder entropii. Dobrze wpływa na poprawę jakości, a jeśli VHQ używa wg Ciebie zbyt dużo mocy obliczeniowej, ta opcja może być dobrą alternatywą zaoszczędzającą kilku bitów (i poprawiającą jakość przy stałym bitrate) przy mniejszym obciążeniu niż VHQ.

(no)cartoon
    Włącz tę opcję, jeżeli kodowana sekwencja jest rysunkowa. Modyfikuje ona kilka wewnętrznych progów XviD, tak że te podejmuje lepsze decyzje o typie ramek i wektorach ruchu dla płaskich rysunków.

quant_type=<h263|mpeg>
    Ustawia typ wykorzystywanego kwantyzatora. Dla wysokich wartości bitrate, kwantyzacja MPEG zachowa więcej szczegółów. Dla niskich wartości bitrate, wygładzanie H.263 da mniej szumów blokowych. Jeśli używasz własnych macierzy, musi być ustawiona kwantyzacja MPEG.

(no)chroma_me
    Zwykły algorytm przewidywania ruchu używa tylko informacji o jasności dla znalezienia najlepszego wektora ruchu. Jednakże dla niektórych filmów, wykorzystanie przestrzeni kolorów pozwoli znaleźć lepsze wektory. Ten parametr włącza wykorzystanie przestrzeni barw do przewidywania ruchu.

(no)chroma_opt
    Uruchamia prefiltr optymalizacji barw. Poczaruje to trochę nad danymi o kolorach żeby zmniejszyć widoczny na krawędziach efekt schodów. Poprawia jakość kosztem prędkości kodowania. Z natury zmniejsza PSNR, jako że podnosi matematyczne odchylenie od oryginalnego obrazu, ale poprawia subiektywną jakość obrazu. Jako że działa na informacji o kolorach, możesz chcieć to wyłączyć jeśli kodujesz w skali szarości.

(no)hq_ac
    Włącza lepsze przewidywania składowej AC z sąsiednich bloków.

vhq=<0-4>
    Algorytm wyszukiwania ruchu jest oparty na szukaniu w zwykłej domenie koloru i próbuje znaleźć wektor ruchu, który zminimalizuje różnice między klatką odniesienia a zakodowaną. Z tym parametrem XviD użyje również domenę częstotliwości (DCT), aby szukać wektora ruchu, który nie tylko zminimalizuje różnicę przestrzenną, ale również długość kodowania bloku. Od najszybszego do najwolniejszego: wyłączone (domyślnie) decyzja dotycząca trybu (inter/intra MB) ograniczone przeszukiwanie średnie przeszukiwanie szerokie przeszukiwanie

min_iquant=<0-31>
    minimalny kwantyzator klatek I (domyślnie: 2)

max_iquant=<0-31>
    maksymalny kwantyzator klatek I (domyślnie: 31)

min_pquant=<0-31>
    minimalny kwantyzator klatek P (domyślnie: 2)

max_pquant=<0-31>
    maksymalny kwantyzator klatek P (domyślnie: 31)

min_bquant=<0-31>
    minimalny kwantyzator klatek B (domyślnie: 2)

max_bquant=<0-31>
    maksymalny kwantyzator klatek B (domyślnie: 31)

quant_intra_matrix=<nazwa pliku>
    Wczytuje plik z określoną macierzą intra. Możesz stworzyć taki plik edytorem macierzy xvid4conf.

quant_inter_matrix=<nazwa pliku>
    Wczytuje plik z określoną macierzą inter. Możesz stworzyć taki plik edytorem macierzy xvid4conf.

curve_compression_high=<0-100>
    Ten parametr pozwala XviD'owi na przekazanie określonego procentu bitów ze scen o wysokiej wartości bitrate do rezerwy bitowej. Możesz również skorzystać z tej opcji, jeśli masz klip z tak dużą ilością bitów przeznaczoną na sceny o wysokiej wartości bitrate, że sceny z niższą wartością wyglądają źle (domyslnie: 0).

curve_compression_low=<0-100>
    Ten parametr pozwala XviD'owi na przekazanie określonego procentu dodatkowych bitów do scen z niską wartością bitrate z całego klipu. Opcja ta może być przydatna, jeżeli masz kilka scen z niską wartością bitrate, które są ciągle blokowe (domyślnie: 0).

overflow_control_strength=<0-100>
    Podczas pierwszego przebiegu w kodowaniu dwuprzebiegowym obliczana jest przeskalowana krzywa bitrate. Różnica między oczekiwaną krzywą a wynikową otrzymaną podczas kodowania nazywana jest przepełnieniem (overflow). Oczywiście dwuprzebiegowy kontroler tempa stara się zniwelować tę różnicę przez rozpraszanie jej na kolejne klatki. Ten parametr kontroluje ile przepełnienia jest rozpraszane za każdym razem, kiedy pojawia się nowa klatka. Niskie wartości pozwalają na leniwą kontrolę przepełnienia, wielkie różnice są kompensowane wolniej (może to doprowadzić do braku precyzji przy małych filmach). Wyższe wartości sprawiają, że redystrybucja bitów jest gwałtowniejsza, czasami zbyt gwałtowna, jeśli ustawisz opcję na zbyt wysoką, co może doprowadzić do powstania zniekształceń (domyślnie: 5).
    INFORMACJA: Ten parametr ma duży wpływ na jakość, baw się nim ostrożnie!

max_overflow_improvement=<0-100>
    Podczas alokacji bitów dla ramki kontrola przepełnienia może zwiększyć jej rozmiar. Parametr ten określa maksymalny procent rozmiaru o jaki kontrola przepełnienia może zwiększyć ramkę, w porównaniu z idealną alokacją krzywej (domyślnie: 5).

max_overflow_degradation=<0-100>
    Podczas alokacji bitów dla ramki, kontrola przepełnia może zmniejszyć jej rozmiar. Parametr ten określa maksymalny procent rozmiaru o jaki kontrola przepełnienia może zmniejszyć ramkę, w porównaniu z idealną alokacją krzywej (domyślnie: 5).

container_frame_overhead=<0...>
    Określa średni narzut (overhead) przypadający na ramkę w bajtach. Przeważnie użytkownicy określają żądany bitrate bez brania pod uwagę nadwyżki na ramkę video. Ta mała ale (przeważnie) stała nadwyżka może spowodować, że docelowy rozmiar pliku zostanie przekroczony. XviD pozwala użytkownikom na ustawienie wielkości nadwyżki przypadającej na ramkę, którą generuje klatka video (podaj tylko uśrednioną wartość na ramkę). 0 ma specjalne znaczenie, pozwala XviD'owi na użycie jego własnych wartości domyślnych (domyślnie: 24 - średnia nadwyżka AVI).

par=<tryb>
    Określa tryb Współczynnika Proporcji Piksela (Pixel Aspect Ratio - PAR) (nie mylić z Współczynnikiem Proporcji Obrazu (Display Aspect Ratio - DAR)). PAR to stosunek szerokości do wysokości pojedynczego piksela. Więc oba są związane: DAR = PAR * (szerokość/wysokość).
    MPEG-4 określa 5 współczynników proporcji piksela i jeden rozszerzony, dający szansę na podanie konkretnego współczynnika proporcji piksela. Może być podany jeden z 5 standardowych trybów: zwyczajny PAR dla PC Piksele są jednostką kwadratową. standard dla PAL - 4:3 PAR Piksele są prostokątami. jak wyżej jak wyżej jak wyżej (Nie zapomnij podać dokładnego współczynnika.) Pozwala na określenie własnego współczynnika proporcji piksela przez par_width i par_height.
    INFORMACJA: Ogólnie ustawienie opcji aspect i autoaspect jest wystarczające.

par_width=<1-255> (tylko z par=ext)
    Określa szerokość zadeklarowanego współczynnika proporcji piksela.

par_height=<1-255> (tylko z par=ext)
    Określa wysokość szerokość zadeklarowanego współczynnika proporcji piksela.

aspect=<x/y | f (wartość rzeczywista)>
    Przechowuje proporcje wewnętrznie, podobnie jak pliki MPEG. O wiele lepsze rozwiązanie niż ponowne skalowanie, ponieważ nie spada jakość. Tylko MPlayer i kilka innych odtwarzaczy będą interpretowały te pliki poprawnie, inne wyświetlą je w złych proporcjach. Parametr proporcji może być podany jako proporcja lub liczba rzeczywista.

(no)autoaspect
    Podobnie jak opcja aspect, ale proporcja wyliczana jest automatycznie, biorąc pod uwagę wszystkie filtry dostrajające (crop/expand/scale/itp.) podane w łańcuchu.

psnr
    Drukuje PSNR (wartość szczytowa proporcji sygnału do szumu) dla całego filmu po kodowaniu i przechowuje PSNR dla każdej klatki w pliku o nazwie typu "psnr_hhmmss.log" w bieżącym katalogu. Zwracane wartości są w dB (decybelach), im wyższe tym lepsze.

Następna opcja jest dostępna tylko w rozwojowych wersjach XviD 1.1.x.

bvhq=<0|1>
    To ustawienie pozwala na wybieranie z możliwych kandydatów takich wektorów dla ramek B, które minimalizuja zaburzenia, podobnie jak opcja vhq robi to dla ramek P. Daje to ładniejsze ramki B prawie bez spadku wydajności.

  x264enc (-x264encopts)

bitrate=<wartość>
    Ustawia użyty bitrate w kbit/sekunda (domyślnie: wyłączone). Ta opcja jest konieczna, jeżeli chcesz kodować z CBR (stały bitrate).

keyint=<wartość>
    Ustawia maksymalną przerwę między ramkami I. Większe wartości oszczędzają bity, a tym samym poprawiają jakość, odbywa się to jednak kosztem precyzji przy przeszukiwaniu (domyślnie: 250).

idrint=<wartość>
    Jedna na każde <wartość> ramek I jest ramkami IDR (domyślnie: 2). W H.264 ramki I niekoniecznie ograniczają zamknięty GOP, ponieważ jest ramka P może być przewidziana z większej liczby poprzedzających ją klatek niż tylko jedna (sprawdź też opcję frameref). Dlatego też niekoniecznie da się przewijać do klatek I. Ramki IDR ograniczają odnoszenie się ramki P do jakiejkolwiek ramki poprzedzającej ramkę IDR.

scenecut=<-1-100>
    Kontroluje agresywność wstawiania klatek I (domyślnie: 40). Małe wartości powodują, że kodek często musi wymuszać ramkę I, jeśli przekroczy wartość keyint. Poprawne wartości mogą odszukać lepsze miejsca dla ramki I, wyższe powodują marnowanie bitów. -1 wyłącza wykrywanie obcięć scen (scenecut), więc ramki I są wstawiane tylko raz po każdych innych klatkach keyint, nawet jeśli takie obcięcie zdarzy się wcześniej. Nie jest to zalecane i marnuje bitrate, jako że obcięcia scen (scenecut) są kodowane jako ramki P, które są tak duże jak ramki I, ale nie resetują "licznika keyint".

frameref=<1-15>
    Ilość poprzednich ramek wykorzystanych do przewidywania w ramek P (domyślnie: 1). Ma to dość znaczny wpływ na Anime, ale przy materiałach z "żywymi" aktorami i scenami nie ma większego wpływu. Niektóre dekodery nie radzą sobie z dużymi wartościami frameref.

bframes=<0-16>
    liczba kolejnych klatek B pomiędzy ramkami I i P (domyślnie: 0)

(no)deblock
    Wykorzystuje filtr odblokowywujący (deblock) (domyślnie: włączony). Jako, że zabiera mało czasu procesora w porównaniu ze wzrostem jakości, jaki daje, nie jest zalecane wyłączanie go.

deblockalpha=<-6-6>
    Parametr AlphaC0 dla filtru odblokowywujący (deblock) (domyślnie: 0). Opcja ta dostosowuje zakresy dla filtru odlokowywującego H.264. Po pierwsze parametr ten określa maksymalną ilość zmian jaką filtr może nanieść na pojedynczy piksel. Po drugie opcja ta ma wpływ na próg filtrowanej różnicy występującej na krawędzi. Wartość dodatnia ogranicza blokujące szumy, ale rozmywa również detale.
    Dla kodowań które mają mieć wysoką jakość, zmniejsz trochę wartość tego parametru. Jednak, jeżeli materiał źródłowy zawiera jakieś szumy albo sceny z przeskokami, które będziesz chciał usunąć lub jeśli to animacja, dobrym pomysłem będzie nieznaczne zwiększenie jego wartości.

deblockbeta=<-6-6>
    Parametr Beta filtru odblokowywującego (deblock) (domyślnie: 0). Ma wpływ na maksymalny, dozwolony gradient między dwoma przylegającymi blokami.

(no)cabac
    Wykorzystuje CABAC (Context-Adaptive Binary Arithmetic Coding) (domyślnie: włączony). Nieco spowalnia kodowanie i dekodowanie, ale oszczędza okłlo 10-15% bitów. Nie powinieneś go wyłączać, chyba że zależy Ci na szybkości.

cabacidc=<wartość>
    Wartość początkowa CABAC IDC. Koder musi wybrać kontekst dla każdego bloku, który koduje, jednak dla pierwszego bloku w klatce, nie ma żadnych poprzedzających go bloków. Dostosowanie tego parametru może zmienić bitrate o ułamek procenta, ale nie ma bezpośredniego wpływu na zniekształcenie. -1: Koder wybiera kontekst, zazwyczaj 0 (domyślne).
    0: niska złożoność
    1: średnia złożoność
    2: wysoka złożoność

qp_constant=<1-51>
    Określa, który kwantyzator zostanie użyty, 20-40 to użyteczny zakres (domyślnie: 26). Niższe wartości to lepsze odwzorowanie, ale większe parametry bitrate. Zauważ, że kwantyzacja w H.264 działa inaczej niż w MPEG[124]. Parametr kwantyzacji (QP) H.264 jest w skali logarytmicznej. Dla przykładu, różnica w bitrate pomiędzy QP=20 a QP=40 to współczynnik około 10. Przydatne kwantyzatory w H.264 są większe niż w MPEG[124].

qp_min=<1-51> (CBR lub tryb dwuprzebiegowy)
    Minimalny kwantyzator, 15-35 to użyteczny zakres (domyślnie: 10).

qp_max=<1-51> (tylko CBR)
    maksymalny kwantyzator (domyślnie: 51)

qp_step=<wartość>
    Maksymalna wartość o jaką kwantyzator może być zwiększony/zmniejszony pomiędzy klatkami.

rc_buffer_size=<wartość>
    rozmiar bufora kontroli tempa (domyślnie: 1 sekunda przy określonym bitrate)

rc_init_buffer=<wartość>
    Ustawia początkowego bufora kontroli tempa (domyślnie: 1/4 rc_buffer_size)

rc_sens=<0-100> (tylko CBR)
    czułość kontroli tempa (domyślnie: 4)

ip_factor=<wartość>
    współczynnik kwantyzatora między ramkami I a P (domyślnie: 1.4)

pb_factor=<wartość>
    współczynnik kwantyzatora między ramkami P a B (domyślnie: 1.4)

pass=<1-3>
    Uruchamia tryb dwu- lub trójprzebiegowy. Zaleca się kodowanie zawsze w trybie dwu- lub trójprzebiegowym z uwagi na lepszą dystrybucję bitów i poprawę ogólnej jakości. pierwszy przebieg drugi przebieg N-ty przebieg (drugi i trzeci w trybie trójprzebiegowym)
    A teraz jak to działa i jak tego używać:
    Pierwszy przebieg (pass=1) zbiera statystyki video i zapisuje je do pliku. Może będziesz chciał wyłączyć opcje wymagające dużej mocy obliczeniowej poza tymi domyślnymi.
    W trybie dwuprzebiegowym, drugi przebieg (pass=2) czyta plik ze statystykami i opiera na tym decyzje kontroli tempa.
    W trybie trójprzebiegowym, drugi przebieg (pass=3, to nie pomyłka) robi obie rzeczy: Najpierw czyta statystyki i nadpisuje je. Może będziesz chciał zrobić kopię pliku divx2pass.log zanim to się stanie, jeżeli istnieje szansa, że przerwiesz działanie MEncodera. Możesz użyć wszelkich opcji kodowania, poza tymi szczególnie wymagającymi dużej mocy obliczeniowej.
    Trzeci przebieg (pass=3) działa tak samo jak drugi przebieg, poza tym że korzysta ze statystyk drugiego przebiegu. Możesz użyć wszelkich opcji kodowania, nawet te wymagające dużej mocy obliczeniowej.
    INFORMACJA: Obsługa trybu trójprzebiegowego x264 jest całkiem nowa w MEncoderze, mile widziane są wszelkie informacje o dobrych kombinacjach opcji x264, które są i szybkie i dają dobrą jakość.
    qcomp=<0-1>
        Kompresja kwantyzatora (domyślnie: 0.6). Wpływa na kontrolę tempa: niższa wartość sprawia, że bitrate jest bardziej stały, podczas gdy wyższa, sprawia, że parametr kwantyzacji jest bardziej stały.
    cplx_blur=<0-999>
        Rozmycie w czasie szacowanej złożoności klatki, przed kompresją krzywej (domyślnie: 20). Mniejsze wartości pozwalają na większe zmiany kwantyzatora, a większe wymuszają jego łagodniejsze zmiany. cplx_blur zapewnia, że każda ramka I będzie miała jakość podobną do następujących po niej ramek P, że że naprzemienne ramki o wysokiej i niskiej złożoności (n.p. animacja z niewielkim fps) nie będą marnowały bitów na zmiany kwantyzatora.
    qblur=<0-99>
        Rozmycie w czasie parametru kwantyzacji, po kompresji krzywej (domyślnie: 0.5). Niższe wartości pozwalają na większe skoki wartości kwantyzatora, wyższe zmuszają go do delikatniejszych zmian.
    (no)4x4mv
        Wykorzystuje wszystkie dostępne makrobloki inter-klatek (i16x16, i4x4, p16x16, p16x8, p8x16, p8x8, p8x4, p4x8, p4x4, skip). Pomysł polega na tym, aby odnaleźć typ i rozmiar, który najlepiej opisuje określony obszar obrazu, np. daje to bardzo dobre rezultaty dla Anime, które zazwyczaj zawierają duże obszary tego samego koloru (domyślnie: i16x16, i2x4, p16x16-8x8, skip). Zależnie od materiału źródłowego, parametr ten może zwiększyć lub zmniejszyć jakość, używaj go ostrożnie.
    subq=<0-5>
        Dopasowuje jakość udoskonalenia subpel. Ten parametr kontroluje kompromis między jakością a szybkością biorący udział w procesie podejmowania decyzji dotyczących przewidywania ruchu. Może znacznie poprawić jakość. 0: tylko halfpel
        1: 1 iteracja qpel na wygrywającym kandydacie (domyślnie)
        2: 2 iteracje qpel na wygrywającym kandydacie
        3: halfpel na wszystkich typach makrobloków (MB), qpel na zwycięzcy
        4: qpel na wszystkim
        5: więcej iteracji qpel
    log=<-1-3>
        Określa ilość informacji drukowanych na ekranie. -1: żadne
         0: Wyświetla tylko błędy.
         1: ostrzeżenia
         2: PSNR, czas kodowania i inne statystyki analiz po skończonym kodowaniu
         (domyślne)
         3: PSNR, QP, typ ramki, rozmiar i inne statystyki dla każdej klatki
    (no)psnr
        Drukuje statystyki stosunku sygnału do szumu.
        INFORMACJA: Pola PSNR 'Y', 'U', 'V', i 'Avg' nie są matematycznie poprawne (są po prostu uśrednioną wartością PSNR branego z każdej klatki). Są trzymane tylko dla porównania z referencyjnym kodekiem JM. Dla wszystkich innych celów, korzystaj albo z "Global" PSNR, albo z poszczególnych wartości PSNR przypadających na klatkę drukowanych przez log=3.

PLIKI
/usr/local/etc/mplayer/mplayer.conf
    główny plik ustawień
~/.mplayer/config
    ustawienia użytkownika
~/.mplayer/input.conf
    ustawienia wejścia (pełną listę wyświetla '-input keylist')
~/.mplayer/gui.conf
    plik konfiguracyjny GUI
~/.mplayer/gui.pl
    lista odtwarzania GUI
~/.mplayer/font/
    katalog czcionki (Musi znajdować się tutaj plik font.desc i plik z rozszerzeniem .RAW.)
~/.mplayer/DVDkeys/
    Zkrakowane klucze CSS
Zakładając, że odtwarzana jest /ścieżka/do/film.avi, MPlayer będzie szukał
    napisów w następującej kolejności: /ścieżka/do/film.sub
    ~/.mplayer/sub/film.sub
    ~/.mplayer/default.sub

PRZYKŁADY

Szybki start odtwarzania DVD:
    mplayer dvd://1

Odtwarza w japońskim z angielskimi napisami:
    mplayer dvd://1 -alang ja -slang en

Odtwarza tylko rozdziały 5, 6, 7:
    mplayer dvd://1 -chapter 5-7

Odtwarza tylko tytuły 5, 6, 7:
    mplayer dvd://5-7

Odtwarza DVD z różnych ujęć:
    mplayer dvd://1 -dvdangle 2

Odtwarza z innego urządzenia DVD:
    mplayer dvd://1 -dvd-device /dev/dvd2

Odtwarza DVD z katalogu zawierającego pliki VOB:
    mplayer dvd://1 -dvd-device /ścieżka/do/katalogu/

Kopiuje tytuł DVD na twardy dysk, zapisując go to title1.vob :
    mplayer dvd://1 -dumpstream -dumpfile title1.vob

Strumień z HTTP:
    mplayer http://mplayer.hq/przyklad.avi

Strumień używający RTSP:
    mplayer rtsp://serwer.przyklad.com/nazwaStrumienia

Konwertuje napisy do formatu MPsub:
    mplayer test.avi -sub zródło.sub -dumpmpsub

Konwertuje napisy do formatu MPsub bez konieczności oglądania filmu:
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub źródło.sub -dumpmpsub

Wejście z domyślnego V4L:
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Odtwarzanie na kartach Zoran (w starym stylu, odradzane):
    mplayer -vo zr -vf scale=352:288 plik.avi

Odtwarzanie na kartach Zoran (w nowym stylu):
    mplayer -vo zr2 -vf scale=352:288,zrmjpeg plik.avi

Kodowanie tytułu #2 DVD, tylko wybrane rozdziały:
    mencoder dvd://2 -chapter 10-15 -o tytul2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

Kodowanie tytułu #2 DVD, zmiana rozmiaru do 640x480:
    mencoder dvd://2 -vf scale=640:480 -o tytul2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

Kodowanie tytułu #2 DVD, zmiana rozmiaru do 512xHHH (zachowuje proporcje):
    mencoder dvd://2 -vf scale -zoom -xy 512 -o tytul2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

To samo, ale z bitrate ustawionym na 1800kBit i optymalizowanymi makroblokami:
    mencoder dvd://2 -o tytuł2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4:mbd=1:vbitrate=1800

To samo, ale z kompresją MJPEG:
    mencoder dvd://2 -o tytul2.avi -ovc lavc -lavcopts vcodec=mjpeg:mbd=1:vbitrate=1800 -oac copy

Kodowanie wszystkich plików *.jpg w bieżącym katalogu:
    mencoder "mf://*.jpg" -mf fps=25 -o wyjscie.avi -ovc lavc -lavcopts vcodec=mpeg4

Kodowanie z tunera (określ format poprzez -vf format):
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc raw

Kodowanie z potoku:
    rar p test-SVCD.rar | mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=800 -ofps 24 -

BŁĘDY
Jeśli jakiś znajdziesz, zgłoś go nam, ale przedtem upewnij się, że przeczytałeś całą dokumentację. Wiele błędów jest skutkiem nieprawidłoych ustawień lub użycia złych parametrów. Sekcja zgłoszeń błędów w dokumentacji (DOCS/HTML/pl/bugreports.html) opisuje sposób tworzenia przydatnych zgłoszeń błędów.

AUTORZY
MPlayer został stworzony przez Arpad'a Gereöffy. Lista niektórych z wielu uczestników znajduje się w zbiorze AUTHORS.

MPlayer (C) 2000-2004 Załoga MPlayera

Głównymi autorami tej strony są Gabucino, Jonas Jermann i Diego Biurrun. Obecnie opiekuje się nią Diego Biurrun. Proszę przesyłać wszelkie maile o niej na listę dyskusyjną MPlayer-DOCS.

OD TŁUMACZY
Strona przetłumaczona przez Wacława Schillera <torinthiel@wp.pl> i Macieja Pasztę <paszczi@go2.pl>. W tłumaczeniu wykorzystano fragmenty pracy Adriana Pawlika <imoteph@wp.pl> i Konrada Materki <kmaterka@wp.pl>

Tłumaczenie może zawierać liczne błędy, niektóre słowa mogły być przetłumaczone błędnie lub nie powinny być tłumaczone. Jeśli zauważysz jakiś błąd, prześlij informację o nim (i ewentualnie łatkę) do tłumaczy lub na listę dyskusyjną MPlayer-DOCS.